2005-12-22 00:34:29  Rev 9875   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-21 14:32:16  Rev 9874   pederb

	* src/base/SbVec3f.cpp, src/base/SbVec4f.cpp, src/base/SbVec2d.cpp,
	src/base/SbVec3d.cpp, src/base/SbVec2f.cpp, src/base/SbVec4d.cpp:

	Disable warnings from normalize() by default.

2005-12-21 13:36:07  Rev 9873   pederb

	* src/nodes/SoPerspectiveCamera.cpp:

	normalize fix

2005-12-21 13:29:40  Rev 9872   pederb

	* src/nodes/SoOrthographicCamera.cpp:

	normalize fix

2005-12-21 13:23:18  Rev 9871   pederb

	* src/nodes/SoDirectionalLight.cpp:

	normalize fix.

2005-12-21 13:01:42  Rev 9870   pederb

	* src/nodes/SoCamera.cpp:

	normalize fixes.

2005-12-21 12:54:19  Rev 9869   pederb

	* src/nodes/SoBumpMap.cpp:

	minor normalize fix.

2005-12-21 12:52:51  Rev 9868   pederb

	* src/misc/SoPick.cpp:

	normalize fixes.

2005-12-21 12:45:32  Rev 9867   pederb

	* src/misc/SoNormalGenerator.cpp:

	normalize fixes.

2005-12-21 12:43:28  Rev 9866   pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Some debugging helpers.

2005-12-21 11:45:54  Rev 9865   pederb

	* src/manips/SoSpotLightManip.cpp,
	src/manips/SoDirectionalLightManip.cpp:

	normalize fix

2005-12-21 00:34:47  Rev 9864   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-20 16:01:27  Rev 9863   pederb

	* src/nodes/SoTransform.cpp:

	normalize fix

2005-12-20 15:39:35  Rev 9862   pederb

	* src/hardcopy/VectorizeActionP.cpp:

	normalize fixes.

2005-12-20 15:19:32  Rev 9861   pederb

	* src/engines/SoTransformVec3f.cpp:

	normalize fix

2005-12-20 15:17:57  Rev 9860   pederb

	* src/draggers/SoTransformerDragger.cpp:

	normalize fixes

2005-12-20 15:06:31  Rev 9859   pederb

	* src/draggers/SoTrackballDragger.cpp:

	normalize fixes.

2005-12-20 14:41:00  Rev 9858   pederb

	* src/draggers/SoRotateDiscDragger.cpp:

	normalize comment.

2005-12-20 14:32:44  Rev 9857   pederb

	* src/actions/SoRayPickAction.cpp:

	normalize fixes.

2005-12-20 14:27:49  Rev 9856   pederb

	* src/base/SbXfBox3f.cpp:

	normalize fix.

2005-12-20 14:26:04  Rev 9855   pederb

	* src/base/SbTesselator.cpp:

	normalize fix

2005-12-20 14:14:34  Rev 9854   pederb

	* src/base/SbSphere.cpp:

	comment about normalize.

2005-12-20 14:00:36  Rev 9853   pederb

	* src/base/SbDPViewVolume.cpp:

	normalize fixes.

2005-12-20 13:20:34  Rev 9852   pederb

	* src/base/SbRotation.cpp, src/base/SbDPRotation.cpp:

	normalize() fixes.

2005-12-20 12:43:15  Rev 9851   pederb

	* src/base/SbPlane.cpp, src/base/SbDPPlane.cpp:

	comment and warn on normalize.

2005-12-20 12:40:52  Rev 9850   pederb

	* src/base/SbLine.cpp, src/base/SbDPLine.cpp:

	comment normalize usage.

2005-12-20 12:05:38  Rev 9849   pederb

	* src/base/SbCylinder.cpp:

	Fix use of normalize().

2005-12-20 11:58:33  Rev 9848   pederb

	* src/base/SbClip.cpp:

	Comment use of normalize.

2005-12-20 11:36:52  Rev 9847   pederb

	* src/3ds/3dsLoader.cpp:

	comment normalize() call.

2005-12-20 11:35:11  Rev 9846   pederb

	* src/base/SbBox3f.cpp:

	Check normalize return value in getSpan().

2005-12-20 10:55:40  Rev 9845   pederb

	* src/fields/SoField.cpp:

	PROTO write action fix.

2005-12-20 00:34:42  Rev 9844   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-19 16:13:19  Rev 9843   tamer

	* src/glue/GLUWrapper.c:

	fix compiler warning: cast away constness.

2005-12-19 12:16:32  Rev 9842   mortene

	* examples/bindings/glxiv.cpp:

	Minor feature addition: include FPS-counter. Also fixes a clean-up bug at the
	end: destroy window before context.

2005-12-17 00:34:41  Rev 9841   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-16 16:30:44  Rev 9840   kyrah

	* src/glue/GLUWrapper.c:

	Fix for GLU symbol resolution on Mac OS X.

2005-12-16 15:31:37  Rev 9839   handegar

	* src/vrml97/JS_VRMLClasses.cpp:

	Recycle SoNodeSensors for wrapped SoNodes to increase performance.

2005-12-16 15:20:15  Rev 9838   pederb

	* src/misc/SoProto.cpp:

	Disable bidirectional connections in PROTO instances.

2005-12-16 14:41:04  Rev 9837   pederb

	* src/misc/SoVBO.h, src/misc/SoVBO.cpp:

	Fix for recent changes in glglue.

2005-12-16 14:38:50  Rev 9836   pederb

	* src/misc/SoContextHandler.cpp:

	Notify glglue about destructed context.

2005-12-16 14:33:40  Rev 9835   pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:

	Some fixes for GL context handling.

2005-12-16 08:36:25  Rev 9834   pederb

	* src/base/SbImage.cpp:

	Bugfix in operator==. Reported by Kristfer Tingdahl.

2005-12-16 00:34:42  Rev 9833   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-15 09:30:24  Rev 9832   pederb

	* src/shapenodes/SoLineSet.cpp:

	Bugfix for line/part indices in the SoLineDetail instance. Bug reported by
	Frank Hibbeln

2005-12-14 00:35:10  Rev 9831   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-13 13:49:34  Rev 9830   pederb

	* src/shapenodes/SoText3.cpp:

	Bugfix for SoGetPrimitiveCountAction.

2005-12-13 11:08:51  Rev 9829   pederb

	* src/misc/SoGLImage.cpp:

	Don't use GL_SGIS_generate_mipmap by default.

2005-12-13 00:34:41  Rev 9828   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-12 15:39:04  Rev 9827   pederb

	* BUGS.txt:

	Fixed a couple.

2005-12-12 15:04:42  Rev 9826   pederb

	* src/lists/SoActionMethodList.cpp:

	Change the way unset action methods are initialized to be compatible with SGI
	Inventor.

2005-12-12 14:47:18  Rev 9825   pederb

	* src/shapenodes/SoShape.cpp:

	Don't warn on missing createTriangleDetail()/createLineSegment() detail
	methods.

2005-12-12 13:56:21  Rev 9824   pederb

	* BUGS.txt:

	Update on "bug"

2005-12-12 13:32:44  Rev 9823   mortene

	* BUGS.txt:

	New item.

2005-12-12 13:17:54  Rev 9822   mortene

	* BUGS.txt:

	2 new items.

2005-12-09 00:34:42  Rev 9821   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-08 15:00:48  Rev 9820   pederb

	* src/elements/SoLazyElement.cpp:

	Fix for transparency override.

2005-12-08 13:44:15  Rev 9819   mortene

	* BUGS.txt, THANKS:

	New bug found, by Kusnadi Liem.

2005-12-08 00:34:24  Rev 9818   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-07 13:38:07  Rev 9817   mortene

	* src/vrml97/Text.cpp:

	Bugfix: vertical justification. Fixed for both single and multiple strings.

2005-12-07 13:37:16  Rev 9816   mortene

	* src/vrml97/Text.cpp:

	Clean-up: fixes some unnecessary round-about handling of string comparisons.

2005-12-07 11:36:53  Rev 9815   mortene

	* src/vrml97/FontStyle.cpp, src/vrml97/Box.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Collision.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/Material.cpp,
	src/vrml97/Appearance.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/CylinderSensor.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/PointSet.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/Anchor.cpp,
	src/vrml97/NavigationInfo.cpp, src/vrml97/Inline.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/PointLight.cpp,
	src/vrml97/Interpolator.cpp, src/vrml97/Viewpoint.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/Sound.cpp, src/vrml97/PlaneSensor.cpp,
	src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/NormalInterpolator.cpp, src/vrml97/Group.cpp,
	src/vrml97/Shape.cpp, src/vrml97/MovieTexture.cpp,
	src/vrml97/Switch.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/Script.cpp,
	src/vrml97/DragSensor.cpp, src/vrml97/PositionInterpolator.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/Fog.cpp, src/vrml97/Transform.cpp,
	src/vrml97/TouchSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Color.cpp, src/vrml97/Background.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Text.cpp:

	Doc: web3d URLs moved around again, sync.

2005-12-07 00:34:26  Rev 9814   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-06 17:08:07  Rev 9813   pederb

	* src/glue/cg.c, src/shaders/SoGLCgShaderObject.cpp,
	include/Inventor/C/glue/cg.h:

	Let Cg automatically handle texture parameters.

2005-12-06 15:48:41  Rev 9812   pederb

	* src/glue/cg.c, include/Inventor/C/glue/cg.h:

	Set up bindings for CgFX.

2005-12-03 00:40:08  Rev 9811   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-02 15:54:06  Rev 9810   mortene

	* BUGS.txt, src/vrml97/ImageTexture.cpp:

	Feature: load images in a parallel thread for SoVRMLImageTexture even when
	COIN_THREADSAFE was not specified for the Coin build (HAVE_THREADS is
	sufficient).

2005-12-02 15:52:10  Rev 9809   mortene

	* include/Inventor/C/threads/sched.h,
	include/Inventor/C/threads/common.h, src/threads/mutex.c,
	src/threads/sched.c:

	Clean-up: make it possible to use sched.h header file from threads module,
	even when HAVE_THREADS was undefined when building Coin.

2005-12-02 15:46:11  Rev 9808   mortene

	* src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp:

	Compile fix: fix build error when COIN_THREADSAFE is not defined.

2005-12-02 15:43:59  Rev 9807   kintel

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Added JS_Enumerate() and JS_IdToValue()

2005-12-02 14:03:07  Rev 9806   mortene

	* src/nodes/SoMaterial.cpp, src/nodes/SoFont.cpp:

	Doc: clarify that field-values are *not* inherited / accumulated over several
	nodes.

2005-12-02 11:22:19  Rev 9805   pederb

	* src/vrml97/ElevationGrid.cpp, src/vrml97/Extrusion.cpp:

	Fix compiler warning.

2005-12-02 00:33:57  Rev 9804   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-12-01 12:58:11  Rev 9803   mortene

	* src/vrml97/Parent.cpp, src/vrml97/Geometry.cpp,
	src/vrml97/IndexedFaceSet.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/Group.cpp, src/vrml97/VertexShape.cpp,
	src/vrml97/Appearance.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/Shape.cpp, src/vrml97/Switch.cpp,
	src/vrml97/PixelTexture.cpp, src/vrml97/ImageTexture.cpp,
	src/vrml97/Text.cpp:

	Codestyle, clean-ups.

2005-12-01 12:50:50  Rev 9802   mortene

	* src/nodes/SoSoundElementHelper.h:

	Compile fix: header-include for dependency.

2005-12-01 10:06:01  Rev 9801   mortene

	* src/shaders/SoGLSLShaderProgram.cpp, src/shaders/todo.txt,
	src/shaders/SoGLARBShaderObject.cpp:

	Tiny fixes.

2005-11-30 16:01:24  Rev 9800   pederb

	* src/shaders/SoGLCgShaderObject.cpp,
	src/shaders/SoGLShaderProgramElement.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoGLCgShaderProgram.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGLCgShaderObject.h,
	src/shaders/SoGLCgShaderProgram.h,
	src/shaders/SoGLCgShaderParameter.cpp,
	src/shaders/SoGLARBShaderObject.cpp,
	src/shaders/SoGLARBShaderProgram.cpp,
	src/shaders/SoShaderParameter.cpp, src/shaders/SoGLARBShaderObject.h,
	src/shaders/SoGLARBShaderProgram.h,
	src/shaders/SoGLSLShaderObject.cpp,
	src/shaders/SoGLSLShaderProgram.cpp,
	src/shaders/SoGLShaderObject.cpp,
	include/Inventor/nodes/SoShaderObject.h,
	src/shaders/SoGLShaderProgram.cpp,
	include/Inventor/nodes/SoShaderProgram.h,
	src/shaders/SoGLSLShaderObject.h, src/shaders/SoGLSLShaderProgram.h,
	src/shaders/SoGLShaderObject.h, src/shaders/SoGLShaderProgram.h:

	Fixed several bugs in the shader classes wrt GL context handling. Shaders
	should now work in multiple contexts. Cleaned up / simplified the API a bit.

2005-11-30 14:49:14  Rev 9799   handegar

	* src/vrml97/JS_VRMLClasses.cpp:

	Remove object from garbagecollected list when destructor is called.

2005-11-30 13:38:29  Rev 9798   mortene

	* src/nodes/SoPolygonOffset.cpp:

	Doc: correct bug in API doc example.

2005-11-30 10:58:49  Rev 9797   handegar

	* src/vrml97/JS_VRMLClasses.cpp:

	Return an JS_FALSE instead of JSVAL_FALSE when SFNode_get() tries to access an
	unref'd node.

2005-11-30 10:41:26  Rev 9796   handegar

	* src/vrml97/JS_VRMLClasses.cpp:

	Added a mechanism for preventing JavaScript from crashing Coin when using
	nodes with refcount=0.

2005-11-30 00:34:44  Rev 9795   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-29 12:30:42  Rev 9794   mortene

	* BUGS.txt:

	New item.

2005-11-29 12:25:33  Rev 9793   mortene

	* src/actions/SoAction.cpp:

	Doc: slight improvement to API doc.

2005-11-29 00:34:36  Rev 9792   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-28 17:27:05  Rev 9791   kintel

	* src/vrml97/JS_VRMLClasses.cpp:

	Corrected two cases where JS_FALSE shouldn't be returned

2005-11-28 16:36:56  Rev 9790   pederb

	* src/glue/cg.c:

	Win32 Cg dynamic loader fix.

2005-11-28 15:32:17  Rev 9789   kintel

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Added option functions and missing JSCLASS flags

2005-11-28 15:29:13  Rev 9788   handegar

	* src/misc/SoJavaScriptEngine.cpp,
	include/Inventor/misc/SoJavaScriptEngine.h:

	Added doc for the new *AutoNodeUnref*() methods.
	Made the getContext() and the getGlobal() method const.

2005-11-28 14:25:32  Rev 9787   handegar

	* src/misc/SoJavaScriptEngine.cpp,
	include/Inventor/misc/SoJavaScriptEngine.h:

	Made the getAutoNodeUnrefState() method const.

2005-11-28 11:17:00  Rev 9786   kintel

	* src/vrml97/JS_VRMLClasses.cpp:

	Bugfix: A jsval was returned instead of a JSBool several places

2005-11-28 11:00:59  Rev 9785   handegar

	* src/vrml97/JS_VRMLClasses.cpp:

	Check for autounref-state before ref'ing in the SFNodeConstructor.

2005-11-28 10:48:54  Rev 9784   handegar

	* src/misc/SoJavaScriptEngine.cpp:

	Set autoref'ing to TRUE as default

2005-11-28 10:12:25  Rev 9783   larsa

	* src/shapenodes/SoShape.cpp:

	doc fix

2005-11-26 00:38:14  Rev 9782   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-25 16:11:47  Rev 9781   handegar

	* src/misc/SoJavaScriptEngine.cpp, src/vrml97/JS_VRMLClasses.cpp,
	include/Inventor/misc/SoJavaScriptEngine.h:

	API for switching of auto-unref'ing of javascript-created nodes.

2005-11-25 13:51:16  Rev 9780   thammer

	* src/vrml97/JS_VRMLClasses.cpp:

	Return TRUE instead of FALSE if field not found, or script execution will halt

2005-11-25 00:34:14  Rev 9779   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-24 10:05:04  Rev 9778   mortene

	* src/shapenodes/SoCylinder.cpp:

	Doc: explain how to make a disc with two-sided lighting.

2005-11-24 09:56:56  Rev 9777   mortene

	* src/shapenodes/SoNurbsCurve.cpp:

	Doc: adds usage example and screenshot.

2005-11-24 09:50:33  Rev 9776   mortene

	* src/shapenodes/SoCylinder.cpp:

	Doc: mention the trick to render as a disc.

2005-11-22 00:34:29  Rev 9775   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-21 08:28:25  Rev 9774   pederb

	* src/actions/SoToVRML2Action.cpp:

	Bugfix for PointSet handling. If numPoints < 0, use all coordinates on state.
	All fixed problem with shapes inheriting other shapes being handled twice (for
	instance MarkerSet).

2005-11-18 00:34:23  Rev 9773   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-17 14:04:06  Rev 9772   mortene

	* src/elements/SoOverrideElement.cpp, docs/coin.doxygen.in:

	Doc: elaborate on how to get separate transparency material override.

2005-11-17 09:42:46  Rev 9771   pederb

	* src/misc/SoBase.cpp:

	Don't use characters with an ASCII value > 127. Problem reported by Clemens
	von Mann.

2005-11-17 00:34:09  Rev 9770   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-16 11:23:06  Rev 9769   mortene

	* src/nodes/SoTextureScalePolicy.cpp:

	Doc: extend API doc on fractured texture rendering to also mention the
	automatic downsampling.

2005-11-16 10:58:40  Rev 9768   mortene

	* src/fields/SoFieldContainer.cpp, src/nodes/SoNode.cpp:

	Doc: corrects API doc on the writeInstance() method.

2005-11-16 09:52:09  Rev 9767   pederb

	* src/misc/SoBase.cpp, src/misc/SoProto.cpp:

	Use debugWriterefs() from SoWriterefCounter.

2005-11-16 09:50:20  Rev 9766   pederb

	* src/io/SoWriterefCounter.h, src/io/SoWriterefCounter.cpp:

	Added debugWriterefs() method.

2005-11-16 09:48:00  Rev 9765   pederb

	* src/fields/SoField.cpp:

	More VRML97 and PROTO write fixes.

2005-11-16 00:34:41  Rev 9764   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-15 13:50:29  Rev 9763   pederb

	* src/misc/SoProtoInstance.cpp, src/nodes/SoNode.cpp,
	src/misc/SoProto.cpp:

	Misc. fixes for writing PROTOs.

2005-11-15 00:34:49  Rev 9762   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-14 11:05:23  Rev 9761   pederb

	* src/misc/SoBase.cpp:

	Add writeref debugging in output file.

2005-11-12 00:34:23  Rev 9760   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-11 14:33:04  Rev 9759   pederb

	* src/actions/SoGLRenderAction.cpp:

	Fixes for code comments.

2005-11-09 00:34:30  Rev 9758   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-08 11:11:33  Rev 9757   kyrah

	* BUGS.txt:

	Update on Bug 141 (offscreen rendering limitations).

2005-11-08 10:56:12  Rev 9756   kyrah

	* include/Inventor/C/glue/gl.h, src/glue/gl.c:

	Interface for setting external offscreen renderer functionality:

	Makes it possible to provide an external implementation for doing
	offscreen rendering (such as accelerated rendering into a hidden
	window). This is useful to avoid having to do slow software
	rendering when pBuffers cannot be used (not available on the
	system, buggy implementation, mismatch of onscreen context and
	offscreen context).

2005-11-05 00:34:25  Rev 9755   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-04 15:09:21  Rev 9754   mortene

	* src/nodes/SoClipPlane.cpp:

	Doc: elaborate API doc, throw in another example.

2005-11-04 14:58:47  Rev 9753   mortene

	* THANKS:

	Added Markus Grabner, for debugging and fixing problems with SoQt.

2005-11-04 14:22:33  Rev 9752   mortene

	* BUGS.txt:

	Remove #209, fixed by pederb.

2005-11-04 13:43:32  Rev 9751   pederb

	* src/vrml97/PixelTexture.cpp, src/vrml97/ImageTexture.cpp:

	Add missing rayPick action methods. Bug reported by wiesener.

2005-11-04 13:36:26  Rev 9750   pederb

	* src/nodes/SoNode.cpp:

	Add missing rayPick action methods. Bug reported by wiesener.

2005-11-04 00:34:39  Rev 9749   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-03 16:42:58  Rev 9748   pederb

	* src/shaders/SoShaderObject.cpp:

	Fix potential cache context id bug.

2005-11-03 13:00:43  Rev 9747   pederb

	* src/projectors/SbCylinderSectionProjector.cpp:

	Projector bugfix.

2005-11-03 11:49:23  Rev 9746   pederb

	* src/errors/SoReadError.cpp, src/io/SoInput_FileInfo.cpp:

	Less warnings on Inventor V1.0 import.

2005-11-03 11:20:39  Rev 9745   kyrah

	* src/tidbits.c:

	s/Kyrah/kyrah/

2005-11-03 11:00:58  Rev 9744   pederb

	* BUGS.txt:

	Comment on line width bug.

2005-11-03 10:52:47  Rev 9743   pederb

	* BUGS.txt:

	Fixed 3D Texture bug.

2005-11-03 10:49:54  Rev 9742   pederb

	* src/nodes/SoTexture3.cpp:

	Bugfix. Test for 3D texture support.

2005-11-03 10:30:29  Rev 9741   pederb

	* BUGS.txt:

	Update on bug.

2005-11-02 00:34:08  Rev 9740   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-11-01 16:56:06  Rev 9739   pederb

	* include/Inventor/elements/SoGLVBOElement.h:

	compile fix

2005-11-01 14:06:39  Rev 9738   pederb

	* src/tidbits.c:

	Bugfix in coin_geq_prime_number().

2005-11-01 13:56:24  Rev 9737   pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Added coin_runtime_os().

2005-11-01 12:47:02  Rev 9736   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Simplify code by using the new SoVBO and SoVertexArrayIndexer classes.

2005-11-01 11:55:29  Rev 9735   pederb

	* src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h:

	Documentation, and new functions to make it possible to reorganize the order
	of the indices.

2005-11-01 11:40:11  Rev 9734   pederb

	* src/shapenodes/soshape_bumprender.cpp:

	Robustify code.

2005-11-01 10:37:51  Rev 9733   pederb

	* src/misc/SoVBO.cpp:

	Code comment.

2005-11-01 08:24:54  Rev 9732   pederb

	* src/misc/SoVBO.cpp:

	Cut down on the number of triangles used for testing VBO performance. Problem
	reported by kyrah.

2005-11-01 00:34:46  Rev 9731   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-31 14:43:03  Rev 9730   pederb

	* src/elements/GL/SoGLVBOElement.cpp:

	Simplify code.

2005-10-31 14:28:16  Rev 9729   pederb

	* src/misc/SoVBO.h, src/misc/SoDB.cpp,
	src/elements/GL/SoGLVBOElement.cpp, src/misc/SoVBO.cpp:

	VBO performance test.

2005-10-31 13:52:06  Rev 9728   pederb

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	New callback which is called after a new glglue instance has been created.

2005-10-28 23:33:55  Rev 9727   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-28 16:34:50  Rev 9726   kintel

	* src/glue/spidermonkey.c:

	Added JS_CompareStrings()

2005-10-28 16:34:14  Rev 9725   kintel

	* include/Inventor/C/glue/spidermonkey.h:

	Added JS_CompareStrings() and typedef intN

2005-10-28 14:14:25  Rev 9724   mortene

	* BUGS.txt:

	New item.

2005-10-28 14:03:51  Rev 9723   pederb

	* src/nodes/SoCamera.cpp:

	More stereo documentation.

2005-10-28 13:47:53  Rev 9722   pederb

	* src/nodes/SoCamera.cpp:

	setStereoAdjustment() documentation.

2005-10-27 23:34:14  Rev 9721   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-27 14:55:55  Rev 9720   pederb

	* src/vrml97/PointSet.cpp, src/shapenodes/SoPointSet.cpp:

	Don't use VBO limit to decide whether we should render PointSet using vertex
	arrays.

2005-10-27 13:56:40  Rev 9719   mortene

	* src/share/gl/CoinGLPerformance.h, src/share/gl/CoinGLPerformance.cpp:

	Clean-up: rename symbols depending on module, to avoid namespace clashes upon
	linking. Problem reported by pederb.

2005-10-27 12:57:49  Rev 9718   pederb

	* BUGS.txt:

	Coin now has a workaround for the ATI VBO bug.

2005-10-27 12:56:59  Rev 9717   pederb

	* src/glue/gl.c:

	More info about the ATI VBO bug.

2005-10-27 12:45:56  Rev 9716   mortene

	* THANKS:

	Add Arend Lammertink, for bug reports and fixes.

2005-10-27 09:21:49  Rev 9715   mortene

	* src/nodes/SoDirectionalLight.cpp:

	Doc: adds hint for a common operation.

2005-10-26 23:36:01  Rev 9714   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-26 16:41:40  Rev 9713   larsa

	* build/msvc6/include/config-debug.h, build/msvc7/include/config-
	debug.h, build/msvc6/install-headers.bat, build/msvc7/install-
	headers.bat, build/msvc7/coin3.sln, build/msvc6/include/config-
	release.h, build/msvc7/include/config-release.h:

	new build files

2005-10-26 11:28:51  Rev 9712   pederb

	* src/shapenodes/SoShape.cpp:

	Don't use VBOs inside displaylist if ATI vbo-in-displaylist bug is detected.

2005-10-26 11:27:06  Rev 9711   pederb

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Test for ATI vbo-in-displaylist bug.

2005-10-26 10:42:51  Rev 9710   mortene

	* BUGS.txt:

	update on the ATI-bug

2005-10-25 23:43:06  Rev 9709   kyrah

	* configure, include/discard.h.in:

	Bootstrap.

2005-10-25 23:37:09  Rev 9708   kyrah

	* configure.ac, include/config.h.in, src/glue/gl_agl.c:

	Use HAVE_OPENGL_CGLCURRENT_H instead of HAVE_CGL

2005-10-25 23:35:29  Rev 9707   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-25 22:51:07  Rev 9706   kyrah

	* include/config.h.in:

	Forgot to commit this... (HAVE_CGL define)

2005-10-25 22:49:35  Rev 9705   kyrah

	* src/glue/gl_agl.c:

	Use CGL functions for setting and getting the current context,
	instead of AGL. (This makes it possible to use offscreen rendering
	when the onscreen context is not an AGL context, like e.g. in Sc21)

2005-10-25 22:25:54  Rev 9704   kyrah

	* aclocal.m4, configure, include/discard.h.in:

	Bootstrap.

2005-10-25 21:45:17  Rev 9703   kyrah

	* configure.ac:

	(More or less redundant) check for CGL on Mac OS X.

2005-10-25 13:33:28  Rev 9702   pederb

	* src/engines/SoConvertAll.cpp:

	compile fix.

2005-10-25 11:45:20  Rev 9701   kyrah

	* src/fonts/freetype.c:

	Explicit cast to get rid of gcc-4 warning.

2005-10-25 11:13:57  Rev 9700   kyrah

	* configure.ac, src/glue/dl.c:

	Mac OS X runtime binding fix: Look for libraries included in the
	Inventor.framework also when using the dl interface instead of dyld.

2005-10-24 23:34:50  Rev 9699   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-24 10:44:06  Rev 9698   pederb

	* src/base/SbTesselator.cpp:

	Fix point-on-edge tesselation problem. Bug reported by Volker Enderlein.

2005-10-24 08:58:13  Rev 9697   mortene

	* src/fonts/freetype.c:

	Robustness: report problems when tessellating glyphs, don't just ignore them.

2005-10-21 23:35:46  Rev 9696   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-21 13:48:27  Rev 9695   mortene

	* BUGS.txt:

	Issue to investigate.

2005-10-21 13:43:27  Rev 9694   mortene

	* src/fonts/freetype.c:

	Bugfix: takes care of a bug which could cause crash when using FreeType
	library.

2005-10-21 10:35:38  Rev 9693   mortene

	* src/fonts/freetype.c:

	Debugging: catch a recently introduced bug with an assert.

2005-10-21 09:49:19  Rev 9692   mortene

	* src/engines/SoConvertAll.cpp:

	Cleanup, attempted workaround for compiler bug: don't misuse macros. The old
	code also caused g++ 3.3.2 to hang.

2005-10-20 23:36:50  Rev 9691   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-20 10:42:44  Rev 9690   pederb

	* BUGS.txt:

	Update on bug.

2005-10-20 09:13:50  Rev 9689   mortene

	* BUGS.txt:

	New bug found by oso.

2005-10-20 08:55:20  Rev 9688   mortene

	* src/glue/gl.c:

	Compile fix: for 64-bit MSVC7.

2005-10-19 23:36:01  Rev 9687   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-19 15:44:55  Rev 9686   pederb

	* include/Inventor/actions/SoGLRenderAction.h,
	src/actions/SoGLRenderAction.cpp:

	New functionality to enable the user to control the object sorting order.

2005-10-19 14:40:37  Rev 9685   larsa

	* build/msvc6/coin3.dsp, build/msvc7, build/msvc6/install-headers.bat,
	build/msvc7/install-headers.bat, build/msvc7/coin3.sln,
	build/msvc7/.cvsignore, build/msvc7/coin3.vcproj:

	update

2005-10-19 09:46:54  Rev 9684   mortene

	* src/share/gl/CoinGLPerformance.h, src/Makefile.am,
	src/misc/CoinGLPerformance.cpp, src/misc/Makefile.in,
	src/misc/CoinGLPerformance.h, src/share/README, src/Makefile.in,
	src/share, src/share/gl/CoinGLPerformance.cpp, src/misc/Makefile.am,
	src/share/gl:

	Reorganize: move some source code related to internal workings into a
	directory to be shared among several Coin3D projects.

2005-10-18 23:34:13  Rev 9683   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-18 13:35:42  Rev 9682   kyrah

	* configure.ac:

	Mac OS X runtime binding update: use dlopen() on Mac OS 10.4 ff.

2005-10-18 09:13:48  Rev 9681   kyrah

	* src/glue/gl_agl.c:

	Removed redundant aglSetDrawable() call. Do not assume to have an
	AGL drawable when trying to reinstate the previous context (since
	the previous context might have been offscreen as well).

2005-10-18 09:04:53  Rev 9680   kyrah

	* src/glue/dl.c:

	Mac OS X simage runtime loading fix: Path to Resources directory has
	changed due to the changed install_name of Coin.

2005-10-18 08:22:54  Rev 9679   pederb

	* src/elements/GL/SoGLDisplayList.cpp:

	Remove old 3D texture hack. The texture target is set properly in SoGLImage
	now.

2005-10-17 23:35:19  Rev 9678   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-17 17:03:51  Rev 9677   larsa

	* include/Inventor/lists/SbPList.h:

	compile fix

2005-10-17 14:23:40  Rev 9676   larsa

	* build/msvc6/install-dll-release.bat, build/msvc6/install-lib-
	debug.bat, build/msvc7/install-dll-release.bat, build/msvc7/install-
	lib-debug.bat, build/msvc6/install-dll-debug.bat, build/msvc7
	/install-dll-debug.bat, build/msvc6/install-lib-release.bat,
	build/msvc7/install-lib-release.bat:

	fixes

2005-10-17 14:05:21  Rev 9675   larsa

	* build/msvc6/coin3.dsp, build/msvc6/install-headers.bat, build/msvc7
	/install-headers.bat, build/msvc7/coin3.sln, build/msvc7/coin3.vcproj:

	updated build files

2005-10-17 11:52:03  Rev 9674   kintel

	* include/Inventor/C/glue/spidermonkey.h:

	Added note about Spidermonkey bug

2005-10-17 10:48:29  Rev 9673   larsa

	* src/misc/CoinGLPerformance.cpp, src/misc/CoinGLPerformance.h:

	compile fixes

2005-10-17 10:30:36  Rev 9672   larsa

	* src/foreignfiles/steel.c:

	bootstrap-server flexing

2005-10-17 10:28:29  Rev 9671   larsa

	* include/Inventor/annex/ForeignFiles/SoSTLFileKit.h,
	src/foreignfiles/SoSTLFileKit.cpp, src/foreignfiles/steel.c,
	src/foreignfiles/steel.h, src/foreignfiles/steel.l:

	weekend update: STL write support, cleanup, and more doc

2005-10-17 09:51:23  Rev 9670   mortene

	* src/misc/CoinGLPerformance.cpp, src/misc/Makefile.in,
	src/misc/CoinGLPerformance.h, src/misc/Makefile.am:

	New internal feature: provides a generic framework for testing and comparing
	performance of OpenGL functionality.

2005-10-13 23:46:35  Rev 9669   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-13 15:57:04  Rev 9668   pederb

	* include/Inventor/fields/SoSubField.h:

	gcc 4.0.0 bug workaround.

2005-10-13 15:50:27  Rev 9667   pederb

	* THANKS:

	Adds Mike Krus.

2005-10-13 15:44:59  Rev 9666   pederb

	* src/nodes/SoTexture2.cpp:

	Detect changes in texture scale policy. Bug reported by Mike Krus.

2005-10-13 15:43:01  Rev 9665   pederb

	* src/foreignfiles/steel.l:

	compile fix.

2005-10-13 09:48:55  Rev 9664   pederb

	* src/foreignfiles/steel.c:

	compile fix

2005-10-13 09:16:36  Rev 9663   larsa

	* include/Inventor/annex/ForeignFiles/Makefile.am.bak,
	src/foreignfiles/Makefile.am.bak:

	erroneous commit

2005-10-13 09:04:56  Rev 9662   larsa

	* include/Inventor/annex/ForeignFiles/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in:

	bootstrap

2005-10-13 08:58:54  Rev 9661   larsa

	* src/foreignfiles/steel.c:

	regenerate

2005-10-13 08:58:38  Rev 9660   larsa

	* src/foreignfiles/steel.h, src/foreignfiles/steel.l:

	line number method, try binary stl file format first

2005-10-13 08:57:55  Rev 9659   larsa

	* include/Inventor/annex/ForeignFiles/SoSTLFileKit.h,
	src/foreignfiles/SoSTLFileKit.cpp:

	refactor

2005-10-13 08:56:37  Rev 9658   larsa

	* include/Inventor/annex/HardCopy/Makefile.am,
	include/Inventor/annex/ForeignFiles/Makefile.am:

	use correct template

2005-10-12 23:35:33  Rev 9657   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-12 16:04:23  Rev 9656   larsa

	* src/foreignfiles/steel.c:

	regenerate

2005-10-12 15:56:23  Rev 9655   larsa

	* src/foreignfiles/steel.l:

	fix skipping-the-first-facet-bug, and misc tidbits

2005-10-12 12:44:25  Rev 9654   kyrah

	* src/misc/SoType.cpp:

	Doc update: Use -dynamiclib flag on Mac OS X.

2005-10-12 12:16:29  Rev 9653   pederb

	* src/actions/SoReorganizeAction.cpp:

	Vertex array documentation.

2005-10-12 10:28:45  Rev 9652   larsa

	* src/foreignfiles/steel.c:

	auto-generated

2005-10-12 10:28:04  Rev 9651   larsa

	* src/foreignfiles/steel.l:

	workaround for flex bug

2005-10-12 08:59:24  Rev 9650   pederb

	* src/nodekits/SoNodekitCatalog.cpp:

	Fix for catalog item order. Reported by Thomas Steube.

2005-10-11 23:36:55  Rev 9649   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-11 15:08:44  Rev 9648   larsa

	* src/foreignfiles/steel.c:

	flex-generated

2005-10-11 14:25:58  Rev 9647   pederb

	* src/nodekits/SoNodekitCatalog.cpp:

	Make it possible to insert new parts into an existing catalog. Problem
	reported by Thomas Steube.

2005-10-11 10:49:52  Rev 9646   pederb

	* src/foreignfiles/steel.c, src/foreignfiles/steel.l:

	compile fix.

2005-10-11 10:41:19  Rev 9645   larsa

	* src/foreignfiles/steel.c:

	flexed

2005-10-11 10:40:43  Rev 9644   larsa

	* src/foreignfiles/steel.l:

	support bigendian systems

2005-10-11 10:38:56  Rev 9643   larsa

	* src/foreignfiles/steel.h:

	cosmetics and color extension defines

2005-10-11 09:59:14  Rev 9642   pederb

	* src/foreignfiles/steel.c, src/foreignfiles/steel.h,
	src/foreignfiles/steel.l:

	compile fixes (compare unsigned < 0).

2005-10-11 09:46:28  Rev 9641   pederb

	* configure, configure.ac:

	build hack fix.

2005-10-11 02:43:33  Rev 9640   kyrah

	* configure.ac:

	Fix for building as a Mac OS X framework against X11: Don't assume
	GL linkage to be -framework OpenGL, but use the variables set by
	the OpenGL detection macro instead.

2005-10-10 23:34:47  Rev 9639   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-10 14:48:20  Rev 9638   pederb

	* src/shapenodes/SoIndexedFaceSet.cpp:

	Bugfix in generatePrimitives() for PER_FACE_INDEXED normal binding. Reported
	by larsa.

2005-10-10 14:20:13  Rev 9637   larsa

	* src/foreignfiles/steel.c:

	use bootstrap-server flex

2005-10-10 14:16:17  Rev 9636   larsa

	* include/Inventor/annex/ForeignFiles/Makefile.in, configure,
	include/Inventor/annex/Makefile.in, src/foreignfiles/Makefile.in,
	src/Makefile.in, src/nodekits/Makefile.in:

	bootstrap

2005-10-10 14:08:12  Rev 9635   larsa

	* include/Inventor/annex/ForeignFiles/Makefile.in,
	src/foreignfiles/steel.c, src/foreignfiles/SoSTLFileKit.cpp,
	src/Makefile.am, docs/coin.doxygen.in, configure.ac,
	src/foreignfiles, src/foreignfiles/steel.h,
	include/Inventor/annex/ForeignFiles/SoForeignFileKit.h,
	src/foreignfiles/Makefile.am.bak, src/foreignfiles/steel.l,
	include/Inventor/annex/Makefile.am,
	include/Inventor/annex/ForeignFiles, src/foreignfiles/Makefile.am,
	include/Inventor/annex/ForeignFiles/SoSTLFileKit.h,
	src/nodekits/Makefile.am,
	include/Inventor/annex/ForeignFiles/Makefile.am.bak,
	include/Inventor/annex/HardCopy/Makefile.am,
	include/Inventor/annex/ForeignFiles/Makefile.am,
	src/foreignfiles/Makefile.in, src/foreignfiles/all-foreignfiles-c.c,
	src/foreignfiles/all-foreignfiles-cpp.cpp,
	src/foreignfiles/SoForeignFileKit.cpp, src/nodekits/SoNodeKit.cpp,
	src/misc/SoDB.cpp, include/Inventor/annex/HardCopy/Makefile.in,
	examples/misc/ivcp.cpp:

	experimental foreign file format support system

2005-10-10 13:58:58  Rev 9634   larsa

	* src/nodes/SoFile.cpp:

	detect EOF independent of SoDB::read() returning TRUE + NULL pointer

2005-10-10 13:33:19  Rev 9633   pederb

	* src/threads/mutex.c:

	Fix calling convention for TryEnterCriticalSection.

2005-10-10 12:21:14  Rev 9632   larsa

	* src/misc/SoBase.cpp:

	expand on comment

2005-10-06 23:33:56  Rev 9631   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-06 12:27:52  Rev 9630   kyrah

	* Makefile.in, src/Makefile.in:

	Bootstrap.

2005-10-06 12:14:49  Rev 9629   kyrah

	* src/Makefile.am:

	Make framework relocatable by using a non-absolute install_name.

2005-10-06 12:10:46  Rev 9628   kyrah

	* Makefile.am:

	Added comment.

2005-10-06 08:50:22  Rev 9627   pederb

	* src/shapenodes/SoText2.cpp:

	Optimize SoText2 rendering.

2005-10-05 23:33:58  Rev 9626   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-05 16:16:23  Rev 9625   pederb

	* src/shapenodes/SoText2.cpp:

	Use a memory buffer to avoid tons of mallocs/frees every frame.

2005-10-05 15:53:39  Rev 9624   kyrah

	* src/Makefile.am:

	Minor framework structure fix, added Versions/Current/Inventor symlink.

2005-10-05 15:53:21  Rev 9623   pederb

	* src/fonts/freetype.c:

	Plug memory leak.

2005-10-05 15:26:06  Rev 9622   pederb

	* src/fonts/fontlib_wrapper.c:

	Fix memory leak.

2005-10-05 14:03:19  Rev 9621   pederb

	* src/actions/SoLineHighlightRenderAction.cpp:

	Fixes line highlight rendering for models with materialbinding != OVERALL
	and/or with normals.

2005-10-05 08:52:20  Rev 9620   pederb

	* src/shapenodes/SoShape.cpp:

	Fix bug for cases where OpenGL has no vertex buffer object support. Reported
	by thammer.

2005-10-05 08:41:24  Rev 9619   pederb

	* src/shapenodes/soshape_primdata.cpp:

	Set line detail pointers before invoking the line segment callback. Bug
	reported by Frank Hibbeln.

2005-10-04 23:34:33  Rev 9618   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-04 13:32:18  Rev 9617   pederb

	* src/actions/SoToVRML2Action.cpp:

	SoTexture2 handling bugfix.

2005-10-04 10:25:28  Rev 9616   pederb

	* src/nodes/SoTextureUnit.cpp:

	Also update texture unit for SoPickAction.

2005-10-03 23:34:17  Rev 9615   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-10-03 11:37:26  Rev 9614   kintel

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Added JS_ObjectIsFunction()

2005-09-30 23:34:42  Rev 9613   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-30 16:56:17  Rev 9612   larsa

	* src/misc/SoSceneManager.cpp:

	disallow recursive event processing

2005-09-30 15:42:55  Rev 9611   larsa

	* src/misc/SoSceneManager.cpp:

	remember grabber

2005-09-30 15:34:54  Rev 9610   larsa

	* src/misc/SoSceneManager.cpp:

	bugfix

2005-09-30 15:24:54  Rev 9609   kyrah

	* packaging/macosx/Coin_Welcome.rtf,
	packaging/macosx/CoinTools_Welcome.rtf:

	Update.

2005-09-30 15:19:44  Rev 9608   kyrah

	* cfg/gendsp.sh.in, Makefile.in:

	Bootstrap.

2005-09-30 13:23:49  Rev 9607   kyrah

	* packaging/macosx/noinst-README-Jaguar.txt.in,
	packaging/macosx/makeinstdmg.sh.in, packaging/macosx/inst-README-
	Jaguar.txt.in, packaging/macosx/noinst-README-.txt.in,
	packaging/macosx/noinst-README-Panther.txt.in, packaging/macosx/inst-
	README-.txt.in, packaging/macosx/inst-README-Panther.txt.in,
	Makefile.am, packaging/macosx/makenoinstdmg.sh.in:

	Switch from OS-name test to gcc version test.

2005-09-30 12:48:57  Rev 9606   kyrah

	* packaging/macosx/noinst-README-gcc3.txt.in, packaging/macosx/noinst-
	README-gcc4.txt.in, packaging/macosx/inst-README-gcc3.txt.in,
	packaging/macosx/inst-README-gcc4.txt.in:

	To gcc4 or not to gcc4, that is the question... Who cares about
	Panther or Jaguar anymore?

2005-09-29 23:34:28  Rev 9605   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-29 14:29:15  Rev 9604   pederb

	* src/elements/GL/SoGLCacheContextElement.cpp:

	Deadlock fix in extSupported(). Reported by Nikolai Ruhe.

2005-09-28 23:34:22  Rev 9603   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-28 19:24:01  Rev 9602   kyrah

	* packaging/macosx/inst-dmg-files/coin_dmg_bg.tiff,
	packaging/macosx/makedmg.sh.in, packaging/macosx/noinst-dmg-
	files/dmg_bg.tiff, packaging/macosx/inst-dmg-files/dmg_bg.tiff,
	Makefile.am, packaging/macosx/noinst-dmg-files/coin_dmg_bg.tiff:

	Renamed coin_dmg_bg.tiff to dmg_bg.tiff

2005-09-28 16:27:52  Rev 9601   kintel

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Substituted JS_ValueToECMAInt32() for JS_ValueToInt32() since the latter is
	buggy, see Mozilla bug #284032

2005-09-28 13:50:20  Rev 9600   pederb

	* src/misc/SoBase.cpp:

	gcc4 compile fix

2005-09-28 13:47:02  Rev 9599   pederb

	* src/fields/SoField.cpp, src/fields/SoFieldContainer.cpp:

	gcc4 compile fixes.

2005-09-28 09:54:50  Rev 9598   kyrah

	* configure, Makefile.in:

	Bootstrap.

2005-09-27 23:33:59  Rev 9597   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-27 16:58:20  Rev 9596   kyrah

	* Makefile.am:

	Create symlink to SoQt.framework when installing Coin instead of
	when installing SoQt. (This makes it possible to drag and drop the
	frameworks indvidually without running any scripts.)

2005-09-26 23:34:14  Rev 9595   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-26 16:20:17  Rev 9594   larsa

	* build/msvc6, build/msvc6/coin3.dsp, build/msvc7, build/msvc6/include
	/config-debug.h, build/msvc6/install-dll-release.bat, build/msvc7
	/install-dll-release.bat, build/msvc7/include/config-debug.h,
	build/msvc6/generate.sh, build/msvc6/include/Inventor/system/gl.h,
	build/msvc6/install-lib-debug.bat, build/msvc7/install-lib-debug.bat,
	build/msvc7/include/Inventor/system/gl.h, build/msvc7/generate.sh,
	build/msvc7/coin3.sln, build/msvc6/install-dll-debug.bat,
	build/msvc6/include/setup.h, build/msvc7/install-dll-debug.bat,
	build/msvc7/include/setup.h, build/msvc6/.cvsignore,
	build/msvc7/.cvsignore, build/msvc7/coin3.vcproj,
	build/msvc6/installcoinheaders.bat,
	build/msvc7/installcoinheaders.bat, build/msvc6/installcoin.bat,
	build/msvc6/install-headers.bat, build/msvc7/install-headers.bat,
	build/msvc7/installcoin.bat, build/msvc6/include/config-release.h,
	build/msvc6/install-lib-release.bat, build/msvc7/include/config-
	release.h, build/msvc7/install-lib-release.bat:

	updates

2005-09-26 11:34:05  Rev 9593   pederb

	* src/misc/SoVertexArrayIndexer.cpp,
	src/caches/SoPrimitiveVertexCache.cpp:

	Compile fixes. By larsa.

2005-09-23 23:34:25  Rev 9592   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-23 14:40:47  Rev 9591   kintel

	* src/vrml97/IndexedLineSet.cpp:

	Plug memleak

2005-09-23 14:27:38  Rev 9590   pederb

	* src/actions/SoSimplifyAction.cpp:

	Remove stub macro

2005-09-23 14:13:19  Rev 9589   pederb

	* src/actions/SoSimplifyAction.cpp:

	bugfix

2005-09-23 11:04:31  Rev 9588   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Use VBO (not VA) by default.

2005-09-23 11:02:37  Rev 9587   pederb

	* src/actions/SoReorganizeAction.cpp:

	Support for converting SoVRMLIndexedLineSet.

2005-09-23 10:04:19  Rev 9586   pederb

	* src/shapenodes/SoShape.cpp:

	Major optimization for the SORTED_OBJECT_SORTED_TRIANGLE_BLEND transparency
	mode.

2005-09-23 10:03:36  Rev 9585   pederb

	* include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/caches/SoPrimitiveVertexCache.cpp:

	Added support for depth sorting triangles.

2005-09-22 23:35:32  Rev 9584   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-22 17:39:29  Rev 9583   kyrah

	* packaging/macosx/makecoinpkg.sh.in:

	Mac OS 10.3 installer bug workaround: Force permissions for root
	directory to be root:admin (will be ignored on 10.4, as it should be).

2005-09-22 15:26:09  Rev 9582   kyrah

	* packaging/macosx/makecoinpkg.sh.in:

	Permissions of installed framework in /Library/Frameworks should be
	root:admin.

2005-09-22 14:26:18  Rev 9581   larsa

	* RELEASE.txt:

	cosmetics

2005-09-22 14:19:52  Rev 9580   pederb

	* src/actions/SoSimplifyAction.cpp,
	include/Inventor/actions/SoSimplifyAction.h:

	Add some stub functions and a pimpl-pointer.

2005-09-22 13:47:24  Rev 9579   mortene

	* src/nodes/SoBlinker.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoPendulum.cpp:

	Bugfix: don't write unmodified fields. Reported by larsa.

2005-09-22 10:17:45  Rev 9578   pederb

	* include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	src/vrml97/IndexedLineSet.cpp:

	Support for VA/VBO rendering.

2005-09-22 09:17:42  Rev 9577   pederb

	* src/nodes/SoCoordinate4.cpp:

	Bugfix for recently introduced bug.

2005-09-21 23:34:12  Rev 9576   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-21 15:21:04  Rev 9575   pederb

	* src/actions/all-actions-cpp.cpp:

	build all fix

2005-09-21 14:58:08  Rev 9574   pederb

	* src/actions/all-actions-cpp.cpp:

	build all fix.

2005-09-21 14:57:13  Rev 9573   pederb

	* src/misc/all-misc-cpp.cpp:

	build-all fix.

2005-09-21 10:50:21  Rev 9572   pederb

	* src/nodes/SoVertexProperty.cpp:

	Fix for recently introduced bug.

2005-09-21 09:07:38  Rev 9571   pederb

	* src/vrml97/PointSet.cpp:

	VA/VBO rendering support.

2005-09-21 09:04:19  Rev 9570   kintel

	* src/vrml97/JS_VRMLClasses.cpp:

	adapted to recent changes in SoJavaScriptEngine

2005-09-21 09:01:25  Rev 9569   kintel

	* src/misc/SoJavaScriptEngine.cpp,
	include/Inventor/misc/SoJavaScriptEngine.h:

	generalized static field2jsval() and jsval2field() into a static getEngine().
	Fixed an ugly bug sending wrong data to JS_AddRoot()/JS_RemoveRoot(). Smaller
	coding style and naming standard fixes.

2005-09-21 09:01:07  Rev 9568   pederb

	* src/shapenodes/SoPointSet.cpp:

	Only set up for VA/VBO rendering if we have more than the minumum number of
	points.

2005-09-21 08:53:40  Rev 9567   kintel

	* include/Inventor/misc/SoScriptEngine.h:

	coding style

2005-09-20 23:34:40  Rev 9566   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-20 16:11:18  Rev 9565   pederb

	* src/vrml97/Coordinate.cpp,
	include/Inventor/VRMLnodes/SoVRMLCoordinate.h, src/vrml97/Normal.cpp,
	src/vrml97/TextureCoordinate.cpp,
	include/Inventor/VRMLnodes/SoVRMLNormal.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	src/vrml97/Color.cpp:

	Create VBOs.

2005-09-20 16:01:52  Rev 9564   larsa

	* examples/misc/ivcp.cpp:

	beautify source

2005-09-20 15:48:52  Rev 9563   pederb

	* src/actions/SoRayPickAction.cpp:

	Minor picking precision fix.

2005-09-20 15:46:47  Rev 9562   pederb

	* src/nodes/SoCoordinate4.cpp, src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoVertexProperty.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoBaseColor.cpp, src/nodes/SoCoordinate3.cpp,
	src/nodes/SoTextureCoordinate2.cpp:

	VBO fixes.

2005-09-20 15:46:30  Rev 9561   kyrah

	* configure.ac:

	Re-instate improved Mac OS X single-precision math function check that
	was erroneously removed by handegar in revision 1.181.

2005-09-20 15:44:06  Rev 9560   larsa

	* configure, configure.ac:

	change how debug symbols are included in lib

2005-09-20 15:43:13  Rev 9559   pederb

	* include/Inventor/elements/SoGLVBOElement.h,
	src/elements/GL/SoGLVBOElement.cpp:

	New convenience method.

2005-09-20 15:33:21  Rev 9558   larsa

	* include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	src/actions/SoReorganizeAction.cpp,
	include/Inventor/nodes/SoIndexedFaceSet.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	include/Inventor/nodes/SoIndexedLineSet.h:

	compile fixes

2005-09-20 15:26:45  Rev 9557   larsa

	* src/actions/SoRayPickAction.cpp:

	remove warnings

2005-09-20 15:13:50  Rev 9556   larsa

	* cfg/config.guess, cfg/config.sub:

	new files

2005-09-20 14:59:23  Rev 9555   pederb

	* src/vrml97/IndexedFaceSet.cpp:

	Support for vertex array and VBO rendering.

2005-09-20 14:58:53  Rev 9554   pederb

	* src/actions/SoReorganizeAction.cpp:

	Proper support for VRMLIndexedFaceSet.

2005-09-20 14:52:01  Rev 9553   larsa

	* THANKS:

	two additions

2005-09-20 13:50:06  Rev 9552   pederb

	* src/actions/SoReorganizeAction.cpp:

	Support for reorganizing lines. Cleaned up the code a bit.

2005-09-20 11:13:15  Rev 9551   pederb

	* src/elements/GL/SoGLVBOElement.cpp:

	Remove erroneous assert.

2005-09-20 11:01:30  Rev 9550   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	SoGLLazyElement color per vertex fix.

2005-09-20 10:57:46  Rev 9549   larsa

	* include/Inventor/nodes/SoExtSelection.h,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/VRMLnodes/SoVRMLInline.h,
	include/Inventor/nodes/SoWWWInline.h:

	TGS compatibility includes

2005-09-20 10:20:51  Rev 9548   pederb

	* src/shapenodes/SoPointSet.cpp:

	Support for vertex array rendering.

2005-09-20 10:17:24  Rev 9547   pederb

	* src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoIndexedLineSet.cpp:

	Simplify vertex array rendering code.

2005-09-20 10:11:58  Rev 9546   pederb

	* src/shapenodes/SoShape.cpp, include/Inventor/nodes/SoShape.h:

	Two new convenience functions for vertex array rendering.

2005-09-20 07:52:49  Rev 9545   pederb

	* src/shapenodes/SoIndexedFaceSet.cpp:

	Remove old cruft.

2005-09-20 06:41:59  Rev 9544   pederb

	* src/shapenodes/SoIndexedLineSet.cpp,
	include/Inventor/nodes/SoIndexedLineSet.h:

	Support for vertex array and VBO rendering.

2005-09-20 06:39:45  Rev 9543   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Set vertex pointer last (might be faster for some drivers)

2005-09-20 06:38:01  Rev 9542   pederb

	* src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h:

	Support for lines.

2005-09-19 23:47:33  Rev 9541   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-19 20:32:05  Rev 9540   larsa

	* RELEASE.txt:

	new locations

2005-09-19 20:15:32  Rev 9539   larsa

	* models/dead_simple/all-iv.iv, examples/misc/ivcp.cpp:

	sync

2005-09-19 19:08:25  Rev 9538   larsa

	* src/fields/SoFieldData.cpp:

	improve error message

2005-09-19 18:45:42  Rev 9537   larsa

	* src/misc/SoBase.cpp:

	make read error message more understandable if 'UnknownNode' appears in a .iv
	file

2005-09-19 09:50:48  Rev 9536   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Proper fallback when neither VBOs nor vertex arrays are available.

2005-09-15 23:34:32  Rev 9535   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-15 10:27:12  Rev 9534   handegar

	* aclocal.m4, configure, cfg/errors.txt:

	bootstrap

2005-09-14 23:34:19  Rev 9533   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-14 13:47:40  Rev 9532   pederb

	* src/hardcopy/VectorizeActionP.cpp:

	Fix clip plane transformation bug. Reported by Frank Hibbeln.

2005-09-14 12:35:17  Rev 9531   pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:

	Support for glPushPopClientAttrib.

2005-09-14 08:15:10  Rev 9530   pederb

	* src/hardcopy/VectorizeActionP.cpp:

	Cleanup more in reset() to avoid that the action uses more and more memory if
	it's applied several times. Bug found by Frank Hibbeln.

2005-09-13 23:34:05  Rev 9529   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-13 15:54:44  Rev 9528   pederb

	* src/actions/SoReorganizeAction.cpp:

	Misc. fixes to make it generate scene graphs that can be rendered using VBOs.

2005-09-13 15:39:47  Rev 9527   pederb

	* src/misc/SoVBO.cpp:

	A bit better default value for min/max vertices in a VBO.

2005-09-13 15:31:17  Rev 9526   pederb

	* src/vrml97/Shape.cpp:

	SoGLRenderAction abort callback bugfix.

2005-09-13 15:29:31  Rev 9525   pederb

	* src/nodes/SoVertexProperty.cpp:

	VBO bugfix.

2005-09-13 15:29:01  Rev 9524   pederb

	* src/misc/SoVBO.cpp:

	Bugfix for environment variable test.

2005-09-13 13:47:52  Rev 9523   kyrah

	* aclocal.m4, configure, Makefile.in:

	Bootstrap.

2005-09-13 13:09:47  Rev 9522   kyrah

	* configure.ac, Makefile.am:

	Renamed Resources/pivy to Resources/include since the non-framework
	include style might be generally needed in other cases than pivy.

2005-09-13 13:04:59  Rev 9521   pederb

	* src/nodes/SoMaterial.cpp:

	Support for a color VBO object.

2005-09-13 12:55:09  Rev 9520   pederb

	* src/shapenodes/SoIndexedFaceSet.cpp:

	Support for VBO rendering.

2005-09-13 12:54:15  Rev 9519   pederb

	* src/nodes/SoVertexProperty.cpp:

	Misc. VBO fixes.

2005-09-13 12:51:29  Rev 9518   pederb

	* src/nodes/SoTextureCoordinate3.cpp,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/nodes/SoTextureCoordinate3.h,
	src/nodes/SoTextureCoordinate2.cpp:

	Set up a texcoord VBO object. Pimplify.

2005-09-13 12:49:56  Rev 9517   pederb

	* src/nodes/SoCoordinate4.cpp, include/Inventor/nodes/SoCoordinate4.h:

	Set up a vertex VBO object. Pimplify.

2005-09-13 12:49:17  Rev 9516   pederb

	* include/Inventor/nodes/SoPackedColor.h, src/nodes/SoPackedColor.cpp:

	Set up a color VBO object. Pimplify.

2005-09-13 12:47:03  Rev 9515   pederb

	* src/nodes/SoNormal.cpp:

	Minor VBO fix.

2005-09-13 12:46:40  Rev 9514   pederb

	* src/nodes/SoBaseColor.cpp:

	Add a color VBO object.

2005-09-13 12:43:59  Rev 9513   pederb

	* src/nodes/SoCoordinate3.cpp:

	Minor VBO fix

2005-09-13 11:51:48  Rev 9512   pederb

	* src/elements/SoLazyElement.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoCoordinateElement.cpp,
	src/elements/SoNormalElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp:

	Reset VBO item when element is changed.

2005-09-13 11:50:35  Rev 9511   pederb

	* src/elements/GL/SoGLLazyElement.cpp,
	include/Inventor/elements/SoGLLazyElement.h:

	Add method to sync the color VBO.

2005-09-13 11:49:41  Rev 9510   pederb

	* include/Inventor/elements/SoLazyElement.h:

	Add nodeid ColorPacker methods.

2005-09-13 11:46:08  Rev 9509   pederb

	* src/misc/SoVBO.cpp:

	Disable VBO buffers by default

2005-09-12 23:42:04  Rev 9508   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-12 15:24:49  Rev 9507   handegar

	* aclocal.m4, configure:

	bootstrap

2005-09-12 12:58:44  Rev 9506   pederb

	* src/nodes/SoVertexProperty.cpp:

	Set VBO instances.

2005-09-12 12:52:48  Rev 9505   pederb

	* include/Inventor/system/gl.h.in:

	Some more GL defines.

2005-09-12 12:51:36  Rev 9504   pederb

	* src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h:

	Add support for sorting triangles for faster rendering.

2005-09-12 12:51:07  Rev 9503   pederb

	* src/misc/SoVBO.h, src/misc/SoVBO.cpp:

	Make it possible to store buffer data in cache.

2005-09-12 12:42:34  Rev 9502   pederb

	* src/fields/SoFieldData.cpp:

	Minor fix.

2005-09-12 12:41:42  Rev 9501   pederb

	* src/elements/SoMultiTextureEnabledElement.cpp:

	Doc fix.

2005-09-09 23:35:15  Rev 9500   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-09 11:11:58  Rev 9499   pederb

	* src/actions/SoRayPickAction.cpp:

	Vastly improve picking precision. This fixes problems we've had with picking
	in large scenes.

2005-09-09 09:36:51  Rev 9498   pederb

	* src/hardcopy/VectorizeActionP.cpp:

	Fix potential memory leaks. Reported by Frank Hibbeln.

2005-09-08 23:34:15  Rev 9497   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-08 14:38:30  Rev 9496   handegar

	* aclocal.m4, configure:

	Bootstrap

2005-09-08 14:01:46  Rev 9495   handegar

	* aclocal.m4, configure:

	Bootstrap

2005-09-08 13:36:20  Rev 9494   mortene

	* src/base/SbOctTree.cpp:

	Debug: minor additional debug facilities.

2005-09-08 13:36:00  Rev 9493   mortene

	* BUGS.txt, src/collision/SoIntersectionDetectionAction.cpp:

	Bugfix: make enclosing bbox around octtree sufficiently large for collision
	testing. Fixes bug item #207.

2005-09-08 10:38:44  Rev 9492   mortene

	* BUGS.txt:

	2 new items.

2005-09-07 23:33:57  Rev 9491   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-07 16:40:49  Rev 9490   handegar

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in, aclocal.m4,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, configure.ac,
	src/projectors/Makefile.in, src/collision/Makefile.in,
	include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, include/setup.h.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, src/lists/Makefile.in,
	include/Inventor/draggers/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in, include/config.h.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, include/discard.h.in,
	man/man1/Makefile.in, include/Inventor/nodekits/Makefile.in,
	bin/Makefile.in, man/man3/Makefile.in:

	Bootstrap

2005-09-07 16:36:28  Rev 9489   handegar

	* src/glue/spidermonkey.c, src/misc/SoJavaScriptEngine.cpp,
	src/vrml97/Script.cpp:

	Moved over changes from Coin-2

2005-09-06 23:34:45  Rev 9488   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-06 13:46:45  Rev 9487   handegar

	* aclocal.m4, configure:

	Bootstrap

2005-09-06 13:43:40  Rev 9486   handegar

	* src/glue/spidermonkey.c:

	More debug-info.
	#define fix for jsapi.h

2005-09-06 11:57:13  Rev 9485   kyrah

	* configure.ac, Makefile.am:

	Removed recursive Headers/Inventor -> ../Headers symlink, since
	this caused Xcode to crash when Inventor.framework was imported.

	This symlink was/is needed since Pivy (or rather, swig) does not
	support frameworks. Moved it to Resources/pivy, which is both
	cleaner (since it's a pivy-specific hack anyway) and makes it
	non-rekursive, hence preventing the Xcode crash.

2005-09-05 23:33:48  Rev 9484   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-05 12:32:20  Rev 9483   handegar

	* src/glue/spidermonkey.c, src/misc/SoJavaScriptEngine.cpp,
	include/Inventor/C/glue/spidermonkey.h:

	Spidermonkey cleanup

2005-09-01 23:33:58  Rev 9482   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-09-01 14:26:57  Rev 9481   erikgors

	* src/vrml97/JS_VRMLClasses.cpp:

	Compiler fix for gcc4

2005-08-30 23:34:01  Rev 9480   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-30 16:38:49  Rev 9479   handegar

	* src/misc/SoJavaScriptEngine.cpp:

	Delete pimpl class in destructor.

2005-08-30 16:22:02  Rev 9478   handegar

	* src/misc/SoJavaScriptEngine.cpp,
	include/Inventor/misc/SoJavaScriptEngine.h:

	Pimplified class

2005-08-30 10:39:57  Rev 9477   handegar

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Static linking for SpiderMonkey enabled.

2005-08-30 10:17:33  Rev 9476   handegar

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in, aclocal.m4,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, cfg/gendsp.sh.in,
	src/caches/Makefile.in, include/Inventor/manips/Makefile.in,
	src/engines/Makefile.in, include/Inventor/threads/Makefile.in,
	configure.ac, src/projectors/Makefile.in, src/collision/Makefile.in,
	include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, src/lists/Makefile.in,
	include/Inventor/draggers/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in, include/config.h.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, include/discard.h.in,
	man/man1/Makefile.in, include/Inventor/nodekits/Makefile.in,
	bin/Makefile.in, man/man3/Makefile.in:

	Bootstrap.

2005-08-29 23:34:08  Rev 9475   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-29 12:56:34  Rev 9474   kyrah

	* configure.ac:

	Fix for building the binary SDK on Mac OS 10.4: Don't use
	the single-precision math functions, which are available in
	10.4 but not in 10.3. Problem reported by Tamer Fahmy.

2005-08-22 23:33:41  Rev 9473   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-22 15:23:04  Rev 9472   pederb

	* include/Inventor/nodes/SoNormal.h,
	include/Inventor/nodes/SoCoordinate3.h, src/nodes/SoNormal.cpp,
	src/nodes/SoCoordinate3.cpp:

	Set SoVBO instance.

2005-08-22 14:56:31  Rev 9471   pederb

	* src/elements/SoElement.cpp, include/Inventor/elements/SoElements.h:

	Initialize SoGLVBOElement.

2005-08-22 14:27:44  Rev 9470   pederb

	* src/nodes/SoNode.cpp:

	More doc regarding nodeid.

2005-08-22 13:59:54  Rev 9469   pederb

	* src/elements/SoLazyElement.cpp:

	Doc.

2005-08-22 13:49:48  Rev 9468   pederb

	* src/nodes/SoNode.cpp:

	Make sure that no node can have nodeid == 0.

2005-08-22 12:25:10  Rev 9467   handegar

	* src/glue/spidermonkey.c:

	Added alternative SpiderMonkey library (Debian).

2005-08-22 08:11:54  Rev 9466   pederb

	* src/shapenodes/SoShape.cpp:

	Bugfix. Test sorted triangle transparency type from state, not from action.
	Reported by Michael Mandel.

2005-08-22 08:10:29  Rev 9465   pederb

	* src/elements/SoShapeStyleElement.cpp,
	include/Inventor/elements/SoShapeStyleElement.h:

	Added flag for testing sorted triangles transparency type.

2005-08-17 23:34:12  Rev 9464   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-17 13:03:46  Rev 9463   mortene

	* src/misc/CoinOffscreenGLCanvas.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/CoinOffscreenGLCanvas.h:

	Performance: fixes a performance regression introduced with the fix to
	successively halve GL tile size until successful allocation.

2005-08-16 23:33:12  Rev 9462   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-16 13:35:48  Rev 9461   erikgors

	* src/vrml97/JS_VRMLClasses.cpp:

	Fixed a couple of FIXME's dealing with MF-classes crashing the gc.

2005-08-16 09:44:30  Rev 9460   mortene

	* src/vrml97/JS_VRMLClasses.cpp:

	Clean-up: very minor style fix.

2005-08-09 23:34:08  Rev 9459   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-09 14:15:35  Rev 9458   mortene

	* src/tidbits.c:

	Doc: convert FIXME to neutral code comment.

2005-08-09 10:09:04  Rev 9457   mortene

	* src/misc/SoSceneManager.cpp:

	Doc: FIXME note about incompatibility with SGI Inventor.

2005-08-09 09:47:18  Rev 9456   pederb

	* include/Inventor/misc/SbHash.h, src/base/dict.c, src/base/hash.c:

	Use prime numbers for the number of buckets in hash tables.

2005-08-09 09:38:15  Rev 9455   pederb

	* include/Inventor/C/tidbitsp.h, src/tidbits.c:

	Added function for finding the next prime number for a given number.

2005-08-05 23:33:05  Rev 9454   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-05 16:18:41  Rev 9453   kintel

	* src/vrml97/JS_VRMLClasses.cpp:

	Don't run neede code inside asserts, added FIXME about wrong use of
	JS_AddRoot/JS_RemoveRoot causing a crash on exit

2005-08-04 23:33:34  Rev 9452   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-04 16:20:35  Rev 9451   kyrah

	* src/actions/SoGLRenderAction.cpp:

	Don't render multi passes if no accumulation buffer available. Optimization
	suggested by pederb.

2005-08-04 14:32:57  Rev 9450   pederb

	* src/engines/SoFieldConverter.cpp, src/engines/SoEngineOutput.cpp:

	Fix bug in getForwardConnections(). Field converters should be skipped. Bug
	reported by Nikolai Ruhe.

2005-08-04 14:25:32  Rev 9449   kintel

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Another spidermonkey function added

2005-08-04 14:23:42  Rev 9448   kintel

	* src/vrml97/JS_VRMLClasses.cpp:

	Disabled assertion on private pointer always being != NULL

2005-08-03 23:33:49  Rev 9447   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-03 18:18:05  Rev 9446   kintel

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Added some needed functions

2005-08-03 18:02:38  Rev 9445   kintel

	* src/vrml97/JS_VRMLClasses.cpp:

	Removed code assuming that the root node wraps the 'real' scenegraph

2005-08-03 16:36:56  Rev 9444   kyrah

	* src/misc/CoinOffscreenGLCanvas.cpp:

	Added some more debug output.

2005-08-03 16:10:41  Rev 9443   kyrah

	* src/actions/SoGLRenderAction.cpp:

	Don't attempt to use glAccum() if no accumulation buffer is
	available.

2005-08-03 12:56:47  Rev 9442   kyrah

	* src/glue/gl_agl.c:

	Only report failure to aglSetPBuffer() when debugging information
	is requested, since now we will successively retry with smaller
	buffer sizes anyway.

2005-08-02 23:33:38  Rev 9441   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-08-02 11:40:26  Rev 9440   kintel

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Added JS_SetPropertyAttributes()

2005-07-29 23:35:08  Rev 9439   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-29 15:09:40  Rev 9438   kintel

	* src/misc/SoJavaScriptEngine.cpp, src/vrml97/Script.cpp:

	Temporary fix to remedy problem of JS_addVRMLclasses not being public

2005-07-29 13:59:29  Rev 9437   kintel

	* src/glue/spidermonkey.c:

	Correct libnames for Mac and Windows

2005-07-28 23:33:22  Rev 9436   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-28 17:16:36  Rev 9435   erikgors

	* src/vrml97/JS_VRMLClasses.cpp:

	removed a few memory leaks.

2005-07-28 15:55:05  Rev 9434   erikgors

	* src/misc/SoJavaScriptEngine.cpp,
	include/Inventor/misc/SoJavaScriptEngine.h, src/vrml97/Script.cpp:

	- removed initHandlers.
	 - added a few comments.

2005-07-28 14:07:37  Rev 9433   erikgors

	* src/vrml97/JS_VRMLClasses.cpp:

	- rewrote template stuff, to be compatible with vc++6
	- cleaned up namespace pollution
	- replaced SoDebug error reporting with JS_ReportError

2005-07-27 23:34:04  Rev 9432   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-27 13:54:00  Rev 9431   kyrah

	* configure:

	Bootstrap.

2005-07-27 13:13:15  Rev 9430   kyrah

	* packaging/macosx/checklist.txt:

	We need MACOSX_DEPLOYMENT_TARGET when running configure, to be
	able to not pick up functionality that is available on the build
	platform but not the target platform.

2005-07-27 13:10:06  Rev 9429   kyrah

	* THANKS:

	Removed myself.

2005-07-27 13:09:11  Rev 9428   kyrah

	* configure.ac:

	Fix for building the binary SDK on Mac OS 10.4:
	Don't use ftime(), which is available in 10.4 but not in 10.3.

2005-07-26 23:33:57  Rev 9427   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-26 13:57:43  Rev 9426   kyrah

	* src/tidbits.c:

	Added FIXME comment re. atexit usage.

2005-07-26 13:42:47  Rev 9425   kyrah

	* src/tidbits.c:

	Doc fix: explain that cc_coin_atexit() does not actually behave
	like C atexit()...

2005-07-26 11:58:31  Rev 9424   kintel

	* include/Inventor/misc/SoScriptEngine.h,
	include/Inventor/misc/SoJavaScriptEngine.h:

	Added missing COIN_DLL_API

2005-07-24 23:33:39  Rev 9423   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-24 20:22:09  Rev 9422   larsa

	* configure:

	bootstrap

2005-07-24 20:04:56  Rev 9421   larsa

	* configure.ac:

	don't disallow duplicate shared/static builds on Unix

2005-07-24 18:42:46  Rev 9420   larsa

	* src/glue/dl.c:

	caast away some msvc7.1 warnings

2005-07-23 23:33:33  Rev 9419   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-23 01:11:20  Rev 9418   kyrah

	* src/lists/SoCallbackList.cpp:

	Added a couple of FIXMEs.

2005-07-23 00:21:43  Rev 9417   kyrah

	* include/Inventor/C/glue/spidermonkey.h:

	Compile fix.

2005-07-23 00:16:18  Rev 9416   kyrah

	* aclocal.m4, cfg/gendsp.sh.in, configure,
	include/Inventor/misc/Makefile.in, src/misc/Makefile.in,
	include/Inventor/C/glue/Makefile.in, cfg/errors.txt:

	Bootstrap.

2005-07-22 23:32:58  Rev 9415   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-22 12:46:29  Rev 9414   kintel

	* include/Inventor/C/glue/spidermonkey.h:

	Added COIN_DLL_API to public function

2005-07-21 23:33:12  Rev 9413   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-21 22:29:55  Rev 9412   erikgors

	* src/vrml97/JS_VRMLClasses.cpp:

	fixed 2 memory leaks

2005-07-21 21:17:40  Rev 9411   erikgors

	* include/Inventor/C/glue/Makefile.am:

	Moved spidermonkey.h to PublicHeaders

2005-07-21 21:14:22  Rev 9410   erikgors

	* src/glue/spidermonkey.c, src/misc/SoJavaScriptEngine.cpp,
	src/vrml97/JS_VRMLClasses.cpp,
	include/Inventor/C/glue/spidermonkey.h,
	include/Inventor/misc/SoScriptEngine.h, src/misc/all-misc-cpp.cpp,
	src/vrml97/JavascriptEngine.cpp,
	include/Inventor/misc/SoJavaScriptEngine.h,
	include/Inventor/misc/Makefile.am, src/misc/Makefile.am,
	src/vrml97/Script.cpp:

	- Moved vrml97/JavascriptEngine.cpp to misc/SoJavaScriptEngine.cpp, and added
	  public SoScriptEngine and SoJavaScriptEngine headers.
	- Added more macros/functions to spidermonkey interface, and made it public.
	- A lot of cleanup in Javascript classes (but still more to do), and added
	  a few templates for more code reuse.

2005-07-20 23:33:30  Rev 9409   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-20 13:42:46  Rev 9408   mortene

	* BUGS.txt:

	#204 fixed by handegar.

2005-07-20 13:13:40  Rev 9407   handegar

	* src/misc/SoOffscreenRenderer.cpp:

	Include origin-position when rendering tiles.

2005-07-19 23:33:05  Rev 9406   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-19 21:14:57  Rev 9405   larsa

	* src/vrml97/JavascriptEngine.cpp:

	tsk tsk

2005-07-18 23:34:11  Rev 9404   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-18 13:37:50  Rev 9403   erikgors

	* src/vrml97/JavascriptEngine.cpp:

	Compiler fix

2005-07-15 23:33:08  Rev 9402   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-15 12:05:46  Rev 9401   erikgors

	* src/vrml97/JS_VRMLClasses.cpp:

	Added Get/SetValue methods for all MF classes, and reimplemented jsval2field
	and field2jsval for each class to take advantage of this.

2005-07-14 23:34:17  Rev 9400   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-14 16:54:05  Rev 9399   erikgors

	* src/glue/spidermonkey.c, src/vrml97/JS_VRMLClasses.cpp,
	include/Inventor/C/glue/spidermonkey.h,
	src/vrml97/JavascriptEngine.cpp, src/vrml97/Script.cpp:

	Improves VRML Javascript/ECMAScript support.
	 - Added JavascriptEngine class, for handling each spidermonkey context.
	 - Javascript support for SFImage, VrmlMatrix and Browser are still missing,
	   but soon to be added.

2005-07-14 13:48:41  Rev 9398   mortene

	* src/base/SbString.cpp, docs/quat2euler.txt,
	src/shapenodes/SoAsciiText.cpp, docs/coin.doxygen.in,
	src/base/SbTime.cpp, src/shapenodes/SoImage.cpp,
	src/shapenodes/SoText2.cpp, src/actions/SoGLRenderAction.cpp,
	src/nodes/SoCamera.cpp, src/shapenodes/SoText3.cpp:

	Doc: various additions to API documentation, plus a few FIXME notes.

2005-07-14 13:03:23  Rev 9397   mortene

	* BUGS.txt:

	New item.

2005-07-14 10:52:30  Rev 9396   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Robustness, temporary bug aid: explicit warning when SoCamera::viewportMapping
	is a value which will trigger a known bug.

2005-07-14 10:50:32  Rev 9395   mortene

	* BUGS.txt:

	New item, plus update on old -- both related to the SoOffscreenRenderer.

2005-07-14 08:25:26  Rev 9394   mortene

	* src/elements/SoViewportRegionElement.cpp,
	include/Inventor/elements/SoViewportRegionElement.h:

	Clean-up: remove unused static class variable.

2005-07-12 23:33:34  Rev 9393   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-12 14:26:53  Rev 9392   mortene

	* src/hardcopy/VectorizeActionP.cpp:

	Compile fixes: avoid using non-standard cosf(), powf() and sqrtf(). Reported
	by Bert Bril.

2005-07-12 11:46:32  Rev 9391   mortene

	* BUGS.txt:

	Remove old item, which has probably been fixed for a long time.

2005-07-12 11:32:19  Rev 9390   mortene

	* src/misc/CoinOffscreenGLCanvas.cpp:

	Optimization: try harder to avoid destruction and reconstruction of offscreen
	GL contexts.

2005-07-12 11:31:35  Rev 9389   mortene

	* src/glue/gl.c:

	Robustness: remove clamp work-around for specific platforms, wrt offscreen
	context dimensions.

2005-07-12 11:30:32  Rev 9388   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Bugfix: don't give up if offscreen GL context allocation fails at first, but
	re-try with successively smaller dimensions.

2005-07-11 23:34:01  Rev 9387   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-11 13:15:16  Rev 9386   mortene

	* BUGS.txt:

	Remove item for fixed bug.

2005-07-11 12:10:55  Rev 9385   mortene

	* src/misc/CoinOffscreenGLCanvas.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/CoinOffscreenGLCanvas.h:

	Optimization: potentially much better performance when reusing an
	SoOffscreenRenderer with different viewport sizes. Doc: many updates to FIXME
	notes.

2005-07-08 23:33:41  Rev 9384   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-08 17:20:20  Rev 9383   kyrah

	* packaging/macosx/noinst-README-Jaguar.txt.in, packaging/macosx/inst-
	README-Jaguar.txt.in, packaging/macosx/noinst-README-Panther.txt.in,
	packaging/macosx/inst-README-Panther.txt.in:

	Fix broken URLs.

2005-07-08 17:14:24  Rev 9382   kyrah

	* packaging/macosx/noinst-README-Tiger.txt.in, packaging/macosx/inst-
	README-Tiger.txt.in:

	README files for the Mac OS 10.4 binary SDK.

2005-07-08 10:54:18  Rev 9381   mortene

	* src/engines/SoSelectOne.cpp:

	Optimization: better SoSelectOne::evaluate() for all or most built-in types.
	By Gerhard Reitmayr.

2005-07-08 10:39:44  Rev 9380   mortene

	* src/threads/.cvsignore, src/upgraders/.cvsignore, src/threads,
	src/upgraders, src/vrml97/.cvsignore, src/vrml97:

	for in-place builds

2005-07-08 10:30:56  Rev 9379   mortene

	* src/fields/SoFieldData.cpp:

	Minor clean-ups, some FIXMEs to investigate and take care of later.

2005-07-08 09:46:22  Rev 9378   pederb

	* src/nodes/SoSurroundScale.cpp:

	Fix surround scale bug reported by Thomas Steube. This fix also makes
	SoSurroundScale more conformant to SGI Inventor.

2005-07-08 09:00:00  Rev 9377   mortene

	* src/fields/SoField.cpp:

	Clean-up: remove unused code, fix up some out of sync debug code.

2005-07-06 23:33:52  Rev 9376   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-06 15:13:04  Rev 9375   mortene

	* THANKS:

	Gerard Vermeulen: tested 2.4.2 release and reported bugs found.

2005-07-06 15:11:31  Rev 9374   mortene

	* src/nodes/SoGroup.cpp:

	Bugfix: regression in Coin 2.4.2, could no longer read binary Inventor 2.0
	files properly. Reported by Gerard Vermeulen.

2005-07-06 14:46:35  Rev 9373   erikgors

	* src/misc/SoDebug.cpp:

	compile fix

2005-07-06 14:44:20  Rev 9372   mortene

	* src/fonts/win32.c, src/fonts/glyph2d.c:

	Bugfix: 2D fonts would be way too large when using the Win32 API for font
	rendering.

2005-07-06 14:06:49  Rev 9371   larsa

	* build/msvc6/coin3.dsp, build/msvc6/installcoinheaders.bat,
	build/msvc7/installcoinheaders.bat, build/msvc7/coin3.sln,
	build/msvc7/coin3.vcproj:

	regenerate

2005-07-06 13:43:19  Rev 9370   larsa

	* docs/coin.doxygen.in, include/SoDebug.h, src/misc/SoDebug.cpp:

	docs and cosmetics

2005-07-06 13:22:29  Rev 9369   larsa

	* src/misc/SoDebug.cpp:

	remove debug output

2005-07-06 13:21:44  Rev 9368   larsa

	* include/Inventor/oivwin32.h, include/Inventor/Makefile.am,
	include/SoDebug.h, include/Inventor/non_winsys.h,
	src/misc/Makefile.in, src/misc/all-misc-cpp.cpp, include/Makefile.in,
	include/Inventor/Makefile.in, src/misc/Makefile.am,
	src/misc/SoDebug.cpp, include/Makefile.am:

	some minor TGS header compatibility additions, partial SoDebug implementation

2005-07-06 13:17:39  Rev 9367   mortene

	* src/fonts/fontlib_wrapper.c:

	Bugfix: using 2D fonts when Coin was built mt-safe would cause a hang.

2005-07-06 13:16:49  Rev 9366   mortene

	* src/fonts/.cvsignore, src/fonts:

	for building from the src dir

2005-07-05 23:33:26  Rev 9365   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-05 14:28:33  Rev 9364   larsa

	* RELEASE.txt:

	minor stuff

2005-07-05 13:54:34  Rev 9363   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-05 12:36:43  Rev 9362   pederb

	* src/shapenodes/soshape_bumprender.cpp:

	Avoid using Coin's SbVec3f::normalize.

2005-07-05 12:22:08  Rev 9361   pederb

	* src/shapenodes/soshape_bumprender.cpp:

	Undo commit by mistake.

2005-07-05 12:21:14  Rev 9360   pederb

	* src/shapenodes/soshape_bigtexture.cpp:

	Make subimage size depend on the size of the original image to avoid creating
	too many subimages. Thanks to Guenter Schwann for pointing out this problem.

2005-07-05 12:20:11  Rev 9359   larsa

	* src/io/all-io-cpp.cpp:

	--enable-compact fix

2005-07-05 12:16:11  Rev 9358   pederb

	* src/caches/SoGLCacheList.cpp, src/caches/SoNormalCache.cpp:

	Compile fixes.

2005-07-05 12:05:28  Rev 9357   pederb

	* src/shapenodes/soshape_bumprender.cpp:

	Make subimage size depend on the size of the original image to avoid creating
	too many subimages. Thanks to Guenter Schwann for pointing out this problem.

2005-07-05 12:05:22  Rev 9356   larsa

	* src/misc/all-misc-cpp.cpp:

	--enable-compact fix

2005-07-05 12:02:11  Rev 9355   larsa

	* src/caches/SoConvexDataCache.cpp, src/caches/SoBoundingBoxCache.cpp,
	src/caches/SoGLCacheList.cpp, src/caches/SoCache.cpp,
	src/caches/SoGLRenderCache.cpp, src/caches/SoGlyphCache.cpp,
	src/caches/SoPrimitiveVertexCache.cpp, src/caches/SoNormalCache.cpp,
	src/caches/SoTextureCoordinateCache.cpp:

	windows --enable-compact fixes

2005-07-05 11:57:26  Rev 9354   larsa

	* src/glue/spidermonkey.c, src/glue/GLUWrapper.c:

	--enable-compact fixes

2005-07-05 09:07:22  Rev 9353   larsa

	* src/io/Makefile.in, Makefile.in, src/io/Makefile.am, Makefile.am:

	makefile fixes

2005-07-05 09:04:00  Rev 9352   mortene

	* src/io/SoInput.cpp:

	Bugfix: if there are several trailing characters, doBufferRead() will assert
	-- so use an indirect way of triggering the EOF side-effect.

2005-07-05 08:57:38  Rev 9351   mortene

	* src/io/SoInput_FileInfo.h, src/io/SoInput_FileInfo.cpp:

	Minor clean-up: remove some cruft in an internal interface.

2005-07-05 08:57:01  Rev 9350   mortene

	* src/io/SoInput.cpp:

	Bugfix: handle special EOF marker on old binary files.

2005-07-04 23:34:07  Rev 9349   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-04 14:42:23  Rev 9348   larsa

	* Makefile.in, Makefile.am:

	dist fix

2005-07-04 14:28:23  Rev 9347   larsa

	* build/msvc6, build/msvc6/coin3.dsp, build/msvc6/include/.cvsignore,
	build/msvc7, build/msvc7/include/.cvsignore, build/msvc6/include
	/config-debug.h, build/msvc7/include/config-debug.h,
	build/msvc7/coin3.sln, build/msvc6/include/setup.h,
	build/msvc7/include/setup.h, build/msvc6/.cvsignore,
	build/msvc7/.cvsignore, build/msvc7/coin3.vcproj,
	build/msvc6/include, build/msvc7/include, build/msvc6/include/config-
	release.h, build/msvc7/include/config-release.h, build/README:

	regenerate files

2005-07-04 13:30:19  Rev 9346   larsa

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	src/fonts/Makefile.am, data/Makefile.in,
	include/Inventor/system/Makefile.in, man/Makefile.in,
	include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap

2005-07-04 13:29:29  Rev 9345   larsa

	* include/setup.h.in, include/update-config.sh, configure.ac,
	include/config.h.in, include/discard.h.in:

	separate setup.h for user-tunable defines

2005-07-04 11:51:53  Rev 9344   larsa

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in, aclocal.m4,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, cfg/gendsp.sh.in,
	src/caches/Makefile.in, include/Inventor/manips/Makefile.in,
	src/engines/Makefile.in, include/Inventor/threads/Makefile.in,
	src/projectors/Makefile.in, src/collision/Makefile.in,
	include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap

2005-07-04 10:38:16  Rev 9343   kyrah

	* src/elements/GL/SoGLDisplayList.cpp:

	Changed condition to assert, as suggested by mortene. If we don't have a
	valid OpenGL context, something is seriously wrong anyway that will only
	hit us later on.

2005-07-03 23:33:42  Rev 9342   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-03 15:28:05  Rev 9341   larsa

	* src/nodes/SoSceneTextureCubeMap.cpp:

	don't include iostream, and cast double->float conversions

2005-07-01 23:33:49  Rev 9340   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-07-01 16:15:12  Rev 9339   mortene

	* src/io/SoInput_FileInfo.cpp:

	Robustness: warn when encountering really old Inventor files that our parsing
	is known to be imperfect.

2005-07-01 16:07:13  Rev 9338   mortene

	* src/nodes/SoGroup.cpp:

	Bugfix: SoSeparator nodes from Inventor V1.0 files should not attempt to read
	any fields.

2005-07-01 16:06:04  Rev 9337   mortene

	* src/upgraders/SoUpgrader.cpp:

	Bugfix: upgraders functionality was foobar -- no upgrader nodes would ever be
	instantiated.

2005-07-01 16:04:44  Rev 9336   mortene

	* src/misc/SoBase.cpp, src/io/SoInput.cpp, src/io/SoInputP.h:

	Debug: make available a general debug variable for debugging iv-file parsing.

2005-07-01 12:10:22  Rev 9335   mortene

	* src/shapenodes/soshape_bigtexture.cpp, src/misc/SoGLBigImage.cpp:

	Doc: FIXME about known performance killer.

2005-07-01 10:50:56  Rev 9334   mortene

	* src/io/SoInput_FileInfo.h, src/io/SoInput_FileInfo.cpp:

	Clean-up: header inclusion was a mess.

2005-07-01 09:46:22  Rev 9333   mortene

	* src/io/SoInput_FileInfo.h:

	Compile fix: include tidbits.h for coin_isspace(). Reported by Gerhard
	Reitmayr.

2005-07-01 05:39:02  Rev 9332   mortene

	* BUGS.txt:

	New item, recurring problem with openal.dll.

2005-06-30 23:34:06  Rev 9331   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-30 13:56:21  Rev 9330   mortene

	* src/fields/SoFieldData.cpp, src/io/SoInput.cpp, src/io/SoInputP.h,
	src/io/Makefile.am:

	Debug: global internal envvar for debugging reading of binary format files.

2005-06-30 13:51:30  Rev 9329   mortene

	* src/io/SoInput_FileInfo.h, src/io/SoOutput_Writer.h,
	src/io/SoInput_Reader.h:

	Clean-ups: tag as internal files, misc removal of unnecessary #includes.

2005-06-30 13:13:33  Rev 9328   mortene

	* BUGS.txt:

	New item, wanted optimization.

2005-06-29 23:33:57  Rev 9327   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-29 12:57:41  Rev 9326   tamer

	* src/vrml97/AudioClip.cpp:

	added missing include for coin_getenv.

2005-06-28 23:33:59  Rev 9325   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-28 18:57:09  Rev 9324   larsa

	* build/msvc6/coin3.dsp, build/msvc6/installcoinheaders.bat,
	build/msvc7/installcoinheaders.bat, build/msvc7/coin3.sln,
	build/msvc7/coin3.vcproj:

	regenerate

2005-06-28 14:27:30  Rev 9323   mortene

	* HACKING:

	Section on C++-features unavailable to Coin src.

2005-06-28 13:36:14  Rev 9322   thammer

	* docs/todo.txt:

	Suggest using a virtual machine and simage/build/build_simage_win32.sh

2005-06-28 12:14:27  Rev 9321   mortene

	* include/Inventor/SbBox.h:

	Compatibility fix: better compile-time compatibility for application code
	originally written with SGI or TGS Inventor.

2005-06-28 12:08:37  Rev 9320   mortene

	* docs/todo.txt:

	Update on the simage-integrated-in-Coin issue.

2005-06-28 09:22:07  Rev 9319   mortene

	* THANKS:

	Adds Peter Cech, for assistance with finding bugs in SIM Voleon.

2005-06-28 08:29:27  Rev 9318   mortene

	* src/misc/SoAudioDevice.cpp, include/Inventor/misc/SoAudioDevice.h:

	Remove obsoleted function for Coin 3.

2005-06-28 08:26:13  Rev 9317   mortene

	* src/vrml97/Sound.cpp, src/misc/AudioTools.cpp,
	src/misc/SoAudioDevice.cpp:

	Clean-ups: minor fixes, remove some unnecessary #ifdef'ing on HAVE_SOUND.

2005-06-28 08:08:37  Rev 9316   mortene

	* src/misc/SoAudioDevice.cpp, include/Inventor/misc/SoAudioDevice.h:

	Re-enable the option to run SoAudioDevice::init() from application code, on
	thammer's request.

2005-06-27 23:33:39  Rev 9315   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-27 16:05:39  Rev 9314   mortene

	* src/misc/SoSceneManager.cpp, src/vrml97/Sound.cpp,
	src/vrml97/AudioClip.cpp, src/misc/AudioTools.cpp,
	src/misc/SoAudioDevice.cpp, src/misc/AudioTools.h:

	Optimization, robustness: load OpenAL on demand. That is: only when sound-
	emitting nodes have been instantiated. This to avoid the common problems with
	OpenAL on various systems, like application crash on start-up or hang on exit.

2005-06-27 15:18:52  Rev 9313   mortene

	* src/vrml97/Sound.cpp, src/vrml97/AudioClip.cpp,
	src/glue/openal_wrapper.c, src/misc/SoAudioDevice.cpp,
	src/misc/SoDB.cpp:

	Clean-ups: various.

2005-06-27 15:14:01  Rev 9312   mortene

	* src/vrml97/Sound.cpp, src/vrml97/AudioClip.cpp:

	Sync with Coin-2.

2005-06-27 13:07:34  Rev 9311   mortene

	* src/misc/SoAudioDevice.cpp, src/misc/SoDB.cpp,
	include/Inventor/misc/SoAudioDevice.h:

	Clean-ups: the at-exit handling was a mess -- now fixed. Various other clean-
	ups done aswell.

2005-06-27 13:03:55  Rev 9310   mortene

	* src/misc/SoAudioDevice.cpp:

	Sync with Coin-2.

2005-06-27 12:44:22  Rev 9309   pederb

	* src/nodes/SoNode.cpp:

	Init SoSceneTextureCubeMap.

2005-06-27 12:39:38  Rev 9308   pederb

	* include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am:

	build SoSceneTextureCubeMap.

2005-06-27 10:30:38  Rev 9307   mortene

	* BUGS.txt:

	A couple of new, hard-to-solve issues.

2005-06-27 09:08:40  Rev 9306   mortene

	* BUGS.txt:

	New item.

2005-06-27 08:59:43  Rev 9305   mortene

	* src/shapenodes/SoImage.cpp:

	Compile fixes: improves typing, takes care of MSVC 6 warnings.

2005-06-24 23:35:13  Rev 9304   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-24 23:27:25  Rev 9303   pederb

	* src/actions/SoToVRML2Action.cpp:

	Bugfix for case where SoLineSet should render all vertices on the state.

2005-06-24 15:34:44  Rev 9302   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/fonts/win32.c, src/fonts/freetype.c, src/fonts/win32.h,
	src/misc/SoGlyph.cpp, src/fonts/freetype.h, src/fonts/glyph2d.c,
	src/fonts/glyph3d.c:

	Bugfix: vector kerning with default font would not work if in not a directly
	supported width. Killed the sizex parameters, which simplifies the code (and
	it wasn't really used to any good effort).

2005-06-24 14:28:28  Rev 9301   pederb

	* src/shapenodes/SoImage.cpp:

	Fix for SoImage transparency rendering. Bug reported by Frank Hibbeln.

2005-06-24 14:08:49  Rev 9300   mortene

	* src/tidbits.c:

	Robustness: don't call the C lib's atexit().

2005-06-24 12:45:45  Rev 9299   mortene

	* src/fonts/fontlib_wrapper.c:

	Bugfix: resource leak check was flawed.

2005-06-24 12:33:54  Rev 9298   mortene

	* src/fonts/fontlib_wrapper.c:

	Optimization: don't load or init FreeType library or Win32 font API until they
	are actually needed. Inspired by a patch from Jan Peeiva.

2005-06-24 11:22:17  Rev 9297   mortene

	* src/fonts/fontlib_wrapper.c:

	Minor cleanup: rename struct member 'font' to 'nativefonthandle' to make code
	more easily readable.

2005-06-24 09:48:06  Rev 9296   mortene

	* BUGS.txt:

	New item.

2005-06-23 23:33:53  Rev 9295   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-23 14:26:09  Rev 9294   mortene

	* src/fonts/fontlib_wrapper.c:

	Bugfix: don't attempt to tessellate a built-in font.

2005-06-23 13:59:54  Rev 9293   mortene

	* BUGS.txt, src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/misc/SoGlyph.cpp, src/fonts/glyph3d.c:

	Bugfix: kills a bug where different complexity settings for 3D fonts caused an
	assert.

2005-06-23 13:10:28  Rev 9292   mortene

	* src/fonts/fontlib_wrapper.c:

	Bugfixes: avoid faulty memory deallocation when using built-in fonts for
	glyphs.

2005-06-23 12:23:37  Rev 9291   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c, src/fonts/freetype.c,
	src/fonts/win32.h, src/fonts/freetype.h:

	Bugfix: fix crash on exit. Simplifications: remove redundant parts of
	interfaces to Win32 and FreeType.

2005-06-23 12:21:59  Rev 9290   mortene

	* src/fonts/glyph3d.c:

	Bugfix: reactive non-default 3D fonts.

2005-06-23 11:38:23  Rev 9289   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c, src/fonts/freetype.c,
	src/fonts/win32.h, src/fonts/freetype.h:

	Updates to Win32 API interface, compile fixes, further simplifications.

2005-06-23 10:26:15  Rev 9288   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/win32.c, src/fonts/freetype.c:

	Code clean-up: simplified the underlying native font handling, by moving the
	glyph caching up into fontlib_wrapper abstraction. This also takes care of a
	few bugs.

2005-06-23 10:20:06  Rev 9287   mortene

	* include/Inventor/C/glue/freetype.h, src/glue/freetype.c:

	Minor fixes: corrected some function signatures.

2005-06-23 08:22:52  Rev 9286   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/fontlib_wrapper.h,
	src/misc/SoGlyph.cpp, src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Compile fixes, removal of redundant and unused code, additional debugging
	options, various clean-ups.

2005-06-22 23:34:05  Rev 9285   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-22 20:42:11  Rev 9284   larsa

	* src/fonts/builtin2dfonts.sh, src/fonts/font13.ic, src/fonts/font33.ic,
	src/fonts/font25.ic, src/fonts/font17.ic:

	update

2005-06-22 19:32:59  Rev 9283   larsa

	* build/msvc6/coin3.dsp, build/msvc7/coin3.sln, build/msvc7/coin3.vcproj:

	sync

2005-06-22 13:47:14  Rev 9282   mortene

	* src/fonts/common.h, src/fonts/fontlib_wrapper.c,
	src/fonts/Makefile.in, src/fonts/default2dfont.c,
	src/fonts/fontlib_wrapper.h, src/fonts/win32.c,
	src/fonts/defaultfonts.h, src/fonts/win32.h, src/fonts/glyph2d.c,
	src/fonts/glyph3d.c, src/fonts/all-fonts-c.c, src/fonts/freetype.c,
	src/fonts/fontspec.h, src/fonts/Makefile.am, src/fonts/common.c,
	src/fonts/freetype.h:

	Clean-up: various minor improvements to the internal font interfaces. Bugfix:
	make the multiple size default 2D fonts work.

2005-06-22 12:52:39  Rev 9281   mortene

	* src/fonts/fontlib_wrapper.c, src/fonts/builtin2dfonts.sh,
	src/fonts/builtin2dfonts.ic, src/fonts/default2dfont.c,
	src/fonts/extractfont.cpp, src/fonts/fontlib_wrapper.h,
	src/fonts/defaultfonts.h, src/fonts/font13.ic, src/fonts/freetype.c,
	src/fonts/font33.ic, src/fonts/font25.ic, src/fonts/font17.ic,
	src/fonts/Makefile.am, src/fonts/glyph2d.c:

	Feature update: add more internal bitmap fonts in various sizes. Sync'ed with
	Coin-2.

2005-06-22 12:08:14  Rev 9280   mortene

	* src/glue/dl.c:

	Compile fix: dlsym() and dlclose() takes void* input arguments, not const void
	*.

2005-06-22 09:51:54  Rev 9279   mortene

	* BUGS.txt:

	Small update on #190.

2005-06-21 23:34:47  Rev 9278   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-21 08:54:20  Rev 9277   mortene

	* include/Inventor/C/glue/glp.h, src/shaders/todo.txt, src/glue/gl.c,
	src/shaders/ChangeLog, src/shaders/SoGLCgShaderParameter.cpp,
	src/shaders/SoGLSLShaderParameter.cpp:

	Shader updates:

	* GLSL: support of matrix uniforms and matrix array uniforms
	* CG: setting sampler ids via SoShaderParameter1i nodes.

	By Martin Spindler.

2005-06-21 06:48:21  Rev 9276   kyrah

	* docs/todo.txt:

	Update to Morten's update.

2005-06-20 23:37:43  Rev 9275   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-20 17:57:44  Rev 9274   mortene

	* docs/todo.txt:

	*** empty log message ***

2005-06-20 17:28:05  Rev 9273   mortene

	* src/nodes/SoRotor.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoPendulum.cpp:

	Reversion: addendum to API doc was not correct -- it was a bug, which has been
	fixed.

2005-06-20 15:09:42  Rev 9272   pederb

	* src/nodes/SoSceneTextureCubeMap.cpp,
	include/Inventor/nodes/SoSceneTextureCubeMap.h:

	Add experimental node from Martin Spindler.

2005-06-20 15:04:27  Rev 9271   pederb

	* src/misc/all-misc-cpp.cpp, src/elements/GL/all-glelements-cpp.cpp:

	fix for all-compile.

2005-06-20 13:46:09  Rev 9270   mortene

	* src/nodes/SoRotor.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoPendulum.cpp:

	Doc: mention the low default update rate in the API doc.

2005-06-20 13:18:42  Rev 9269   mortene

	* BUGS.txt:

	New item.

2005-06-19 23:33:42  Rev 9268   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-19 15:45:16  Rev 9267   kyrah

	* src/glue/simage_wrapper.c:

	More debugging output: simage version

2005-06-19 15:35:34  Rev 9266   kyrah

	* src/glue/simage_wrapper.c:

	New debugging environment variable COIN_DEBUG_SIMAGE to just got a
	specific error when libsimage cannot be loaded (instead of having
	to wade through the complete COIN_DEBUG_DL output).

2005-06-19 14:27:45  Rev 9265   kyrah

	* src/elements/GL/SoGLDisplayList.cpp:

	Cosmetics.

2005-06-19 14:25:05  Rev 9264   kyrah

	* src/elements/GL/SoGLDisplayList.cpp:

	glGetString(GL_VERSION) might return 0x0 if there is no current
	OpenGL context. This is not usually the case, but I managed to
	produce the case in one of my test examples, and at least we
	shouldn't crash due to strcmp with NULL in this case. :)

2005-06-18 23:34:07  Rev 9263   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-18 23:31:46  Rev 9262   kyrah

	* src/misc/SoGLImage.cpp:

	Fixed bug that broke PBuffer rendering, since the target was
	erroneously set to GL_TEXTURE_3D.

2005-06-17 23:34:07  Rev 9261   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-17 16:33:21  Rev 9260   pederb

	* include/Inventor/elements/SoGLVBOElement.h,
	src/elements/GL/SoGLVBOElement.cpp:

	First version of the SoGLVBOElement. Comments and suggestions for improvements
	welcome.

2005-06-17 15:52:58  Rev 9259   larsa

	* build/msvc6/coin3.dsp, build/msvc6/installcoinheaders.bat:

	sync

2005-06-17 15:36:19  Rev 9258   larsa

	* build/msvc7/installcoinheaders.bat, build/msvc7/coin3.sln,
	build/msvc7/coin3.vcproj:

	sync

2005-06-17 15:00:12  Rev 9257   kyrah

	* src/glue/dl.c, src/misc/SoGLImage.cpp, src/glue/GLUWrapper.c,
	src/nodekits/SoBaseKit.cpp:

	Get rid of gcc-4 warnings.

2005-06-17 14:21:47  Rev 9256   pederb

	* include/Inventor/elements/SoGLVBOElement.h,
	src/elements/GL/Makefile.am, include/Inventor/elements/Makefile.in,
	src/elements/GL/Makefile.in, src/elements/GL/SoGLVBOElement.cpp,
	include/Inventor/elements/Makefile.am:

	New SoGLVBOElement

2005-06-17 13:50:01  Rev 9255   mortene

	* src/misc/CoinOffscreenGLCanvas.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/CoinOffscreenGLCanvas.h:

	Optimization: major improvements to performance, by using glReadPixels() to
	directly fill in the internal SoOffscreenRenderer buffer.

2005-06-17 13:44:43  Rev 9254   pederb

	* src/misc/SoVBO.h, src/misc/SoVertexArrayIndexer.cpp,
	src/misc/SoVBO.cpp:

	Misc. improvements in the SoVBO API.

2005-06-17 12:21:54  Rev 9253   mortene

	* BUGS.txt:

	Update #190 -- seems to be a problem with Win32 as well as FreeType.

2005-06-17 10:05:08  Rev 9252   mortene

	* src/misc/CoinOffscreenGLCanvas.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/CoinOffscreenGLCanvas.h:

	Optimization: glReadPixels() directly into the SoOffscreenRenderer memory
	buffer, without the extra route through an RGBA buffer. Only for non-tiled
	rendering yet.

2005-06-17 10:00:52  Rev 9251   mortene

	* src/vrml97/Script.cpp:

	Doc: a couple of FIXMEs.

2005-06-16 23:40:59  Rev 9250   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-16 16:23:49  Rev 9249   mortene

	* src/base/hash.c:

	Compile fix: invalid C code, MSVC 7 rightfully complained.

2005-06-16 13:35:26  Rev 9248   pederb

	* src/misc/SoVBO.cpp:

	bugfix

2005-06-16 13:24:13  Rev 9247   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Doc & debug: adds complete, stand-alone example to class doc. Some debug
	possibilities for profiling the internal operations.

2005-06-16 13:21:24  Rev 9246   pederb

	* src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h:

	Simplify code by using the new SoVBO class.

2005-06-16 13:08:43  Rev 9245   pederb

	* src/misc/SoVBO.h, src/misc/SoVBO.cpp:

	SoVBO implementation.

2005-06-16 13:04:28  Rev 9244   pederb

	* src/misc/SoVertexArrayIndexer.cpp:

	Use a smaller hash table by default (there are usually very few contexts).
	Implement SoContextHandler callback.

2005-06-16 12:41:28  Rev 9243   mortene

	* BUGS.txt, src/misc/SoOffscreenRenderer.cpp:

	Bugfix: successive SoOffscreenRenderer invocations with the same instance
	would take more and more processing time, due to increasing number of pre-
	render callbacks invoking glClear().

2005-06-16 12:10:01  Rev 9242   pederb

	* src/misc/SoVBO.h, src/misc/Makefile.in, cfg/errors.txt,
	src/misc/Makefile.am, src/misc/SoVBO.cpp:

	Added SoVBO files.

2005-06-15 23:34:16  Rev 9241   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-15 14:13:34  Rev 9240   mortene

	* BUGS.txt:

	New item.

2005-06-15 10:44:24  Rev 9239   mortene

	* BUGS.txt, src/actions/SoLineHighlightRenderAction.cpp:

	Bugfix: offset lines when rendering line overlays for
	SoLineHightlightRenderAction. Fixes bug #197.

2005-06-15 10:35:31  Rev 9238   mortene

	* BUGS.txt, src/nodes/SoPolygonOffset.cpp:

	Doc update: kill bug item 079, which was actually not a bug, by documenting
	the limitations of SoPolygonOffset / glPolygonOffset().

2005-06-14 23:37:41  Rev 9237   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-14 11:23:47  Rev 9236   pederb

	* include/Inventor/misc/SbHash.h:

	Use dedicated memory allocator for SbHash to avoid memory fragmentation.

2005-06-14 08:28:59  Rev 9235   pederb

	* src/base/hash.c:

	Fix memory handling on resize()

2005-06-14 08:18:22  Rev 9234   pederb

	* include/Inventor/misc/SbHash.h:

	Fix ugly memory leak. Bug reported by dan @ goldensoftware.

2005-06-13 23:33:06  Rev 9233   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-13 09:35:53  Rev 9232   pederb

	* src/shapenodes/SoIndexedFaceSet.cpp,
	src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h:

	Support for VBO-rendering in VertexArrayIndexer.

2005-06-10 23:33:20  Rev 9231   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-10 14:27:45  Rev 9230   mortene

	* BUGS.txt:

	New item.

2005-06-10 13:05:57  Rev 9229   pederb

	* THANKS:

	Add Guenter Schwann.

2005-06-10 13:01:38  Rev 9228   pederb

	* BUGS.txt:

	Fixed FaceSet bug.

2005-06-10 12:52:54  Rev 9227   mortene

	* src/shaders/todo.txt:

	Minor updates to reflect current status.

2005-06-10 12:40:23  Rev 9226   mortene

	* src/shaders/SoShaderObject.cpp, src/shaders/SoShaderProgram.cpp,
	include/Inventor/nodes/SoShaderObject.h,
	include/Inventor/nodes/SoShaderProgram.h, src/shaders/ChangeLog:

	Compatibility fix: let SoShaderProgram and SoShaderObject inherit SoNode, not
	SoGroup, as is done by TGS Inventor. Patch provided by Martin Spindler.

2005-06-10 11:20:46  Rev 9225   kintel

	* BUGS.txt:

	Item #147 (texture compression) fixed

2005-06-10 10:05:57  Rev 9224   pederb

	* src/actions/SoToVRML2Action.cpp:

	Fix recently introduced bug (2005-04-01) which caused all triangle based
	shapes to appear twice in the converted scene graph. Bug reported by Guenter
	Schwann.

2005-06-10 09:55:42  Rev 9223   mortene

	* THANKS:

	Adds F Hibbeln for bug reports and other assistance, and P Boulenguez for
	reporting a bug with the So*-libraries.

2005-06-10 09:53:45  Rev 9222   mortene

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoText3.cpp:

	Doc: fix errors in API doc, reported by Frank Hibbeln.

2005-06-09 23:34:01  Rev 9221   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-09 14:54:22  Rev 9220   pederb

	* src/shapenodes/SoFaceSet.cpp:

	Fix ugly UNKNOWN_FACE_TYPE rendering bug. Reported by Frank Hibbeln.

2005-06-09 14:12:41  Rev 9219   mortene

	* BUGS.txt:

	New item.

2005-06-09 14:02:04  Rev 9218   mortene

	* docs/api-wish-list.txt:

	Update on SoKeyboardEvent issue.

2005-06-09 13:32:28  Rev 9217   mortene

	* BUGS.txt:

	New item.

2005-06-09 11:36:00  Rev 9216   mortene

	* src/nodes/SoTextureCoordinateDefault.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoWWWInline.cpp,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoDirectionalLight.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoPendulum.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoTextureCombine.cpp,
	src/nodes/SoTextureCoordinateObject.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoTextureUnit.cpp, src/nodes/SoBumpMap.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoSpotLight.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoTextureCoordinateNormalMap.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture3.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoListener.cpp, src/nodes/SoCacheHint.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoAnnoText3Property.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoProfileCoordinate3.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTextureCubeMap.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoUnknownNode.cpp,
	src/nodes/SoRotor.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoShapeHints.cpp, src/nodes/SoNurbsProfile.cpp,
	src/nodes/SoTransparencyType.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTexture3Transform.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoNormal.cpp, src/nodes/SoAntiSquish.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoTextureScalePolicy.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoBumpMapCoordinate.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoPattern.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoDrawStyle.cpp,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	src/nodes/SoSelection.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoBumpMapTransform.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoRotationXYZ.cpp:

	Doc: style fix for common part of class docs.

2005-06-09 08:22:05  Rev 9215   mortene

	* src/shapenodes/SoAsciiText.cpp, src/shapenodes/SoMarkerSet.cpp,
	src/shapenodes/SoNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/shapenodes/SoLineSet.cpp, src/shapenodes/SoIndexedLineSet.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	src/shapenodes/SoPointSet.cpp, src/shapenodes/SoText2.cpp,
	src/shapenodes/SoText3.cpp, src/shapenodes/SoQuadMesh.cpp,
	src/shapenodes/SoCylinder.cpp, src/shapenodes/SoFaceSet.cpp,
	src/shapenodes/SoIndexedFaceSet.cpp,
	src/shapenodes/SoNonIndexedShape.cpp, src/shapenodes/SoCube.cpp,
	src/shapenodes/SoImage.cpp, src/shapenodes/SoCone.cpp,
	src/shapenodes/SoSphere.cpp:

	Doc: add FILE FORMAT/DEFAULTS section.

2005-06-08 23:34:18  Rev 9214   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-08 14:19:59  Rev 9213   pederb

	* src/caches/SoNormalCache.cpp:

	Fix typo.

2005-06-08 14:17:57  Rev 9212   pederb

	* src/lists/SbList.cpp, include/Inventor/lists/SbList.h:

	New method ensureCapacity().

2005-06-08 14:17:03  Rev 9211   pederb

	* src/caches/SoNormalCache.cpp:

	Avoid realloc in normal generator. Thanks to dan @ goldensoftware for the tip.

2005-06-08 09:38:44  Rev 9210   kintel

	* include/Inventor/C/glue/gl.h:

	Removed ifdef making cc_glglue_is_texture_size_legal() not exported

2005-06-07 23:34:14  Rev 9209   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-07 14:31:02  Rev 9208   mortene

	* src/nodes/SoTextureCoordinateDefault.cpp, src/nodes/SoArray.cpp,
	src/nodes/SoWWWAnchor.cpp, src/nodes/SoLabel.cpp,
	src/nodes/SoPointLight.cpp, src/nodes/SoWWWInline.cpp,
	src/nodes/SoAnnoText3.cpp, src/nodes/SoDirectionalLight.cpp,
	src/nodes/SoMultipleCopy.cpp, src/nodes/SoShuttle.cpp,
	src/nodes/SoPendulum.cpp, src/nodes/SoCallback.cpp,
	src/nodes/SoTextureCombine.cpp,
	src/nodes/SoTextureCoordinateObject.cpp,
	src/nodes/SoSceneTexture2.cpp, src/nodes/SoSeparator.cpp,
	src/nodes/SoTextureUnit.cpp, src/nodes/SoBumpMap.cpp,
	src/nodes/SoSwitch.cpp, src/nodes/SoPerspectiveCamera.cpp,
	src/nodes/SoEnvironment.cpp, src/nodes/SoExtSelection.cpp,
	src/nodes/SoFont.cpp, src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoCoordinate3.cpp, src/nodes/SoCoordinate4.cpp,
	src/nodes/SoSpotLight.cpp, src/nodes/SoPathSwitch.cpp,
	src/nodes/SoLOD.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoLevelOfDetail.cpp,
	src/nodes/SoTextureCoordinateNormalMap.cpp, src/nodes/SoTexture2.cpp,
	src/nodes/SoTexture3.cpp, src/nodes/SoNormalBinding.cpp,
	src/nodes/SoListener.cpp, src/nodes/SoCacheHint.cpp,
	src/nodes/SoPackedColor.cpp, src/nodes/SoFontStyle.cpp,
	src/nodes/SoAnnoText3Property.cpp,
	src/nodes/SoTextureCoordinate2.cpp,
	src/nodes/SoProfileCoordinate2.cpp,
	src/nodes/SoTextureCoordinate3.cpp,
	src/nodes/SoProfileCoordinate3.cpp,
	src/nodes/SoTransformSeparator.cpp, src/nodes/SoTextureCubeMap.cpp,
	src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/nodes/SoComplexity.cpp, src/nodes/SoEventCallback.cpp,
	src/nodes/SoMaterial.cpp, src/nodes/SoRotation.cpp,
	src/nodes/SoUnits.cpp, src/nodes/SoRotor.cpp,
	src/nodes/SoColorIndex.cpp, src/nodes/SoShapeHints.cpp,
	src/nodes/SoNurbsProfile.cpp, src/nodes/SoTransparencyType.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp,
	src/nodes/SoTexture3Transform.cpp, src/nodes/SoFile.cpp,
	src/nodes/SoVertexProperty.cpp, src/nodes/SoBlinker.cpp,
	src/nodes/SoAntiSquish.cpp, src/nodes/SoNormal.cpp,
	src/nodes/SoLightModel.cpp, src/nodes/SoTextureScalePolicy.cpp,
	src/nodes/SoSurroundScale.cpp, src/nodes/SoMaterialBinding.cpp,
	src/nodes/SoLinearProfile.cpp, src/nodes/SoGroup.cpp,
	src/nodes/SoPolygonOffset.cpp, src/nodes/SoTranslation.cpp,
	src/nodes/SoOrthographicCamera.cpp,
	src/nodes/SoTextureCoordinateBinding.cpp, src/nodes/SoClipPlane.cpp,
	src/nodes/SoBumpMapCoordinate.cpp, src/nodes/SoBaseColor.cpp,
	src/nodes/SoAnnotation.cpp, src/nodes/SoTransform.cpp,
	src/nodes/SoPattern.cpp, src/nodes/SoResetTransform.cpp,
	src/nodes/SoDrawStyle.cpp,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	src/nodes/SoSelection.cpp, src/nodes/SoScale.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp, src/nodes/SoInfo.cpp,
	src/nodes/SoBumpMapTransform.cpp, src/nodes/SoLocateHighlight.cpp,
	src/nodes/SoMatrixTransform.cpp,
	src/nodes/SoTextureCoordinateCylinder.cpp, src/nodes/SoPickStyle.cpp,
	src/nodes/SoRotationXYZ.cpp:

	Doc: add FILE FORMAT/DEFAULTS section to API doc.

2005-06-07 12:41:58  Rev 9207   mortene

	* include/Inventor/actions/SoSubAction.h:

	Bugfix: was missing include dependency for external extension classes.

2005-06-06 23:33:59  Rev 9206   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-06 20:04:57  Rev 9205   larsa

	* build/msvc6/coin3.dsp, build/msvc6/include/config-debug.h,
	build/msvc7/include/config-debug.h, build/msvc7/coin3.sln,
	build/msvc6/include/config-release.h, build/msvc7/include/config-
	release.h, build/msvc7/coin3.vcproj:

	sync

2005-06-06 14:34:35  Rev 9204   mortene

	* BUGS.txt:

	New item.

2005-06-06 13:25:48  Rev 9203   mortene

	* src/vrml97/Script.cpp:

	New feature under development: Javascript execution through SpiderMonkey.
	Warning: this is still in the very early stages.

2005-06-06 12:39:07  Rev 9202   mortene

	* BUGS.txt:

	New item, sync up SuperGLU.

2005-06-03 23:33:35  Rev 9201   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-03 13:33:22  Rev 9200   kintel

	* src/nodes/SoTexture2.cpp, src/nodes/SoTexture3.cpp,
	include/Inventor/nodes/SoTexture2.h,
	include/Inventor/nodes/SoTexture3.h:

	Support compressed textures in SoTexture2 and SoTexture3: Added field
	enableCompressedTexture

2005-06-03 13:01:36  Rev 9199   kintel

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:

	Added support for texture compression

2005-06-03 13:00:33  Rev 9198   kintel

	* src/elements/GL/SoGLTextureImageElement.cpp:

	Use new coin_glglue_is_texture_size_legal()

2005-06-03 12:59:34  Rev 9197   kintel

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Added some private texture support functions needed for texture compression

2005-06-03 12:58:44  Rev 9196   kintel

	* include/Inventor/C/glue/gl.h:

	Deprecated cc_glglue_is_texture_size_legal for internal use

2005-06-03 12:12:14  Rev 9195   frodo

	* src/misc/SoGLImage.cpp:

	compile fix

2005-06-03 12:07:14  Rev 9194   kintel

	* include/Inventor/misc/SoGLImage.h:

	bugfix: bool -> SbBool

2005-06-03 11:38:32  Rev 9193   kintel

	* src/misc/SoGLImage.cpp:

	setResizeCallback() doc entry

2005-06-02 23:33:41  Rev 9192   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-06-02 12:08:38  Rev 9191   mortene

	* src/glue/spidermonkey.c, include/Inventor/C/glue/spidermonkey.h:

	Bugfix: static binding would fail on false symbol name. Also; additional debug
	output.

2005-06-02 08:16:16  Rev 9190   mortene

	* src/vrml97/Makefile.am, src/vrml97/TouchSensor.cpp,
	src/vrml97/Material.cpp:

	Doc: API doc improvements.

2005-06-02 08:14:24  Rev 9189   mortene

	* src/glue/Makefile.in, include/Inventor/C/glue/Makefile.in:

	bootstrap

2005-06-02 08:14:01  Rev 9188   mortene

	* src/glue/spidermonkey.c, include/Inventor/C/glue/Makefile.am,
	include/Inventor/C/glue/spidermonkey.h, src/glue/all-glue-c.c,
	src/glue/Makefile.am:

	New feature: add support for dynamically binding to SpiderMonkey, the
	Javascript engine of the Mozilla project.

2005-05-31 23:33:58  Rev 9187   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-31 13:58:57  Rev 9186   kintel

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:

	Image resize callback

2005-05-31 08:28:20  Rev 9185   pederb

	* src/draggers/SoDragger.cpp:

	Avoid assertion failures in getWorldToLocalMatrix() and
	getLocalToWorldMatrix(). Problem reported by Martin Kavalar.

2005-05-29 23:33:28  Rev 9184   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-29 20:06:06  Rev 9183   mortene

	* src/shapenodes/SoFaceSet.cpp, src/shapenodes/SoIndexedShape.cpp,
	src/shapenodes/soshape_primdata.cpp, src/shapenodes/SoLineSet.cpp,
	src/shapenodes/SoTriangleStripSet.cpp,
	src/shapenodes/soshape_bumprender.cpp,
	src/shaders/SoGLARBShaderObject.cpp, src/vrml97/Extrusion.cpp,
	src/nodekits/SoBaseKit.cpp:

	Clean-up: stricter typing, fixes warnings with MSVC7 /Wp64 option.

2005-05-27 23:33:58  Rev 9182   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-27 12:33:14  Rev 9181   mortene

	* src/io/SoOutput.cpp, src/io/SoInput_Reader.cpp,
	src/io/SoInput_FileInfo.cpp:

	Compile fixes: improve typing.

2005-05-27 12:09:52  Rev 9180   mortene

	* src/io/SoInput_FileInfo.cpp:

	Bugfix: size_t variable would wrap around. Problem reported by kintel.

2005-05-27 10:48:04  Rev 9179   kintel

	* src/nodes/SoTextureScalePolicy.cpp:

	doc typo

2005-05-27 08:39:28  Rev 9178   mortene

	* src/misc/systemsanity.icc:

	Take out the compile time assert which failed with MSVC7 for 64-bit Windows --
	Coin should now be working fine on this platform.

2005-05-26 23:33:30  Rev 9177   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-26 20:21:26  Rev 9176   mortene

	* src/misc/SoSceneManager.cpp, src/io/SoInput_FileInfo.h,
	src/lists/SoPathList.cpp, src/io/SoInput_Reader.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/io/SoInput_Reader.h,
	src/tidbits.c, src/lists/SoAuditorList.cpp,
	src/io/SoOutput_Writer.cpp, src/misc/SoBase.cpp, src/io/SoInput.cpp,
	src/io/SoOutput.cpp, src/io/SoOutput_Writer.h,
	src/misc/cppmangle.icc, src/misc/SoContextHandler.cpp,
	src/misc/SoDB.cpp, src/io/SoInput_FileInfo.cpp:

	Fixes various sloppy typing and casting.

2005-05-26 13:43:10  Rev 9175   mortene

	* BUGS.txt:

	New item, VRML97 fan-in.

2005-05-26 11:28:17  Rev 9174   mortene

	* BUGS.txt, src/vrml97/TODO:

	Minor bug updates.

2005-05-26 10:35:25  Rev 9173   mortene

	* include/Inventor/SbDict.h, src/base/hash.c, src/base/SbDict.cpp,
	include/Inventor/C/base/hash.h:

	Cleanup: better protection for now disallowed internal use of SbDict and
	cc_hash.

2005-05-26 09:43:58  Rev 9172   mortene

	* include/Inventor/C/base/string.h, src/base/string.c:

	Cleanup: corrects a data type.

2005-05-26 09:43:40  Rev 9171   mortene

	* src/base/SbTime.cpp:

	Compile fix: corrects data types.

2005-05-25 23:33:45  Rev 9170   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-25 19:30:54  Rev 9169   mortene

	* src/fields/SoFieldData.cpp, src/draggers/SoTrackballDragger.cpp,
	src/fields/SoField.cpp, src/fonts/win32.c,
	src/draggers/SoRotateDiscDragger.cpp, src/base/dict.c,
	src/draggers/SoHandleBoxDragger.cpp,
	src/draggers/SoScale1Dragger.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/draggers/SoTranslate2Dragger.cpp,
	src/draggers/SoTabBoxDragger.cpp, src/base/SbName.cpp,
	src/draggers/SoTransformBoxDragger.cpp,
	src/draggers/SoTabPlaneDragger.cpp, src/base/SbDict.cpp,
	src/caches/SoPrimitiveVertexCache.cpp,
	src/draggers/SoDragPointDragger.cpp,
	src/draggers/SoScaleUniformDragger.cpp, src/engines/SoOutputData.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	src/fonts/fontlib_wrapper.c, src/base/namemap.c, src/base/SbTime.cpp,
	src/draggers/SoTransformerDragger.cpp,
	src/actions/SoGLRenderAction.cpp, src/draggers/SoJackDragger.cpp,
	src/draggers/SoScale2Dragger.cpp,
	src/draggers/SoScale2UniformDragger.cpp,
	src/draggers/SoCenterballDragger.cpp,
	include/Inventor/C/base/string.h, include/Inventor/misc/SbHash.h,
	src/draggers/SoRotateCylindricalDragger.cpp,
	src/draggers/SoTranslate1Dragger.cpp, src/engines/SoSelectOne.cpp,
	src/draggers/SoPointLightDragger.cpp, src/errors/SoDebugError.cpp,
	src/base/string.c, src/draggers/SoDirectionalLightDragger.cpp:

	Takes care of a lot of sloppy type handling, resolving MSVC7 warnings on
	64-bit Windows.

2005-05-25 16:01:11  Rev 9168   pederb

	* include/Inventor/SbDict.h, src/base/hash.c,
	include/Inventor/C/base/hash.h:

	Temporary fix for recently introduced Windows compile problem.

2005-05-25 15:37:44  Rev 9167   pederb

	* src/elements/SoMultiTextureEnabledElement.cpp:

	Bugfix in getEnabledUnits(). Update lastenabled even when no units are
	enabled.

2005-05-25 13:58:29  Rev 9166   mortene

	* include/Inventor/SbDict.h, src/base/hash.c, src/base/SbDict.cpp,
	include/Inventor/C/base/hash.h:

	Cleanliness: protect SbDict and cc_hash from internal use.

2005-05-25 13:50:25  Rev 9165   mortene

	* include/Inventor/C/glue/glp.h, include/Inventor/C/threads/storagep.h,
	src/fonts/fontlib_wrapper.c, src/threads/sync.c, src/base/heap.c,
	src/glue/flwwin32.c, src/base/namemap.c, src/fonts/win32.c,
	src/fonts/freetype.c, include/Inventor/C/base/heapp.h,
	src/fields/SoFieldContainer.cpp, src/glue/gl.c,
	src/threads/storage.c, src/fonts/glyph2d.c, src/fonts/glyph3d.c:

	Code clean-up: stop using cc_hash ADT -- it had bogus typecasting on 64-bit
	Windows. Replace with cc_dict.

2005-05-25 13:47:45  Rev 9164   mortene

	* aclocal.m4, configure, src/base/Makefile.in,
	include/Inventor/C/base/Makefile.in:

	Bootstrap.

2005-05-25 13:38:02  Rev 9163   mortene

	* src/base/all-base-c.c, src/base/dict.c, src/base/Makefile.am,
	include/Inventor/C/base/Makefile.am, include/Inventor/C/base/dict.h,
	include/Inventor/C/base/dictp.h:

	New C ADT cc_dict for a hash / dictionary. Replaces cc_hash, because that was
	not typesafe for porting to 64-bit Windows.

2005-05-25 11:16:33  Rev 9162   mortene

	* include/Inventor/SbBSPTree.h, include/Inventor/lists/SbIntList.h,
	include/Inventor/SbString.h:

	Bugfixes and cleanliness: fix unsafe casting on 64-bit Windows for SbIntList,
	and discourage further internal use of the class.

2005-05-25 10:59:17  Rev 9161   mortene

	* include/Inventor/engines/SoConvertAll.h:

	Compile fix.

2005-05-25 10:34:10  Rev 9160   mortene

	* src/upgraders/SoUpgrader.cpp, src/shapenodes/soshape_bumprender.cpp,
	src/sensors/SoSensorManager.cpp, src/shapenodes/soshape_bumprender.h:

	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and more
	typesafe code. This takes care of various problems in porting to 64-bit MS
	Windows.

2005-05-25 10:26:52  Rev 9159   mortene

	* src/misc/SoProtoInstance.cpp, src/misc/SoBase.cpp,
	include/Inventor/SoType.h, include/Inventor/misc/SoBase.h,
	src/misc/SoType.cpp, src/nodes/SoNode.cpp, src/misc/SoGlyph.cpp,
	src/misc/SoProto.cpp, src/misc/SoDB.cpp,
	include/Inventor/nodes/SoNode.h:

	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and more
	typesafe code. This takes care of various problems in porting to 64-bit MS
	Windows.

2005-05-25 10:19:41  Rev 9158   mortene

	* src/misc/SoChildList.cpp, src/lists/SoTypeList.cpp:

	Bugfixes: casting was not safe for 64-bit Windows.

2005-05-25 10:13:48  Rev 9157   mortene

	* include/Inventor/SoInput.h, src/io/SoInput.cpp, src/io/SoOutput.cpp,
	src/io/SoWriterefCounter.cpp:

	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and more
	typesafe code. This takes care of various problems in porting to 64-bit MS
	Windows.

2005-05-25 10:08:11  Rev 9156   mortene

	* src/events/SoKeyboardEvent.cpp, src/fields/SoField.cpp,
	src/fields/SoFieldContainer.cpp:

	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and more
	typesafe code. This takes care of various problems in porting to 64-bit MS
	Windows.

2005-05-25 09:53:18  Rev 9155   mortene

	* src/actions/SoToVRML2Action.cpp,
	include/Inventor/engines/SoConvertAll.h,
	src/caches/SoPrimitiveVertexCache.cpp, src/engines/SoConvertAll.cpp:

	Clean-up and bugfixes: use SbHash instead of SbDict for cleaner and more
	typesafe code. This takes care of various problems in porting to 64-bit MS
	Windows.

2005-05-25 09:44:31  Rev 9154   mortene

	* include/Inventor/misc/SbHash.h:

	New features: adds operator=(), copy constructor and makeKeyList() method.

2005-05-24 23:33:35  Rev 9153   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-24 13:15:06  Rev 9152   mortene

	* src/shapenodes/soshape_bumprender.cpp:

	Bugfix: use correct dict for vertex or fragment program.

2005-05-20 23:32:45  Rev 9151   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-20 13:59:15  Rev 9150   pederb

	* src/actions/SoGLRenderAction.cpp:

	Fix code comment.

2005-05-20 08:30:15  Rev 9149   mortene

	* BUGS.txt:

	Minor update to #191, to make it easier to spot the problem.

2005-05-20 08:18:24  Rev 9148   mortene

	* BUGS.txt:

	Updates on bugs for the SoOffscreenRendering tiled mode.

2005-05-20 07:57:17  Rev 9147   mortene

	* BUGS.txt:

	Updates on items 167 and 168.

2005-05-19 23:33:55  Rev 9146   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-19 15:06:55  Rev 9145   pederb

	* BUGS.txt:

	Update

2005-05-19 14:53:46  Rev 9144   pederb

	* src/actions/SoGLRenderAction.cpp:

	Don't apply an SoGetBoundingBoxAction by default.

2005-05-19 14:50:54  Rev 9143   pederb

	* src/base/SbMatrix.cpp:

	Undu code commited by mistake.

2005-05-19 14:46:26  Rev 9142   pederb

	* src/actions/SoReorganizeAction.cpp, BUGS.txt,
	src/actions/SoGLRenderAction.cpp, src/base/SbMatrix.cpp:

	Update on offscreen rendring bug.

2005-05-19 14:43:24  Rev 9141   pederb

	* BUGS.txt:

	Update.

2005-05-19 14:18:42  Rev 9140   mortene

	* BUGS.txt:

	Simplified and debugged 191 a bit further.

2005-05-19 14:12:38  Rev 9139   mortene

	* BUGS.txt:

	New item with the SoOffscreenRenderer.

2005-05-18 23:34:02  Rev 9138   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-18 13:25:00  Rev 9137   mortene

	* src/fields/SoSFImage.cpp:

	Doc: update API docs with note on dangerous functionality for the unaware.

2005-05-18 12:59:23  Rev 9136   tamer

	* docs/coin.doxygen.in:

	updated config to newer version with 'doxygen -u'

2005-05-16 23:33:49  Rev 9135   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-16 14:42:11  Rev 9134   mortene

	* BUGS.txt:

	Update item #190 with more precise information.

2005-05-16 13:50:54  Rev 9133   mortene

	* BUGS.txt:

	New item.

2005-05-16 13:14:30  Rev 9132   mortene

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoVertexShader.cpp:

	Remove notes for FIXMEs taken care of.

2005-05-16 11:53:28  Rev 9131   mortene

	* docs/coin.doxygen.in:

	Doc: remove unimplemented classes, and change path for SbBasic.h (which is no
	longer generated).

2005-05-16 11:39:23  Rev 9130   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Bugfix: Postscript output erroneously disabled.

2005-05-13 23:33:51  Rev 9129   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-13 14:20:49  Rev 9128   kyrah

	* src/misc/SoOffscreenAGLData.h, src/glue/gl_agl.c:

	Prevent compilation problems on machines with QuickTime 7.0 but no
	QuickTime SDK. Problem (and solution) reported by pederb.

2005-05-13 11:07:07  Rev 9127   kyrah

	* packaging/macosx/checklist.txt:

	Note on mistake I always make ;)

2005-05-12 23:33:51  Rev 9126   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-12 15:53:35  Rev 9125   mortene

	* src/base/SbOctTree.cpp:

	Doc: a bunch of FIXME notes, with suggestions for interface improvements and
	optimalizations.

2005-05-12 15:47:05  Rev 9124   mortene

	* src/collision/SoIntersectionDetectionAction.cpp:

	Bugfix: avoid assert due to floating point inaccuracies. Problem reported by
	Jan Peciva.

2005-05-12 15:34:54  Rev 9123   larsa

	* FAQ:

	update on Visual Studio support

2005-05-12 15:15:01  Rev 9122   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-12 13:55:24  Rev 9121   mortene

	* include/Inventor/SbOctTree.h, src/base/SbOctTree.cpp:

	Clean-up: simplified internal interfaces.

2005-05-12 13:00:26  Rev 9120   mortene

	* src/base/SbOctTree.cpp:

	Clean-up: corrects function signature, making it static.

2005-05-12 10:37:58  Rev 9119   mortene

	* BUGS.txt:

	Update on item 108.

2005-05-12 09:56:53  Rev 9118   mortene

	* src/actions/SoGLRenderAction.cpp:

	Debug: make traversal dump code default _not_ built.

2005-05-12 09:53:31  Rev 9117   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Robustness: removes case of mistaken robustness that was hiding a bug,
	replacing with assert(). Adds FIXME about obscure possibility for bug.

2005-05-12 09:29:13  Rev 9116   pederb

	* src/nodes/SoLOD.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Collision.cpp, src/vrml97/LOD.cpp,
	src/vrml97/Appearance.cpp:

	More SoGLRenderAction abort callback fixes.

2005-05-12 07:52:06  Rev 9115   pederb

	* src/nodes/SoGroup.cpp:

	Bugfix for SoGroup abort callback (SoGLRenderAction).

2005-05-11 23:33:51  Rev 9114   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-11 14:07:53  Rev 9113   mortene

	* src/actions/SoGLRenderAction.cpp:

	Debug: set up for dumping of the scene graph during GLRender traversal.

2005-05-11 13:14:35  Rev 9112   mortene

	* configure.ac:

	Minor update on end-report: consider Solaris with CC a tested platform.

2005-05-11 11:32:15  Rev 9111   mortene

	* BUGS.txt:

	Some updates to existing items.

2005-05-10 23:33:36  Rev 9110   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-10 14:31:33  Rev 9109   mortene

	* src/misc/SoOffscreenWGLData.cpp:

	compile fix/missing includes, fixed by frodo

2005-05-10 14:15:42  Rev 9108   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Clean-up: make an explicit check out of the implicit test about support for
	offscreen rendering.

2005-05-10 12:36:01  Rev 9107   mortene

	* src/actions/SoGLRenderAction.cpp:

	Doc: extend API doc about SORTED_LAYERS_BLEND.

2005-05-10 09:22:39  Rev 9106   mortene

	* src/misc/SoOffscreenAGLData.h, src/misc/SoOffscreenGLXData.cpp,
	src/misc/SoOffscreenWGLData.h, src/misc/SoOffscreenGLXData.h:

	Clean-up: no need for these classes to inherit from CoinOffscreenGLCanvas any
	more.

2005-05-10 09:21:25  Rev 9105   mortene

	* src/misc/CoinOffscreenGLCanvas.cpp, src/misc/SoOffscreenRenderer.cpp,
	src/misc/CoinOffscreenGLCanvas.h:

	Bugfix: cleans up the messy GL context handling in the SoOffscreenRenderer.
	Takes care of a bug reported by James Hargrave, where GL resources from one
	context were attempted used in another.

2005-05-10 09:18:50  Rev 9104   mortene

	* src/elements/GL/SoGLCacheContextElement.cpp:

	Doc: minor addition to API doc.

2005-05-10 09:17:42  Rev 9103   mortene

	* include/Inventor/misc/SbHash.h:

	Minor corrections to the API of internal class SbHash.

2005-05-09 23:33:30  Rev 9102   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-09 14:16:36  Rev 9101   mortene

	* src/misc/SoOffscreenAGLData.cpp, src/misc/SoOffscreenAGLData.h,
	src/misc/SoOffscreenWGLData.cpp, src/misc/SoOffscreenGLXData.cpp,
	src/misc/CoinOffscreenGLCanvas.cpp, src/misc/SoOffscreenWGLData.h,
	src/misc/SoOffscreenGLXData.h, src/misc/CoinOffscreenGLCanvas.h:

	Clean-up: moving common code from system-specific classes into
	CoinOffscreenGLCanvas class.

2005-05-09 14:02:10  Rev 9100   mortene

	* src/misc/all-misc-cpp.cpp:

	Sync build.

2005-05-09 14:00:51  Rev 9099   mortene

	* src/misc/SoOffscreenAGLData.cpp, src/misc/SoOffscreenAGLData.h,
	src/misc/SoOffscreenWGLData.cpp, src/misc/Makefile.in,
	src/misc/SoOffscreenGLXData.cpp, src/misc/CoinOffscreenGLCanvas.cpp,
	src/misc/SoOffscreenRenderer.cpp, src/misc/SoOffscreenWGLData.h,
	src/misc/SoOffscreenGLXData.h, src/misc/CoinOffscreenGLCanvas.h,
	src/misc/Makefile.am, src/misc/SoOffscreenInternalData.h:

	Clean-up: reorganized and renamed internal offscreen helper class, for
	clarity.

2005-05-09 13:44:33  Rev 9098   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Minor clean-up: rename variable for clarity.

2005-05-09 13:38:57  Rev 9097   mortene

	* src/misc/SoOffscreenRenderer.cpp:

	Minor code clean-ups.

2005-05-05 23:33:05  Rev 9096   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-05 06:38:17  Rev 9095   mortene

	* BUGS.txt:

	Update on #108.

2005-05-04 23:33:40  Rev 9094   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-04 09:45:20  Rev 9093   mortene

	* src/misc/SoDB.cpp:

	Robustness: take away another possibility for app programmers to shoot
	themselves in the foot.

2005-05-02 23:33:51  Rev 9092   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-05-02 14:20:46  Rev 9091   mortene

	* src/base/string.c, src/misc/SoDB.cpp, src/tidbits.c:

	Robustness fix: make coin_vsnprintf() secure for multiple invocations with the
	same list.

2005-05-02 13:39:00  Rev 9090   mortene

	* BUGS.txt:

	Remove item #193, crash bug on AMD64 Linux systems.

2005-05-02 13:37:14  Rev 9089   mortene

	* configure, include/config.h.in:

	bootstrap

2005-05-02 13:34:34  Rev 9088   mortene

	* configure.ac, src/base/string.c, src/misc/SoDB.cpp:

	Bugfix: handle systems where vsnprintf() does not rewind the va_list. Takes
	care of a nasty crash bug found on AMD64 Linux systems.

2005-05-02 09:23:56  Rev 9087   mortene

	* src/misc/SoDB.cpp:

	Minor fix: release a mutex as early as possible upon SoDB::init(), since it
	should then not be needed any more.

2005-05-02 09:23:00  Rev 9086   mortene

	* src/misc/CoinStaticObjectInDLL.cpp:

	Bugfix: CloseHandle() a mutex when done with it, not ReleaseMutex().

2005-05-02 09:05:56  Rev 9085   mortene

	* src/misc/all-misc-cpp.cpp:

	Build fix: sync --enable-compact with recent change.

2005-04-29 23:33:31  Rev 9084   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-29 15:28:30  Rev 9083   pederb

	* src/nodes/SoVertexProperty.cpp:

	Compile fix

2005-04-29 15:28:13  Rev 9082   pederb

	* src/nodes/SoVertexProperty.cpp,
	include/Inventor/nodes/SoVertexProperty.h:

	Pimplify

2005-04-29 14:22:13  Rev 9081   mortene

	* src/misc/CoinStaticObjectInDLL.cpp, src/misc/CoinStaticObjectInDLL.h:

	Debug: run-time selectable debug output for the multiple-DLL-in-process
	checking.

2005-04-29 12:37:51  Rev 9080   mortene

	* BUGS.txt:

	Update on AMD64 crash item.

2005-04-29 09:12:39  Rev 9079   mortene

	* src/shapenodes/SoIndexedFaceSet.cpp:

	Compilation fixes: proper casting.

2005-04-29 09:12:09  Rev 9078   mortene

	* src/fonts/freetype.c, src/io/SoWriterefCounter.cpp:

	Compiler fixes: casting to take care of warnings emitted by g++ on AMD64
	Linux.

2005-04-28 23:33:42  Rev 9077   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-28 15:37:00  Rev 9076   pederb

	* src/actions/SoReorganizeAction.cpp:

	Documentation.

2005-04-28 13:32:20  Rev 9075   pederb

	* src/shapenodes/SoIndexedFaceSet.cpp:

	Detect when it's possible to render with vertex arrays.

2005-04-28 13:28:35  Rev 9074   pederb

	* src/actions/SoReorganizeAction.cpp:

	Reorganize shapes to allow direct vertex array rendering.

2005-04-28 12:16:32  Rev 9073   mortene

	* src/nodes/SoExtSelection.cpp:

	Compile fix: get around internal compiler error for MSVC 6.

2005-04-28 12:15:14  Rev 9072   mortene

	* src/glue/GLUWrapper.c:

	Compile fixes: removes warnings with MSVC 6.

2005-04-28 11:55:44  Rev 9071   pederb

	* src/nodes/SoBumpMapTransform.cpp, src/nodes/SoBumpMap.cpp,
	src/nodes/SoBumpMapCoordinate.cpp:

	Support bumpmap nodes for CallbackAction and PickAction.

2005-04-28 11:45:35  Rev 9070   pederb

	* src/caches/SoPrimitiveVertexCache.cpp:

	Don't require pointdetailidx in addTriangle().

2005-04-28 10:12:08  Rev 9069   mortene

	* include/Inventor/C/glue/GLUWrapper.h, src/glue/GLUWrapper.c:

	Debug: adds more run-time tunable debug output for Coin's GLU interface.

2005-04-28 09:18:40  Rev 9068   mortene

	* src/nodes/SoExtSelection.cpp:

	Robustness: be robust vs lost events. Problem reported by kintel.

2005-04-28 09:05:12  Rev 9067   mortene

	* BUGS.txt, src/nodes/SoExtSelection.cpp:

	Bugfixes: takes care of items 191 and 192; let point and line rectangle and
	lasso selection result in valid operations.

2005-04-28 08:48:22  Rev 9066   handegar

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoVertexShader.cpp:

	Minor fix...

2005-04-28 08:42:22  Rev 9065   handegar

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoVertexShader.cpp:

	Added chech for GLSL capabilities.

2005-04-28 08:41:57  Rev 9064   handegar

	* include/Inventor/C/glue/glp.h:

	defined cc_glglue_has_arb_shader_objects(const cc_glglue * glue);

2005-04-28 08:40:29  Rev 9063   handegar

	* src/glue/gl.c:

	added cc_glglue_has_arb_shader_objects()

2005-04-27 23:33:43  Rev 9062   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-27 15:02:55  Rev 9061   handegar

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoVertexShader.cpp:

	Better check for ARB support.

2005-04-27 14:05:43  Rev 9060   mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Provide a function for getting the current GL context, for those public
	methods with a bogus function signature.

2005-04-27 13:41:05  Rev 9059   handegar

	* src/shaders/SoShaderObject.cpp:

	Added detection for missing ARB-fragment/vertex support (still missing
	detection for missing
	GLSL/Cg support).

2005-04-27 12:10:41  Rev 9058   mortene

	* BUGS.txt:

	188 wasn't a bug either.

2005-04-27 11:53:56  Rev 9057   mortene

	* BUGS.txt:

	Remove item that wasn't a bug.

2005-04-27 10:31:24  Rev 9056   mortene

	* BUGS.txt:

	Remove fixed item.

2005-04-27 10:29:04  Rev 9055   mortene

	* BUGS.txt:

	New item -- hi pri.

2005-04-27 09:35:42  Rev 9054   mortene

	* src/nodes/SoExtSelection.cpp:

	New, minor feature: RECTANGLE and LASSO selections can be aborted by the end-
	user, by hitting the END key.

2005-04-27 09:19:11  Rev 9053   mortene

	* src/nodes/SoExtSelection.cpp:

	Clean-up: rewrote much code for clarity.

2005-04-26 23:33:37  Rev 9052   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-26 15:02:07  Rev 9051   pederb

	* include/Inventor/misc/SoGLCubeMapImage.h:

	Fix enum.

2005-04-26 15:00:26  Rev 9050   pederb

	* src/misc/SoGLCubeMapImage.cpp:

	Bugfix

2005-04-26 14:10:40  Rev 9049   mortene

	* src/nodes/SoExtSelection.cpp:

	Robustness: properly handle changes to SoExtSelection::lassoType during a
	selection operation.

2005-04-26 13:14:05  Rev 9048   mortene

	* src/nodes/SoExtSelection.cpp:

	Clean-up: minor refactoring, some codestyle issues.

2005-04-26 12:41:44  Rev 9047   mortene

	* BUGS.txt:

	Found another issue with SoExtSelection.

2005-04-26 12:19:08  Rev 9046   mortene

	* BUGS.txt:

	New item.

2005-04-25 23:33:42  Rev 9045   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-25 19:02:32  Rev 9044   larsa

	* build/msvc6, build/msvc6/coin3.dsp,
	build/msvc6/installcoinheaders.bat, build/msvc7,
	build/msvc7/installcoinheaders.bat,
	build/msvc6/include/Inventor/system/gl.h,
	build/msvc7/include/Inventor/system/gl.h, build/msvc7/coin3.sln,
	build/msvc6/.cvsignore, build/msvc7/.cvsignore,
	build/msvc7/coin3.vcproj:

	sync

2005-04-25 15:11:00  Rev 9043   pederb

	* src/misc/Makefile.in:

	Build fix

2005-04-25 10:13:05  Rev 9042   mortene

	* src/base/string.c, src/tidbits.c:

	Debug: add run-time options for debugging problems with the nprintf
	functionality and for debugging string buffer growth.

2005-04-25 08:40:51  Rev 9041   mortene

	* BUGS.txt:

	Remove item: I believe all issues mentioned in #106 should be fixed now.

2005-04-22 23:33:39  Rev 9040   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-22 17:09:03  Rev 9039   mortene

	* src/glue/dl.c:

	Remove FIXME which has been taken care of.

2005-04-22 17:08:42  Rev 9038   mortene

	* src/misc/CoinStaticObjectInDLL.cpp, src/misc/CoinStaticObjectInDLL.h,
	src/misc/SoDB.cpp, src/misc/Makefile.am:

	Improves on the two-DLLs-in-process-image check.

2005-04-22 16:03:51  Rev 9037   mortene

	* src/misc/SoType.cpp:

	Memleaks: clean up SoType static data even in release builds.

2005-04-22 16:02:40  Rev 9036   mortene

	* src/misc/SoOffscreenAGLData.h, src/misc/SoOffscreenWGLData.h,
	src/misc/SoOffscreenGLXData.h, src/misc/SoOffscreenInternalData.h:

	Minor clean-up action: tag internal headers.

2005-04-22 14:49:52  Rev 9035   mortene

	* docs/optimization.txt:

	Minor addition.

2005-04-22 14:31:50  Rev 9034   pederb

	* src/base/SbDPMatrix.cpp:

	Avoid use of single precision floating point constants in double precision
	class.

2005-04-22 14:26:05  Rev 9033   pederb

	* src/base/SbDPMatrix.cpp:

	Optimized inverse

2005-04-22 14:25:43  Rev 9032   larsa

	* docs/optimization.txt:

	TODO-item that ought to be done

2005-04-22 10:03:41  Rev 9031   pederb

	* src/tidbits.c:

	Bugfix. Please test things once before committing code ;)

2005-04-22 00:38:04  Rev 9030   kyrah

	* packaging/macosx/Coin_Welcome.rtf,
	packaging/macosx/CoinTools_Welcome.rtf:

	Copyright update, removed reference to ProjectBuilder.

2005-04-21 23:33:34  Rev 9029   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-21 12:56:59  Rev 9028   mortene

	* include/Inventor/C/tidbitsp.h, src/misc/SoDB.cpp, src/tidbits.c:

	Robustness: don't use the global lock in coin_atexit_func() to be more robust
	against internal programming errors.

2005-04-21 12:42:17  Rev 9027   mortene

	* src/tidbits.c:

	MT-safety: make coin_atexit_func() safe to call in parallel threads.

2005-04-21 12:06:04  Rev 9026   mortene

	* src/glue/GLUWrapper.c:

	Compile fix: was incompatible with C compilers. Problem reported by Tony
	Bernardin.

2005-04-20 23:33:33  Rev 9025   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-20 14:59:24  Rev 9024   pederb

	* src/misc/SoGL.cpp:

	Revert to the old (probably correct) way to specify 3D texture coordinates for
	a Cube.

2005-04-20 14:53:21  Rev 9023   pederb

	* src/nodes/SoTextureCoordinateNormalMap.cpp,
	src/nodes/SoTextureCoordinateObject.cpp,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	include/Inventor/nodes/SoTextureCoordinateNormalMap.h,
	include/Inventor/nodes/SoTextureCoordinateObject.h:

	Some fixes/cleanups for new texture coordinate function nodes.

2005-04-20 14:51:00  Rev 9022   pederb

	* include/Inventor/nodes/SoNodes.h, src/nodes/SoNode.cpp:

	Initialize new texture coordinate function  nodes.

2005-04-20 13:35:01  Rev 9021   larsa

	* src/base/SbDPMatrix.cpp, src/base/SbMatrix.cpp:

	zero determinant check fix

2005-04-18 23:33:57  Rev 9020   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-18 08:32:31  Rev 9019   pederb

	* include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoSubEvent.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/events/SoButtonEvent.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	include/Inventor/events/SoMouseButtonEvent.h:

	Fix incompatible macro change. Done 2005-02-11.

2005-04-15 23:33:23  Rev 9018   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-15 14:59:03  Rev 9017   pederb

	* src/nodes/SoTextureCoordinateReflectionMap.cpp,
	include/Inventor/nodes/SoTextureCoordinateReflectionMap.h:

	A first version of this node. Not tested much.

2005-04-15 14:29:20  Rev 9016   mortene

	* src/lists/SoBaseList.cpp, src/misc/SoBase.cpp,
	src/lists/SoPathList.cpp, src/glue/dl.c,
	src/misc/SoContextHandler.cpp, src/nodes/SoExtSelection.cpp,
	src/caches/SoNormalCache.cpp:

	Misc doc and debug fixes.

2005-04-15 14:13:42  Rev 9015   mortene

	* BUGS.txt, src/nodes/SoGroup.cpp, src/caches/SoGLCacheList.cpp,
	src/nodes/SoSeparator.cpp, src/shaders/SoGLSLShaderObject.cpp,
	src/vrml97/Billboard.cpp, src/vrml97/Group.cpp, src/misc/SoState.cpp,
	src/shapenodes/SoNurbsSurface.cpp,
	src/shapenodes/soshape_bumprender.cpp, src/vrml97/LOD.cpp,
	src/misc/SoGL.cpp, src/nodes/SoNode.cpp,
	src/actions/SoGLRenderAction.cpp, include/Inventor/misc/SoGL.h:

	Various clean-ups with regard to glGetError() handling. Fixes bug item #100.

2005-04-15 14:06:42  Rev 9014   mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Adds a couple of internal utility functions for handling GL-errors.

2005-04-14 23:33:23  Rev 9013   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-14 14:07:51  Rev 9012   mortene

	* src/fields/SoField.cpp:

	Robustness: catch easy to make error for SoField::disconnect(SoField*) -- and
	don't crash.

2005-04-14 13:28:26  Rev 9011   pederb

	* aclocal.m4, src/nodes/all-nodes-cpp.cpp, configure,
	include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	src/nodes/SoTextureCoordinateNormalMap.cpp,
	src/nodes/SoTextureCoordinateObject.cpp,
	src/nodes/SoTextureCoordinateReflectionMap.cpp,
	include/Inventor/nodes/SoTextureCoordinateNormalMap.h,
	include/Inventor/nodes/SoTextureCoordinateObject.h,
	include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/SoTextureCoordinateReflectionMap.h,
	src/nodes/Makefile.am:

	Some new nodes (build framework only).

2005-04-14 13:15:42  Rev 9010   mortene

	* src/glue/GLUWrapper.c:

	Debug: make it easy to override info about GLU version.

2005-04-14 12:43:52  Rev 9009   pederb

	* src/nodes/SoTextureCubeMap.cpp,
	include/Inventor/nodes/SoTextureCubeMap.h:

	TGS Inventor conformance fix.

2005-04-14 09:31:24  Rev 9008   mortene

	* include/Inventor/nodes/SoShaderParameter.h,
	include/Inventor/nodes/SoNodes.h, src/shaders/SoShaderObject.cpp,
	src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLARBShaderParameter.cpp,
	src/shaders/SoGLShaderParameter.h, src/shaders/todo.txt,
	src/shaders/ChangeLog, src/shaders/SoGLARBShaderParameter.h,
	src/shaders/SoGLCgShaderParameter.cpp, src/shaders/SoShader.cpp,
	src/shaders/SoShaderParameter.cpp,
	src/shaders/SoGLCgShaderParameter.h,
	src/shaders/SoGLSLShaderParameter.cpp:

	Updates to shader program support. By Martin Spindler.

2005-04-14 09:28:46  Rev 9007   mortene

	* include/Inventor/C/glue/cg.h:

	A few additional pieces of the API.

2005-04-14 09:28:17  Rev 9006   mortene

	* include/Inventor/system/gl.h.in:

	More defines from shader_objects extension.

2005-04-14 09:27:51  Rev 9005   mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Pick up glUniform*().

2005-04-13 22:14:17  Rev 9004   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-13 15:41:38  Rev 9003   pederb

	* src/elements/SoCullElement.cpp:

	More doc.

2005-04-12 23:35:29  Rev 9002   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-12 13:40:40  Rev 9001   pederb

	* src/vrml97/PointSet.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/IndexedLineSet.cpp:

	Bugfix. Make vertex array and vbo rendering work properly with vrml97 shape
	nodes.

2005-04-11 23:35:41  Rev 9000   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-11 15:46:45  Rev 8999   pederb

	* src/shapenodes/SoFaceSet.cpp:

	Fix OVERALL normal binding bug in generatePrimitives(). Reported by Daniel
	Wagner.

2005-04-11 13:28:25  Rev 8998   pederb

	* src/nodes/SoTextureCoordinateEnvironment.cpp,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/elements/SoTextureCoordinateElement.cpp:

	SoTextureCoordinateElement bumpmap bugfix. Bug reported by Niklas Worschech.

2005-04-11 11:55:44  Rev 8997   pederb

	* src/bundles/SoTextureCoordinateBundle.cpp:

	Fix multi-texture bug. Reported by Niklas Worschech.

2005-04-11 08:56:19  Rev 8996   pederb

	* src/vrml97/ImageTexture.cpp:

	Support for SoTextureUnit for SoCallackAction.

2005-04-11 08:55:34  Rev 8995   pederb

	* src/shapenodes/SoAsciiText.cpp,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	src/shapenodes/SoIndexedNurbsSurface.cpp, src/shapenodes/SoText3.cpp,
	src/vrml97/Text.cpp:

	Increment counting for smart caching.

2005-04-11 08:51:31  Rev 8994   pederb

	* src/nodes/SoTextureCoordinate3.cpp, src/nodes/SoTexture2Transform.cpp,
	src/nodes/SoTextureCoordinateSphere.cpp, src/nodes/SoTextureUnit.cpp,
	src/nodes/SoTexture2.cpp, src/nodes/SoTextureCoordinateCylinder.cpp,
	src/nodes/SoTextureCoordinateCube.cpp,
	src/nodes/SoTextureCoordinatePlane.cpp,
	src/nodes/SoTextureCoordinate2.cpp:

	Support for multiple texture units also for SoCallbackAction.

2005-04-11 08:45:02  Rev 8993   pederb

	* src/misc/SoGL.cpp:

	Testing new 3D texture coordinates for cubes/boxes. Kintel, please review.

2005-04-11 08:26:20  Rev 8992   pederb

	* src/shapenodes/SoCube.cpp:

	CubeMap support.

2005-04-08 23:33:24  Rev 8991   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-08 08:45:41  Rev 8990   mortene

	* src/nodes/SoLocateHighlight.cpp:

	Minor doc updates and codestyle fixes.

2005-04-07 23:33:38  Rev 8989   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-07 13:23:35  Rev 8988   kristian

	* src/actions/SoToVRML2Action.cpp:

	- Use SbMin instead of fminf

2005-04-07 10:48:21  Rev 8987   kintel

	* BUGS.txt:

	Added some info to #079

2005-04-06 23:33:31  Rev 8986   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-06 16:26:56  Rev 8985   kristian

	* src/actions/SoToVRML2Action.cpp:

	Calculate ambientIntensity with referanse to white instead of diffuse
	intensity.
	Also clamp at 1.0 (although this should never be necessary).

2005-04-06 10:39:02  Rev 8984   pederb

	* src/sensors/SoSensorManager.cpp:

	Conformance fix. Sensors with equal priority or trigger time should be
	processed FIFO, not LIFO.

2005-04-05 23:33:21  Rev 8983   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-05 13:11:30  Rev 8982   larsa

	* build/msvc6/data/draggerDefaults/transformerDragger.h,
	build/msvc6/coin3.dsp, build/msvc6/include/config-debug.h,
	build/msvc6/data/draggerDefaults/handleBoxDragger.h,
	build/msvc6/include/Inventor/system/gl.h, build/msvc6/generate.sh,
	build/msvc6/data/draggerDefaults/jackDragger.h,
	build/msvc6/data/draggerDefaults/scale1Dragger.h,
	build/msvc6/data/draggerDefaults/scale2Dragger.h,
	build/msvc6/data/draggerDefaults/scale2UniformDragger.h, build/msvc6
	/config-wrapper.h,
	build/msvc6/data/draggerDefaults/centerballDragger.h,
	build/msvc6/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc6/data/draggerDefaults/spotLightDragger.h,
	build/msvc6/data/draggerDefaults/translate1Dragger.h,
	build/msvc6/data/draggerDefaults/tabBoxDragger.h,
	build/msvc6/data/draggerDefaults/translate2Dragger.h,
	build/msvc6/include/config.h,
	build/msvc6/data/draggerDefaults/pointLightDragger.h,
	build/msvc6/include/Inventor/C/basic.h,
	build/msvc6/installcoinheaders.bat,
	build/msvc6/data/draggerDefaults/transformBoxDragger.h,
	build/msvc6/data/draggerDefaults/directionalLightDragger.h,
	build/msvc6/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc6/installcoin.bat,
	build/msvc6/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc6/data/draggerDefaults/dragPointDragger.h,
	build/msvc6/data/draggerDefaults/rotateSphericalDragger.h,
	build/msvc6/include/config-release.h,
	build/msvc6/data/draggerDefaults/trackballDragger.h,
	build/msvc6/data/draggerDefaults/rotateDiscDragger.h:

	fixes, update

2005-04-05 12:45:42  Rev 8981   larsa

	* build/msvc7, build/msvc7/generate.sh, build/msvc7/installcoin.bat,
	build/msvc7/.cvsignore:

	fixes

2005-04-05 12:40:48  Rev 8980   larsa

	* src/manips/SoClipPlaneManip.cpp:

	kill truncation-warnings

2005-04-05 12:21:45  Rev 8979   larsa

	* build/msvc7/installcoinheaders.bat, build/msvc7/coin3.dsp,
	build/msvc7/coin3.sln, build/msvc7/coin3.dsw, build/msvc7/config-
	wrapper.h, build/msvc7/coin3.vcproj:

	autogenerated files

2005-04-05 12:21:34  Rev 8978   larsa

	* build/msvc7/generate.sh:

	updated/fixed file generation setup

2005-04-05 12:20:29  Rev 8977   larsa

	* build/msvc7/include/config-debug.h, build/msvc7/include/config-
	release.h, build/msvc7/include/config.h:

	different config.h for different builds

2005-04-05 11:53:15  Rev 8976   pederb

	* include/Inventor/nodes/SoTextureCubeMap.h:

	Comment about API

2005-04-05 11:05:41  Rev 8975   pederb

	* src/base/SbDPLine.cpp:

	New optimized versions of getClosestPoint(s).

2005-04-05 10:59:14  Rev 8974   pederb

	* src/base/SbLine.cpp:

	New optimized versions of getClosestPoint(s).

2005-04-05 10:33:35  Rev 8973   mortene

	* src/misc/SoPath.cpp:

	Debug: better information when attempting to do bogus operations.

2005-04-05 10:31:10  Rev 8972   pederb

	* src/nodes/SoNode.cpp:

	Init new SoTextureCubeMap node.

2005-04-05 10:30:47  Rev 8971   pederb

	* include/Inventor/nodes/SoNodes.h:

	Include new SoTextureCubeMap node.

2005-04-05 10:27:05  Rev 8970   pederb

	* src/nodes/all-nodes-cpp.cpp:

	add SoTextureCubeMap.

2005-04-05 10:12:18  Rev 8969   pederb

	* include/Inventor/nodes/Makefile.in, src/nodes/Makefile.in,
	include/Inventor/nodes/Makefile.am, src/nodes/Makefile.am:

	build update.

2005-04-05 09:59:38  Rev 8968   pederb

	* src/nodes/SoTextureCubeMap.cpp,
	include/Inventor/nodes/SoTextureCubeMap.h:

	SoTextureCubeMap implementation.

2005-04-05 09:02:44  Rev 8967   pederb

	* src/actions/SoReorganizeAction.cpp,
	include/Inventor/actions/SoActions.h:

	Initial ReorganizeAction implementation.

2005-04-01 23:33:24  Rev 8966   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-04-01 13:44:19  Rev 8965   kristian

	* src/actions/SoToVRML2Action.cpp:

	Add a fallback which converts unknown geometry to IndexedFaceSets

2005-04-01 08:43:05  Rev 8964   pederb

	* src/misc/SoGL.cpp:

	Count shapes for smart caching.

2005-04-01 08:41:52  Rev 8963   pederb

	* src/caches/SoGLCacheList.cpp:

	Testing smart(er) caching

2005-04-01 08:39:16  Rev 8962   pederb

	* src/elements/GL/SoGLCacheContextElement.cpp,
	include/Inventor/elements/SoGLCacheContextElement.h:

	Make it possible to count the number of shapes and separators in an open
	cache.

2005-03-31 23:33:10  Rev 8961   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-31 10:29:03  Rev 8960   thammer

	* src/vrml97/AudioClip.cpp:

	Added doc about audio file formats and simage.

2005-03-30 23:33:37  Rev 8959   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-30 16:47:35  Rev 8958   handegar

	* src/misc/SoOffscreenRenderer.cpp:

	Removed commented code.

2005-03-30 16:46:28  Rev 8957   handegar

	* src/misc/SoOffscreenRenderer.cpp:

	Prevent render-caching from messing up the tile-rendering.

2005-03-30 14:22:50  Rev 8956   handegar

	* src/vrml97/DirectionalLight.cpp, src/vrml97/Background.cpp:

	Compile fix.

2005-03-30 14:17:34  Rev 8955   larsa

	* include/Inventor/caches/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/mpeg/Makefile.in,
	src/3ds/Makefile.in, include/Inventor/projectors/Makefile.in,
	include/Inventor/collision/Makefile.in, src/misc/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, Makefile.in,
	include/Inventor/annex/Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap

2005-03-30 14:15:58  Rev 8954   larsa

	* aclocal.m4, configure, cfg/ltmain.sh:

	libtool 1.5.10 bootstrap

2005-03-19 00:33:13  Rev 8953   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-18 16:43:41  Rev 8952   larsa

	* build/msvc7/data/draggerDefaults/rotateDiscDragger.h,
	build/msvc7/data/draggerDefaults/transformerDragger.h,
	build/msvc7/data/draggerDefaults/handleBoxDragger.h,
	build/msvc7/data/draggerDefaults/jackDragger.h,
	build/msvc7/data/draggerDefaults/scale1Dragger.h,
	build/msvc7/data/draggerDefaults/scale2Dragger.h,
	build/msvc7/data/draggerDefaults/scale2UniformDragger.h,
	build/msvc7/data/draggerDefaults/centerballDragger.h,
	build/msvc7/data/draggerDefaults/rotateCylindricalDragger.h,
	build/msvc7/data/draggerDefaults/spotLightDragger.h,
	build/msvc7/data/draggerDefaults/translate1Dragger.h,
	build/msvc7/data/draggerDefaults/translate2Dragger.h,
	build/msvc7/data/draggerDefaults/tabBoxDragger.h,
	build/msvc7/data/draggerDefaults/pointLightDragger.h,
	build/msvc7/data/draggerDefaults/transformBoxDragger.h,
	build/msvc7/data/draggerDefaults/directionalLightDragger.h,
	build/msvc7/data/draggerDefaults/tabPlaneDragger.h,
	build/msvc7/data/draggerDefaults/scaleUniformDragger.h,
	build/msvc7/data/draggerDefaults/dragPointDragger.h,
	build/msvc7/data/draggerDefaults/rotateSphericalDragger.h,
	build/msvc7/data/draggerDefaults/trackballDragger.h:

	cosmetics

2005-03-18 16:42:00  Rev 8951   larsa

	* build/msvc7/include/Inventor/C/basic.h,
	build/msvc7/include/Inventor/system/gl.h,
	build/msvc7/include/config.h:

	sync with changes

2005-03-18 16:18:31  Rev 8950   larsa

	* aclocal.m4, configure, configure.ac:

	gendsp fix

2005-03-18 15:58:53  Rev 8949   larsa

	* configure, Makefile.in, configure.ac:

	gendsp fix

2005-03-18 15:25:22  Rev 8948   larsa

	* configure, include/config.h.in:

	bootstrap

2005-03-18 15:25:14  Rev 8947   larsa

	* src/io/SoInput_Reader.cpp, configure.ac:

	limit compressed-file support to regular files

2005-03-18 00:32:57  Rev 8946   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-17 14:17:19  Rev 8945   mortene

	* BUGS.txt:

	New item.

2005-03-16 00:33:08  Rev 8944   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-15 20:28:08  Rev 8943   kyrah

	* configure, src/Makefile.in:

	Bootstrap.

2005-03-15 20:06:55  Rev 8942   kyrah

	* src/Makefile.am, configure.ac:

	Cosmetisc: It's cleaner and more consistent to add the
	-no-undefined libtool flag in Makefile.am.

2005-03-15 12:39:43  Rev 8941   larsa

	* src/shapenodes/SoMarkerSet.cpp:

	clarify example

2005-03-15 12:24:07  Rev 8940   mortene

	* docs/coin.doxygen.in:

	Activate the config.h defines (or stuff will erroneously not be included in
	the doc).

2005-03-15 12:01:17  Rev 8939   mortene

	* BUGS.txt:

	New item.

2005-03-15 11:59:45  Rev 8938   mortene

	* src/nodes/SoWWWInline.cpp:

	FIXME note.

2005-03-15 11:30:05  Rev 8937   mortene

	* src/misc/SoPath.cpp, include/Inventor/SoPath.h:

	API: cleanupClass() method shouldn't be public.

2005-03-15 00:33:13  Rev 8936   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-14 22:52:24  Rev 8935   kyrah

	* configure:

	Bootstrap.

2005-03-14 22:41:23  Rev 8934   kyrah

	* THANKS:

	Added Peter O'Gorman, for enlightenment regarding the libtool/Mac confusion.

2005-03-14 22:34:25  Rev 8933   kyrah

	* configure.ac:

	Libtool 1.5.14 fix: Specifically disallow undefined symbols, which
	allows us to build a two-level namespace shared library.

2005-03-14 15:39:49  Rev 8932   kristian

	* src/base/SbDict.cpp:

	Update doc:
	 - Initial value does not need to be prime
	 - Copy constructor makes a shallow, not deep copy

2005-03-14 13:51:20  Rev 8931   larsa

	* configure, configure.ac:

	minor fix

2005-03-14 10:30:14  Rev 8930   mortene

	* include/Inventor/SoDB.h, src/misc/SoDB.cpp:

	Compatibility: rename function name cleanup() to finish(), to match TGS
	Inventor API.

2005-03-14 05:14:04  Rev 8929   kyrah

	* configure.ac:

	Reverse previous patch, this is of course bogus.

2005-03-14 04:51:17  Rev 8928   kyrah

	* configure.ac:

	Critical build fix for libtool 1.5.

2005-03-12 00:34:38  Rev 8927   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-11 14:33:42  Rev 8926   mortene

	* aclocal.m4, configure, cfg/ltmain.sh:

	Bootstrap, fixes DLL/SO extension detection.

2005-03-11 09:58:21  Rev 8925   pederb

	* src/caches/SoGLCacheList.cpp:

	Always create a cache if caching is set to ON, even if it has been invalidated
	frequently. Bug reported by Kristian Eide.

2005-03-11 09:53:17  Rev 8924   pederb

	* src/vrml97/Inline.cpp:

	compile fix

2005-03-11 00:33:08  Rev 8923   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-10 16:08:40  Rev 8922   mortene

	* src/shaders/todo.txt:

	Minor fix.

2005-03-10 16:08:00  Rev 8921   pederb

	* src/fields/SoSFImage.cpp:

	Bugfix. SoSFImage::getValue() did not evaluate field before returning value.
	Reported by Gerhard Reitmayr.

2005-03-10 13:12:00  Rev 8920   larsa

	* src/vrml97/VertexLine.cpp, src/vrml97/VertexPoint.cpp,
	src/vrml97/Box.cpp, src/vrml97/Parent.cpp,
	src/vrml97/TextureTransform.cpp, src/vrml97/Material.cpp,
	src/vrml97/VertexShape.cpp, src/vrml97/Appearance.cpp,
	src/vrml97/Extrusion.cpp, src/vrml97/Texture.cpp,
	src/vrml97/WorldInfo.cpp, src/vrml97/CylinderSensor.cpp,
	src/vrml97/IndexedLineSet.cpp, src/vrml97/PointSet.cpp,
	src/vrml97/TextureCoordinate.cpp, src/vrml97/Sensor.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/VisibilitySensor.cpp,
	src/vrml97/Viewpoint.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/Normal.cpp, src/vrml97/PlaneSensor.cpp,
	src/vrml97/CoordinateInterpolator.cpp, src/vrml97/IndexedShape.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/Init.cpp,
	src/vrml97/Script.cpp, src/vrml97/DragSensor.cpp,
	src/vrml97/TouchSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/Color.cpp, src/vrml97/LOD.cpp, src/vrml97/Cone.cpp,
	src/vrml97/FontStyle.cpp, src/vrml97/IndexedLine.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Geometry.cpp, src/vrml97/Collision.cpp,
	src/vrml97/ElevationGrid.cpp, src/vrml97/OrientationInterpolator.cpp,
	src/vrml97/Light.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Anchor.cpp, src/vrml97/NavigationInfo.cpp,
	src/vrml97/Inline.cpp, src/vrml97/SphereSensor.cpp,
	src/vrml97/PointLight.cpp, src/vrml97/Interpolator.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/Coordinate.cpp,
	src/vrml97/Sound.cpp, src/vrml97/NormalInterpolator.cpp,
	src/vrml97/Group.cpp, src/vrml97/ProximitySensor.cpp,
	src/vrml97/MovieTexture.cpp, src/vrml97/Shape.cpp,
	src/vrml97/Switch.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/PositionInterpolator.cpp, src/vrml97/AudioClip.cpp,
	src/vrml97/IndexedFaceSet.cpp, src/vrml97/Fog.cpp,
	src/vrml97/Transform.cpp, src/vrml97/Background.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Text.cpp:

	prepare for AM_CONDITIONAL-remove

2005-03-10 13:08:19  Rev 8919   mortene

	* src/misc/SoProto.cpp, src/vrml97/TODO:

	Fix URLs to web3d.org.

2005-03-10 13:05:32  Rev 8918   mortene

	* src/vrml97/FontStyle.cpp, src/vrml97/Box.cpp,
	src/vrml97/TimeSensor.cpp, src/vrml97/Billboard.cpp,
	src/vrml97/Collision.cpp, src/vrml97/ElevationGrid.cpp,
	src/vrml97/OrientationInterpolator.cpp, src/vrml97/Material.cpp,
	src/vrml97/Appearance.cpp, src/vrml97/Extrusion.cpp,
	src/vrml97/CylinderSensor.cpp, src/vrml97/IndexedLineSet.cpp,
	src/vrml97/PointSet.cpp, src/vrml97/ScalarInterpolator.cpp,
	src/vrml97/Cylinder.cpp, src/vrml97/Anchor.cpp,
	src/vrml97/NavigationInfo.cpp, src/vrml97/Inline.cpp,
	src/vrml97/SphereSensor.cpp, src/vrml97/PointLight.cpp,
	src/vrml97/Interpolator.cpp, src/vrml97/Viewpoint.cpp,
	src/vrml97/DirectionalLight.cpp, src/vrml97/Sphere.cpp,
	src/vrml97/Sound.cpp, src/vrml97/PlaneSensor.cpp,
	src/vrml97/CoordinateInterpolator.cpp,
	src/vrml97/NormalInterpolator.cpp, src/vrml97/Group.cpp,
	src/vrml97/Shape.cpp, src/vrml97/MovieTexture.cpp,
	src/vrml97/Switch.cpp, src/vrml97/PixelTexture.cpp,
	src/vrml97/ImageTexture.cpp, src/vrml97/Script.cpp,
	src/vrml97/DragSensor.cpp, src/vrml97/PositionInterpolator.cpp,
	src/vrml97/AudioClip.cpp, src/vrml97/IndexedFaceSet.cpp,
	src/vrml97/Fog.cpp, src/vrml97/Transform.cpp,
	src/vrml97/TouchSensor.cpp, src/vrml97/SpotLight.cpp,
	src/vrml97/LOD.cpp, src/vrml97/Color.cpp, src/vrml97/Background.cpp,
	src/vrml97/ColorInterpolator.cpp, src/vrml97/Cone.cpp,
	src/vrml97/Text.cpp:

	Fix up URLs according to web3d.org reorganization.

2005-03-10 13:03:29  Rev 8917   mortene

	* src/vrml97/AudioClip.cpp:

	FIXME note.

2005-03-10 11:24:16  Rev 8916   mortene

	* BUGS.txt:

	New item.

2005-03-10 00:33:03  Rev 8915   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-09 15:35:07  Rev 8914   kristian

	* src/nodes/SoExtSelection.cpp:

	- finish callbacks should be called after selection callbacks

2005-03-05 00:33:09  Rev 8913   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-04 10:44:20  Rev 8912   handegar

	* src/draggers/SoJackDragger.cpp:

	Added an NB to the doc.

2005-03-04 00:33:02  Rev 8911   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-03 15:48:38  Rev 8910   pederb

	* src/shaders/SoShaderParameter.cpp:

	Use correct delete operator.

2005-03-03 15:43:45  Rev 8909   pederb

	* include/Inventor/nodes/SoShaderParameter.h:

	compile/link fix

2005-03-03 00:33:17  Rev 8908   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-03-02 08:59:45  Rev 8907   pederb

	* src/shapenodes/soshape_bumprender.cpp:

	Properly disable unit 0 before rendering bumps (TEXTURE_3D might be enabled,
	not TEXTURE_2D).

2005-03-01 00:32:28  Rev 8906   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-28 12:58:22  Rev 8905   pederb

	* src/shapenodes/SoText2.cpp, src/nodes/SoCamera.cpp:

	Make sure all texture units are disabled before rendering cropped viewport.

2005-02-26 00:32:36  Rev 8904   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-25 11:36:15  Rev 8903   pederb

	* src/actions/SoReorganizeAction.cpp,
	include/Inventor/actions/SoReorganizeAction.h,
	src/actions/SoSimplifyAction.cpp:

	Stub implementation.

2005-02-25 10:46:23  Rev 8902   pederb

	* src/actions/Makefile.am, src/actions/Makefile.in:

	fix typo

2005-02-25 10:37:14  Rev 8901   pederb

	* include/Inventor/actions/Makefile.am, src/actions/Makefile.am,
	include/Inventor/actions/Makefile.in, src/actions/Makefile.in:

	Build SoSimplifyAction and SoReorganizeAction.

2005-02-25 00:32:20  Rev 8900   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-24 20:35:32  Rev 8899   thammer

	* src/glue/simage_wrapper.c:

	Compile fix for VC6

2005-02-23 00:32:53  Rev 8898   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-22 10:04:11  Rev 8897   pederb

	* src/nodes/SoExtSelection.cpp:

	HPUX compile fix. Reported by Jacob Stoeren.

2005-02-22 00:33:09  Rev 8896   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-21 15:01:18  Rev 8895   pederb

	* src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h:

	clean up API.

2005-02-21 11:19:15  Rev 8894   pederb

	* src/misc/SoVertexArrayIndexer.cpp, src/misc/SoVertexArrayIndexer.h:

	compile fix

2005-02-21 09:06:31  Rev 8893   pederb

	* src/misc/SoVertexArrayIndexer.cpp, src/misc/Makefile.in,
	src/misc/SoVertexArrayIndexer.h, src/misc/Makefile.am:

	New internal class.

2005-02-21 08:57:50  Rev 8892   pederb

	* include/Inventor/misc/SoGLCubeMapImage.h:

	Fixes

2005-02-21 08:56:53  Rev 8891   pederb

	* include/Inventor/misc/SoGLImage.h, src/misc/SoGLImage.cpp:

	Proper support for 3D textures and multitexturing.

2005-02-21 08:54:45  Rev 8890   pederb

	* src/misc/SoGLCubeMapImage.cpp:

	Some fixes.

2005-02-21 08:53:02  Rev 8889   pederb

	* include/Inventor/C/glue/gl.h, src/glue/gl.c:

	glMultiDraw query function.

2005-02-19 00:32:59  Rev 8888   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-18 17:41:15  Rev 8887   pederb

	* src/misc/SoGLImage.cpp:

	Use glglue to test for anisotropic filtering

2005-02-18 17:40:17  Rev 8886   pederb

	* include/Inventor/C/glue/gl.h, include/Inventor/C/glue/glp.h,
	src/glue/gl.c:

	Anisotropic filtering support.

2005-02-18 17:13:48  Rev 8885   pederb

	* src/misc/SoGLImage.cpp:

	Use anisotropic filtering when high quality textures are requested. Use
	SGIS_generate_mipmap when available.

2005-02-18 16:52:55  Rev 8884   pederb

	* src/misc/SoGLCubeMapImage.cpp:

	ContextHandler support

2005-02-18 16:52:16  Rev 8883   pederb

	* include/Inventor/system/gl.h.in:

	Anisotropic filtering enums.

2005-02-18 11:42:43  Rev 8882   pederb

	* src/caches/SoGLCacheList.cpp:

	Fix caching when transparency type is changed bug. Reported by Dan @
	goldensoftware

2005-02-18 00:33:02  Rev 8881   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-17 17:23:27  Rev 8880   pederb

	* src/misc/SoGLCubeMapImage.cpp,
	include/Inventor/misc/SoGLCubeMapImage.h:

	A quick and dirty first version of the cube map image class.

2005-02-17 17:19:48  Rev 8879   pederb

	* include/Inventor/elements/SoGLDisplayList.h,
	src/elements/GL/SoGLDisplayList.cpp:

	Support for setting texture targets (needed for cubemap and proper
	multitexture support). Pimplify class.

2005-02-17 13:00:38  Rev 8878   pederb

	* src/misc/SoGLImage.cpp:

	clean up mutex handling a bit.

2005-02-17 12:45:21  Rev 8877   pederb

	* src/misc/SoGLImage.cpp:

	Reduce the number of mutexes used by SoGLImage.

2005-02-17 12:06:07  Rev 8876   pederb

	* src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/misc/Makefile.in, include/Inventor/misc/Makefile.am,
	src/misc/Makefile.am:

	Build SoGLCubeMapImage. Bootstrap.

2005-02-17 11:52:42  Rev 8875   pederb

	* src/misc/SoGLCubeMapImage.cpp,
	include/Inventor/misc/SoGLCubeMapImage.h:

	SoGLCubeMapImage.

2005-02-17 10:07:21  Rev 8874   pederb

	* src/shapenodes/SoTriangleStripSet.cpp:

	Bugfix for PER_FACE material or normal binding. Reported by Winnie E. Wong.

2005-02-16 00:33:01  Rev 8873   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-15 17:13:53  Rev 8872   pederb

	* src/actions/SoToVRML2Action.cpp, src/actions/SoToVRMLAction.cpp:

	Fix bug reported by Robert Derek Norris. The actions did not search in nodekit
	children.

2005-02-15 13:56:05  Rev 8871   pederb

	* src/misc/SoContextHandler.cpp:

	Make handler thread safe.

2005-02-15 13:51:18  Rev 8870   pederb

	* src/shaders/todo.txt:

	new item

2005-02-15 00:33:50  Rev 8869   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-14 05:59:31  Rev 8868   kristian

	* src/tidbits.c:

	Close stdin/stdout/stderr during SoDB::cleanup() if any of them have been
	opened

2005-02-14 05:57:45  Rev 8867   kristian

	* src/engines/SoInterpolate.cpp:

	Delete the inputdata/outputdata fields in the destructor; fixes memory leak.

2005-02-12 00:33:00  Rev 8866   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-11 06:41:31  Rev 8865   kristian

	* include/Inventor/elements/SoSubElement.h, src/events/SoEvent.cpp,
	src/fields/SoField.cpp, include/Inventor/events/SoEvent.h,
	include/Inventor/engines/SoSubEngineP.h,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	src/nodes/SoNode.cpp, include/Inventor/fields/SoField.h,
	src/misc/SoGLImage.cpp, src/elements/SoElement.cpp,
	include/Inventor/misc/SoGLImage.h,
	include/Inventor/events/SoLocation2Event.h, src/fields/SoMField.cpp,
	src/fields/SoGlobalField.cpp, include/Inventor/fields/SoMField.h,
	src/fields/SoSField.cpp, include/Inventor/engines/SoSubEngine.h,
	include/Inventor/actions/SoSubActionP.h, src/misc/SoDB.cpp,
	include/Inventor/fields/SoSField.h, src/misc/SoGLBigImage.cpp,
	include/Inventor/engines/SoSubNodeEngine.h,
	src/misc/SoProtoInstance.cpp,
	include/Inventor/events/SoButtonEvent.h, src/misc/SoPath.cpp,
	include/Inventor/misc/SoGLBigImage.h,
	include/Inventor/actions/SoSubAction.h,
	include/Inventor/nodes/SoSubNodeP.h, src/fields/SoFieldContainer.cpp,
	src/nodes/SoSelection.cpp, src/misc/SoProto.cpp,
	include/Inventor/events/SoMouseButtonEvent.h,
	src/glue/simage_wrapper.c,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/SoPath.h, include/Inventor/events/SoMotion3Event.h,
	include/Inventor/events/SoSubEvent.h, src/misc/SoBase.cpp,
	include/Inventor/details/SoSubDetail.h,
	include/Inventor/fields/SoSubField.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/nodes/SoSubNode.h, src/actions/SoAction.cpp,
	src/misc/SoContextHandler.cpp, src/nodes/SoUnknownNode.cpp,
	include/Inventor/nodes/SoUnknownNode.h:

	Use the new coin_atexit() function for cleaning up classes, including setting
	the classTypeId field to badType.
	This makes multiple invocations of SoDB::init(), SoDB::clean() work.

2005-02-11 06:31:46  Rev 8864   kristian

	* src/shapenodes/SoImage.cpp:

	Delete filenamesensor in destructor; fixes memory leak

2005-02-11 06:29:20  Rev 8863   kristian

	* src/base/namemap.c:

	Set nametable pointer to NULL on exit, to enable it to be re-inited

2005-02-11 06:26:42  Rev 8862   kristian

	* include/Inventor/C/tidbits.h, include/Inventor/C/tidbitsp.h,
	src/tidbits.c:

	Add a public version of coin_atexit(), which always sets priority -2

2005-02-11 00:33:16  Rev 8861   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-10 13:31:16  Rev 8860   sit

	* BUGS.txt:

	Remove fixed bugs

2005-02-10 13:12:50  Rev 8859   sit

	* src/draggers/SoCenterballDragger.cpp:

	fix bug064 SoCenterballDragger translation

2005-02-08 00:34:43  Rev 8858   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-07 08:20:57  Rev 8857   pederb

	* src/draggers/SoTrackballDragger.cpp, src/io/SoWriterefCounter.cpp:

	Fix memory leak. Reported by Dan @ goldensoftware.

2005-02-05 00:35:41  Rev 8856   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-04 14:14:14  Rev 8855   pederb

	* src/manips/SoClipPlaneManip.cpp,
	include/Inventor/manips/SoClipPlaneManip.h:

	ClipPlaneManip bugfix (bug 056). By Si Quoc Tran.

2005-02-04 13:15:44  Rev 8854   pederb

	* src/engines/evaluator.y, src/engines/evaluator_tab.c:

	compile fix

2005-02-04 11:05:57  Rev 8853   larsa

	* src/engines/evaluator.y:

	bugfix

2005-02-04 10:54:11  Rev 8852   larsa

	* src/engines/evaluator.y:

	win32 vc7 warning fix

2005-02-02 00:33:14  Rev 8851   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-02-01 15:21:49  Rev 8850   pederb

	* src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLSLShaderParameter.cpp:

	compile fix

2005-02-01 14:09:54  Rev 8849   larsa

	* include/Inventor/C/basic.h.in:

	cosmetics

2005-02-01 12:04:15  Rev 8848   kristian

	* src/misc/SoProtoInstance.cpp, src/vrml97/TimeSensor.cpp,
	src/misc/SoProto.cpp:

	Fix for bug #153: Memory leak(s) with sony_cam.wrl model.

	Classes SoProtoInstance and SoVRMLTimeSensor did not delete their private
	classes.
	In class SoProto, fielddata was not deleted.

2005-02-01 00:33:48  Rev 8847   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-31 21:32:07  Rev 8846   mortene

	* include/Inventor/C/glue/glp.h, src/glue/cg.c,
	include/Inventor/C/glue/cg.h, src/glue/gl.c:

	Adds functionality to aid implementation of shader nodes.

2005-01-31 21:28:30  Rev 8845   mortene

	* src/shaders/SoGLShaderParameter.cpp,
	include/Inventor/nodes/SoShader.h,
	src/shaders/SoGLCgShaderObject.cpp,
	src/shaders/SoGLShaderProgramElement.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoGLCgShaderProgram.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLShaderParameter.h, src/shaders/SoGLCgShaderObject.h,
	src/shaders/SoGLCgShaderParameter.cpp,
	src/shaders/SoGLARBShaderObject.cpp, src/shaders/SoShader.cpp,
	src/shaders/SoShaderParameter.cpp,
	src/shaders/SoGLCgShaderParameter.h,
	src/shaders/SoGLARBShaderObject.h,
	src/shaders/SoGLARBShaderProgram.h,
	src/shaders/SoGLSLShaderObject.cpp,
	src/shaders/SoGLARBShaderParameter.cpp,
	include/Inventor/nodes/SoShaderObject.h,
	include/Inventor/nodes/SoShaderProgram.h,
	src/shaders/SoGLSLShaderObject.h,
	src/shaders/SoGLARBShaderParameter.h, src/shaders/SoGLShaderObject.h,
	src/shaders/SoGLSLShaderParameter.cpp:

	Many fixes and updates from Martin Spindler. See src/shaders/ChangeLog for
	details.

2005-01-31 21:24:08  Rev 8844   mortene

	* src/shaders/ChangeLog:

	Temporary (?) detailed changelog, to keep track of details.

2005-01-31 21:17:30  Rev 8843   mortene

	* src/shaders/todo.txt:

	This seems useful while this is a work-in-progress.

2005-01-31 09:38:30  Rev 8842   pederb

	* src/elements/SoMultiTextureEnabledElement.cpp,
	include/Inventor/elements/SoMultiTextureEnabledElement.h:

	New disableAll() method.

2005-01-31 08:42:45  Rev 8841   pederb

	* include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	src/elements/GL/SoGLTextureEnabledElement.cpp,
	include/Inventor/elements/SoGLTextureEnabledElement.h,
	src/elements/SoMultiTextureEnabledElement.cpp,
	include/Inventor/elements/SoMultiTextureEnabledElement.h,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp:

	Support for CUBEMAP texture enable/disable.

2005-01-29 00:33:24  Rev 8840   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-28 16:07:16  Rev 8839   pederb

	* src/engines/SoEngineOutput.cpp:

	Fix PROTO memory leak. Fix by Si Quoc Tran.

2005-01-28 10:41:55  Rev 8838   pederb

	* src/shaders/SoShaderObject.cpp:

	Robustify.

2005-01-28 10:04:44  Rev 8837   pederb

	* src/shaders/SoShaderObject.cpp,
	include/Inventor/nodes/SoShaderObject.h:

	Search for shaders in SoInput search directories.

2005-01-28 00:32:35  Rev 8836   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-27 11:31:34  Rev 8835   mortene

	* src/shaders/SoGLShaderParameter.cpp,
	include/Inventor/nodes/SoShader.h,
	src/shaders/SoGLCgShaderObject.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoShaders.h, src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLShaderParameter.h, src/shaders/Makefile.in,
	src/shaders/SoGLCgShaderObject.h,
	src/shaders/SoGLCgShaderParameter.cpp,
	include/Inventor/nodes/Makefile.am,
	src/shaders/SoGLARBShaderObject.cpp, src/shaders/SoShader.cpp,
	src/shaders/SoShaderParameter.cpp,
	src/shaders/SoGLCgShaderParameter.h,
	src/shaders/SoGLARBShaderObject.h,
	include/Inventor/nodes/Makefile.in,
	src/shaders/SoGLSLShaderObject.cpp,
	src/shaders/SoGLARBShaderParameter.cpp,
	src/shaders/SoGLShaderObject.cpp, src/shaders/SoGLShaderProgram.cpp,
	src/shaders/SoGLSLShaderObject.h,
	src/shaders/SoGLARBShaderParameter.h, src/shaders/SoGLShaderObject.h,
	src/shaders/Makefile.am, src/misc/SoDB.cpp,
	src/shaders/SoGLSLShaderParameter.cpp, src/shaders/SoShaders.cpp:

	Compile fixes, moved SoShaders.h and renamed class to be more consistent with
	rest of API.

2005-01-27 00:33:05  Rev 8834   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-26 15:07:22  Rev 8833   mortene

	* src/shaders/SoGLShaderParameter.cpp,
	src/shaders/SoGLCgShaderObject.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLCgShaderParameter.cpp,
	src/shaders/SoVertexShader.cpp, src/shaders/SoGLARBShaderObject.h,
	src/shaders/SoGLARBShaderParameter.cpp,
	src/shaders/SoGLSLShaderProgram.cpp,
	include/Inventor/nodes/SoShaderObject.h,
	src/shaders/SoGLSLShaderObject.h, src/shaders/SoGLShaderObject.h,
	src/shaders/Makefile.am, src/shaders/SoGLSLShaderParameter.cpp,
	src/shaders/SoFragmentShader.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoShaders.h,
	src/shaders/SoGLCgShaderObject.h, src/shaders/Makefile.in,
	src/shaders/SoGLShaderParameter.h,
	include/Inventor/nodes/SoGLShaderTypes.h,
	src/shaders/SoGLARBShaderObject.cpp,
	include/Inventor/nodes/Makefile.am,
	src/shaders/SoShaderParameter.cpp,
	src/shaders/SoGLCgShaderParameter.h,
	include/Inventor/nodes/SoShaders.h,
	include/Inventor/nodes/Makefile.in,
	src/shaders/SoGLSLShaderObject.cpp, src/shaders/SoGLShaderObject.cpp,
	src/shaders/SoGLShaderProgram.cpp,
	src/shaders/SoGLARBShaderParameter.h, src/shaders/SoShaders.cpp:

	Header file clean-up for new shader nodes feature.

2005-01-26 14:35:09  Rev 8832   mortene

	* src/shaders/SoGLARBShaderProgram.h,
	src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLCgShaderObject.h, src/shaders/SoGLCgShaderProgram.h,
	src/shaders/SoGLSLShaderObject.h, src/shaders/SoGLSLShaderProgram.h,
	src/shaders/SoGLShaderObject.h, src/shaders/SoGLCgShaderParameter.h:

	Tag all internal headers with COIN_INTERNAL check.

2005-01-26 13:58:31  Rev 8831   mortene

	* src/glue/gl.c:

	Bugfix: initialize function ptrs, so they are correct if ARB_shader_objects is
	not available.

2005-01-26 13:48:23  Rev 8830   mortene

	* src/shaders/SoShaderProgram.cpp:

	Codestyle clean-up.

2005-01-26 13:17:44  Rev 8829   mortene

	* src/glue/cg.c:

	Minor bugfix: don't post an error if libCg is missing -- that is a common
	case.

2005-01-26 00:32:55  Rev 8828   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-25 14:33:05  Rev 8827   mortene

	* src/shaders/SoFragmentShader.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoShaderObject.cpp,
	include/Inventor/nodes/SoFragmentShader.h,
	src/shaders/SoShaderProgram.cpp,
	include/Inventor/nodes/SoShaderObject.h,
	include/Inventor/nodes/SoShaderProgram.h,
	src/shaders/SoVertexShader.cpp, src/shaders/SoShaderParameter.cpp,
	include/Inventor/nodes/SoVertexShader.h:

	Make new shader nodes identify as internal (non-extension) nodes.

2005-01-25 14:32:22  Rev 8826   mortene

	* include/Inventor/nodes/SoSubNodeP.h, include/Inventor/nodes/SoNode.h:

	Enum for nodes from TGS Inventor 5.0.

2005-01-25 13:56:33  Rev 8825   mortene

	* include/Inventor/caches/Makefile.in, src/mpeg/Makefile.in,
	include/Inventor/lock/Makefile.in,
	include/Inventor/engines/Makefile.in, src/3ds/Makefile.in,
	include/Inventor/projectors/Makefile.in, src/misc/Makefile.in,
	include/Inventor/collision/Makefile.in,
	include/Inventor/C/errors/Makefile.in, src/vrml97/Makefile.in,
	include/Inventor/actions/Makefile.in,
	include/Inventor/events/Makefile.in,
	include/Inventor/fields/Makefile.in, src/io/Makefile.in, configure,
	src/hardcopy/Makefile.in, src/errors/Makefile.in,
	src/elements/Makefile.in, src/nodekits/Makefile.in,
	include/Inventor/C/Makefile.in, src/caches/Makefile.in,
	include/Inventor/manips/Makefile.in, src/engines/Makefile.in,
	include/Inventor/threads/Makefile.in, src/projectors/Makefile.in,
	src/collision/Makefile.in, include/Inventor/sensors/Makefile.in,
	include/Inventor/lists/Makefile.in, src/actions/Makefile.in,
	src/events/Makefile.in, src/fields/Makefile.in,
	include/Inventor/nodes/Makefile.in, html/Makefile.in,
	include/Inventor/C/glue/Makefile.in, src/elements/GL/Makefile.in,
	data/Makefile.in, include/Inventor/system/Makefile.in,
	man/Makefile.in, include/Inventor/details/Makefile.in,
	data/draggerDefaults/Makefile.in, src/manips/Makefile.in,
	src/fonts/Makefile.in, src/threads/Makefile.in,
	src/upgraders/Makefile.in, src/sensors/Makefile.in,
	include/Inventor/bundles/Makefile.in,
	include/Inventor/C/base/Makefile.in, include/Makefile.in,
	src/glue/Makefile.in, include/Inventor/draggers/Makefile.in,
	src/lists/Makefile.in, include/Inventor/Makefile.in,
	src/nodes/Makefile.in, include/Inventor/annex/Makefile.in,
	Makefile.in, src/base/Makefile.in,
	include/Inventor/annex/HardCopy/Makefile.in, src/details/Makefile.in,
	include/Inventor/MPEG/Makefile.in, src/shapenodes/Makefile.in,
	src/shaders/Makefile.in, include/Inventor/misc/Makefile.in,
	src/bundles/Makefile.in, src/draggers/Makefile.in,
	src/extensions/Makefile.in, src/Makefile.in,
	include/Inventor/VRMLnodes/Makefile.in, include/config.h.in,
	include/Inventor/C/threads/Makefile.in,
	include/Inventor/elements/Makefile.in,
	include/Inventor/errors/Makefile.in, man/man1/Makefile.in,
	include/Inventor/nodekits/Makefile.in, bin/Makefile.in,
	man/man3/Makefile.in:

	bootstrap

2005-01-25 13:48:14  Rev 8824   mortene

	* configure.ac, include/Inventor/nodes/Makefile.am,
	src/shaders/Makefile.am, src/misc/SoDB.cpp, coin.cfg.in,
	include/Inventor/elements/Makefile.am:

	Give citizenship to shader nodes.

2005-01-25 13:11:22  Rev 8823   pederb

	* src/glue/cg.c:

	improve atexit() cleanup.

2005-01-25 13:05:33  Rev 8822   pederb

	* src/glue/cg.c:

	Bugfix. Avoid crash on cleanup when Cg isn't found.

2005-01-25 12:27:02  Rev 8821   pederb

	* src/shaders/SoGLSLShaderObject.cpp:

	compile fix

2005-01-25 11:46:44  Rev 8820   pederb

	* src/vrml97/Extrusion.cpp:

	Improve SbTesselator handling. Problem reported by Michael Mandel.

2005-01-25 10:46:05  Rev 8819   mortene

	* src/glue/Makefile.in, include/Inventor/C/glue/Makefile.in:

	Bootstrap.

2005-01-25 10:45:49  Rev 8818   mortene

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoGLCgShaderObject.cpp,
	src/shaders/SoGLShaderParameter.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoGLCgShaderProgram.cpp, src/shaders/SoShaderObject.cpp,
	src/shaders/Makefile.in, src/shaders/SoGLCgShaderObject.h,
	src/shaders/SoGLCgShaderProgram.h, src/shaders/SoGLCgShader.cpp,
	src/shaders/SoVertexShader.cpp,
	src/shaders/SoGLCgShaderParameter.cpp,
	src/shaders/SoShaderParameter.cpp, src/shaders/SoGLCgShader.h,
	src/shaders/SoGLCgShaderParameter.h,
	src/shaders/SoGLSLShaderObject.cpp, src/shaders/SoGLShaderObject.cpp,
	src/shaders/SoGLShaderProgram.cpp, src/shaders/Makefile.am,
	src/shaders/SoShaders.cpp:

	Implements support for the Cg-based shader functionality, without causing any
	hard dependencies on external libraries.

2005-01-25 10:43:50  Rev 8817   mortene

	* src/glue/cg.c, include/Inventor/C/glue/Makefile.am,
	include/Inventor/C/glue/cg.h, src/glue/all-glue-c.c,
	src/glue/Makefile.am:

	Implements dynamic binding to the NVidia Cg GL library.

2005-01-25 00:33:12  Rev 8816   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-24 15:38:53  Rev 8815   mortene

	* src/shaders/SoGLSLShaderProgram.cpp,
	src/shaders/SoGLARBShaderProgram.cpp:

	Important FIXME notes.

2005-01-24 15:37:48  Rev 8814   mortene

	* include/Inventor/C/glue/glp.h, src/glue/gl.c:

	Query and set up the function pointers from the ARB_shader_objects extension.

2005-01-24 12:15:51  Rev 8813   mortene

	* src/shaders/SoGLShaderParameter.cpp, src/shaders/SoFragmentShader.cpp,
	src/shaders/SoGLShaderProgramElement.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoGLSLShader.h, src/shaders/SoShaderObject.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGLSLShaderParameter.h,
	src/shaders/SoGLShaderParameter.h, src/shaders/Makefile.in,
	src/shaders/SoVertexShader.cpp, include/Inventor/nodes/Makefile.am,
	include/Inventor/nodes/SoGLShaderProgram.h,
	src/shaders/SoShaderParameter.cpp, src/shaders/SoGLARBShaderObject.h,
	src/shaders/SoGLARBShaderProgram.h,
	include/Inventor/nodes/SoGLShaderParameter.h,
	include/Inventor/nodes/Makefile.in,
	src/shaders/SoGLSLShaderObject.cpp,
	src/shaders/SoGLSLShaderProgram.cpp,
	src/shaders/SoGLShaderObject.cpp, src/shaders/SoGLShaderProgram.cpp,
	src/shaders/SoGLSLShaderObject.h,
	src/shaders/SoGLARBShaderParameter.h,
	src/shaders/SoGLSLShaderProgram.h, src/shaders/Makefile.am,
	src/shaders/SoGLShaderProgram.h, src/shaders/SoGLSLShader.cpp,
	src/shaders/SoGLSLShaderParameter.cpp:

	Kills the SO_GLSL_SHADER_SUPPORT, makes Coin automatically pick up on GL
	shader object functionality.

2005-01-24 12:15:00  Rev 8812   mortene

	* include/Inventor/C/glue/glp.h, include/Inventor/system/gl.h.in:

	Adds some support for shader objects, needed by the shader nodes.

2005-01-24 09:57:49  Rev 8811   pederb

	* src/misc/SoProtoInstance.cpp, src/nodes/SoNode.cpp:

	Fix for SoProto/SoProtoInstance memleak and memory read/write errors.

2005-01-24 09:01:17  Rev 8810   pederb

	* src/misc/SoProto.cpp:

	Undo recent memleak fix. It had some bad side effects.

2005-01-22 00:33:06  Rev 8809   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-21 15:31:02  Rev 8808   sit

	* src/misc/SoProto.cpp:

	Fix mem-leak in PROTO. This bug appear when numchildren == 1, and root is set
	to be it's child. However PRIVATE(this)->defroot = new SoGroup. Also tested
	with sony_cam.wrl, and all leak are gone.

2005-01-21 00:33:09  Rev 8807   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-20 19:55:50  Rev 8806   mortene

	* src/shaders/SoVertexShader.cpp:

	Bugfix: allow ARB_PROGRAMs.

2005-01-20 19:55:20  Rev 8805   mortene

	* src/shaders/SoShaderObject.cpp:

	Bugfix: assert-checks were flipped.

2005-01-20 19:01:25  Rev 8804   mortene

	* src/shaders/SoGLARBShaderObject.h,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoGLARBShaderProgram.h,
	src/shaders/SoGLShaderProgramElement.cpp,
	src/shaders/SoShaderObject.cpp, src/shaders/SoGLShaderObject.cpp,
	src/shaders/SoGLShaderProgram.cpp,
	include/Inventor/nodes/SoGLShaderProgram.h,
	src/shaders/SoGLARBShaderObject.cpp, src/shaders/SoGLShaderObject.h,
	src/shaders/SoGLARBShaderProgram.cpp,
	src/shaders/SoShaderParameter.cpp:

	Get ARB shaders up and running properly.

2005-01-20 18:06:42  Rev 8803   mortene

	* include/Inventor/nodes/SoFragmentShader.h,
	include/Inventor/nodes/SoShaderObject.h:

	Kill superfluous code comments.

2005-01-20 17:08:41  Rev 8802   mortene

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoGLShaderParameter.cpp,
	src/shaders/SoShaderObject.cpp, src/shaders/Makefile.in,
	src/shaders/SoVertexShader.cpp,
	include/Inventor/nodes/SoGLShaderProgram.h,
	src/shaders/SoGLARBShaderObject.cpp,
	src/shaders/SoGLARBShaderProgram.cpp,
	src/shaders/SoGLARBShaderObject.h,
	src/shaders/SoGLARBShaderProgram.h, src/shaders/SoGLARBShader.cpp,
	include/Inventor/nodes/SoGLShaderParameter.h,
	src/shaders/SoGLARBShaderParameter.cpp,
	src/shaders/SoGLShaderObject.cpp, src/shaders/SoGLShaderProgram.cpp,
	src/shaders/SoGLARBShader.h, src/shaders/SoGLARBShaderParameter.h,
	src/shaders/SoGLShaderObject.h, src/shaders/Makefile.am:

	Clean-up in progress, to conform to Coin's style of picking up GL extensions.
	Many codestyle fixes.

2005-01-20 10:23:58  Rev 8801   mortene

	* src/shaders/SoShaderObject.cpp, src/shaders/SoGLARBShader.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGLShaderProgram.cpp,
	src/shaders/SoGLCgShader.cpp, src/shaders/SoShaderParameter.cpp,
	src/shaders/SoGLSLShader.cpp:

	Avoid using C++ streams.

2005-01-20 09:48:48  Rev 8800   mortene

	* src/shaders/SoGLShaderParameter.cpp, src/shaders/SoFragmentShader.cpp,
	src/shaders/SoGLShaderProgramElement.cpp,
	include/Inventor/nodes/SoShaderParameter.h,
	src/shaders/SoShaderObject.cpp, src/shaders/SoGLSLShader.h,
	src/shaders/SoShaderProgram.cpp,
	include/Inventor/nodes/SoGLShaderTypes.h,
	src/shaders/SoGLCgShader.cpp, src/shaders/SoVertexShader.cpp,
	include/Inventor/nodes/SoGLShaderProgram.h,
	src/shaders/SoShaderParameter.cpp, src/shaders/SoGLCgShader.h,
	include/Inventor/nodes/SoShaders.h,
	include/Inventor/nodes/SoGLShaderParameter.h,
	src/shaders/SoGLARBShader.cpp,
	include/Inventor/nodes/SoFragmentShader.h,
	src/shaders/SoGLShaderObject.cpp, src/shaders/shaders-dummy.cpp,
	include/Inventor/nodes/SoShaderObject.h,
	src/shaders/SoGLShaderProgram.cpp,
	include/Inventor/nodes/SoShaderProgram.h,
	src/shaders/SoGLARBShader.h,
	include/Inventor/elements/SoGLShaderProgramElement.h,
	src/shaders/SoGLShaderObject.h, src/shaders/SoGLSLShader.cpp,
	include/Inventor/nodes/SoVertexShader.h, src/shaders/SoShaders.cpp:

	Coin-ifying, codestyle fixes and copyright headers.

2005-01-20 09:18:44  Rev 8799   mortene

	* src/shaders/SoFragmentShader.cpp, src/shaders/SoGLSLShader.h,
	src/shaders/SoShaderObject.cpp, src/shaders/SoGLARBShader.cpp,
	src/shaders/SoShaderProgram.cpp, src/shaders/SoGLShaderObject.cpp,
	src/shaders/SoGLARBShader.h, src/shaders/SoGLCgShader.cpp,
	src/shaders/SoVertexShader.cpp, src/shaders/SoShaderParameter.cpp,
	src/shaders/SoGLCgShader.h, src/shaders/SoGLSLShader.cpp:

	Sync with latest update from Martin Spindler.

2005-01-20 09:03:01  Rev 8798   mortene

	* include/Inventor/nodes/SoShaderParameter.h,
	include/Inventor/nodes/SoGLShaderParameter.h,
	include/Inventor/nodes/SoShaderObject.h:

	Sync with latest update from Martin Spindler.

2005-01-20 08:55:07  Rev 8797   mortene

	* include/Inventor/nodes/SoFragmentShader.h,
	include/Inventor/nodes/SoGLShaderParameter.h:

	Codestyle, copyright header.

2005-01-20 00:33:31  Rev 8796   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-19 12:41:46  Rev 8795   kyrah

	* src/nodes/SoSceneTexture2.cpp:

	Context id caching fix: Must get new context id and renderaction if the size
	has changed.

2005-01-19 10:19:26  Rev 8794   kyrah

	* src/nodes/SoSceneTexture2.cpp:

	Cache the context id -- there's no point in using a different id every time
	we render.

2005-01-19 00:35:08  Rev 8793   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-18 15:01:35  Rev 8792   kyrah

	* src/glue/dl.c:

	Fix for runtime lookup of simage library within Inventor.framework,
	which used to work only by chance.

	Definitely one of the ten most embarrassing bugs in my life. :-/

2005-01-18 12:00:03  Rev 8791   larsa

	* cfg/gendsp.sh.in, cfg/gendsp.sh:

	new gendsp system

2005-01-18 11:58:20  Rev 8790   larsa

	* configure:

	bootstrap

2005-01-18 11:58:09  Rev 8789   larsa

	* configure.ac:

	safety measure for people not scrapping their build dirs when updating

2005-01-18 11:52:54  Rev 8788   pederb

	* src/elements/SoLazyElement.cpp:

	Fix one old and one recent transparency handling bug.

2005-01-18 11:51:56  Rev 8787   pederb

	* src/elements/SoShapeStyleElement.cpp:

	Fix silly (recently introduced) bug.

2005-01-18 00:35:08  Rev 8786   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-17 14:06:16  Rev 8785   mortene

	* configure.ac:

	Tag config.h as private header file. Fix by kyrah.

2005-01-17 12:22:19  Rev 8784   pederb

	* include/Inventor/nodes/SoCacheHint.h, src/shapenodes/SoShape.cpp,
	src/elements/SoCacheHintElement.cpp, src/nodes/SoCacheHint.cpp,
	src/caches/SoPrimitiveVertexCache.cpp,
	include/Inventor/elements/SoCacheHintElement.h:

	Improved cache hinting.

2005-01-17 11:39:11  Rev 8783   kyrah

	* Makefile.in:

	Bootstrap.

2005-01-17 11:31:51  Rev 8782   kyrah

	* Makefile.am:

	Fix bug introduced last week: Remove "Inventor" symlink in case it
	already exists.

2005-01-17 10:50:43  Rev 8781   pederb

	* src/nodes/SoExtSelection.cpp:

	Fix potential bug in selection volume calculations.

2005-01-17 10:37:03  Rev 8780   sit

	* BUGS.txt, src/nodes/SoExtSelection.cpp:

	Fix wrong float check causing warnings upon user input, by pederb

2005-01-14 00:34:42  Rev 8779   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-13 17:18:29  Rev 8778   kyrah

	* Makefile.in:

	Bootstrap.

2005-01-13 17:03:04  Rev 8777   kyrah

	* Makefile.am:

	Fix for UNIX-style usage of framework installation: Create
	additional symbolic link in the Header directory. This allows you
	to use "-I`coin-config --includedir` to specify the location of
	the Coin headers and removes the necessity for creating a
	/usr/local/include/Inventor symlink. (Relevant e.g. for Pivy.)

2005-01-13 15:27:42  Rev 8776   mortene

	* src/fonts/freetype.c:

	Minor fixes: better typing. Kills MSVC7 warnings.

2005-01-13 15:27:23  Rev 8775   mortene

	* src/glue/gl_wgl.c:

	Minor fix: was missing include.

2005-01-13 15:02:39  Rev 8774   kyrah

	* configure:

	Bootstrap.

2005-01-13 14:32:27  Rev 8773   pederb

	* src/nodes/SoResetTransform.cpp:

	Improve SoResetTransform auto cache logic.

2005-01-13 14:17:15  Rev 8772   kyrah

	* configure.ac:

	`coin-config --includedir` should point to the header files in the
	framwork. Thanks to Tamer Fahmy for reporting this.

2005-01-13 10:33:19  Rev 8771   mortene

	* data/draggerDefaults/iv2h.sh.in, include/config.h.in:

	Tag internal headers.

2005-01-13 10:31:36  Rev 8770   mortene

	* build/msvc7/installcoinheaders.bat:

	Corrections (manual).

2005-01-13 00:33:30  Rev 8769   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-12 17:44:25  Rev 8768   kyrah

	* aclocal.m4, configure, Makefile.in, cfg/coin.m4,
	include/Inventor/C/glue/Makefile.in:

	Bootstrap

2005-01-12 17:09:45  Rev 8767   kyrah

	* configure.ac:

	Static linking fix for Mac OS X.

2005-01-12 16:46:25  Rev 8766   kyrah

	* src/glue/gl.c:

	It's agl.h, not AGL.h. Thanks to Dmitry Farina for pointing that out.

2005-01-12 15:57:41  Rev 8765   kyrah

	* BUGS.txt:

	New item (low-pri): Comment re. small imperfection in configury regarding
	frameworks-vs-static-libraries.

2005-01-12 00:32:37  Rev 8764   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-11 14:57:37  Rev 8763   mortene

	* include/Inventor/.cvsignore, include/Inventor:

	SbBasic.h no longer generated.

2005-01-11 10:18:13  Rev 8762   pederb

	* src/elements/SoLazyElement.cpp, src/elements/SoShapeStyleElement.cpp,
	src/nodes/SoBumpMap.cpp, src/shapenodes/SoShape.cpp,
	include/Inventor/elements/SoShapeStyleElement.h,
	src/elements/GL/SoGLTextureImageElement.cpp:

	Optimize rendering traversal. Approximately 20% faster.

2005-01-11 00:34:51  Rev 8761   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-10 17:17:55  Rev 8760   larsa

	* include/Inventor/fields/SoSFLong.h,
	include/Inventor/fields/SoSFULong.h,
	include/Inventor/fields/SoMFLong.h,
	include/Inventor/fields/SoMFULong.h:

	be consistent in warnings

2005-01-07 00:33:33  Rev 8759   autocvs

	* ChangeLog:

	Automatic ChangeLog generation

2005-01-06 15:04:33  Rev 8758   mortene

	* BUGS.txt:

	New item.

2005-01-06 12:00:08  Rev 8757   mortene

	* include/Inventor/C/glue/Makefile.am,
	include/Inventor/C/glue/flwwin32.h,
	include/Inventor/C/glue/Makefile.in:

	Janitoral task: remove obsoleted files.

2005-01-06 11:45:18  Rev 8756   mortene

	* README, src/shapenodes/SoAsciiText.cpp,
	include/Inventor/fields/SoMFBool.h, src/fields/SoMFMatrix.cpp,
	include/Inventor/manips/SoSpotLightManip.h,
	src/vrml97/CylinderSensor.cpp,
	include/Inventor/collision/SoIntersectionDetectionAction.h,
	src/nodes/SoTextureCombine.cpp, src/errors/SoError.cpp,
	include/Inventor/SbXfBox3f.h, src/engines/SoCounter.cpp,
	include/Inventor/VRMLnodes/SoVRMLPlaneSensor.h,
	include/Inventor/C/threads/rwmutexp.h, src/threads/fifo.c,
	src/shapenodes/soshape_bumprender.cpp,
	include/Inventor/VRMLnodes/SoVRMLMovieTexture.h,
	src/nodes/SoCoordinate3.cpp, include/Inventor/SoInteraction.h,
	include/Inventor/nodes/SoFaceSet.h,
	include/Inventor/fields/SoSFUShort.h, src/3ds/SoStream.h,
	include/Inventor/actions/SoPickAction.h,
	include/Inventor/elements/SoLongElement.h,
	include/Inventor/C/threads/condvarp.h, INSTALL,
	src/lists/SoDetailList.cpp, include/Inventor/fields/SoSFBitMask.h,
	src/shapenodes/SoPointSet.cpp,
	include/Inventor/elements/SoClipPlaneElement.h,
	include/Inventor/fields/SoSFBox3s.h, src/actions/SoToVRML2Action.cpp,
	include/Inventor/fields/SoSFShort.h,
	src/projectors/SbCylinderSectionProjector.cpp,
	src/threads/condvar_pthread.ic, src/fields/SoSFString.cpp,
	include/Inventor/C/base/string.h,
	include/Inventor/elements/SoLazyElement.h,
	include/Inventor/nodes/SoTextureCoordinateEnvironment.h,
	src/vrml97/SpotLight.cpp, src/sensors/SoNodeSensor.cpp,
	include/Inventor/SbDict.h, src/elements/SoTextureMatrixElement.cpp,
	include/Inventor/elements/SoShapeStyleElement.h,
	src/base/SbXfBox3f.cpp, src/nodes/SoUnknownNode.cpp,
	src/engines/SoComposeRotation.cpp, src/upgraders/SoPackedColorV20.h,
	include/Inventor/sensors/SoNodeSensor.h,
	src/lists/SoEnabledElementsList.cpp,
	include/Inventor/elements/SoGLTextureImageElement.h,
	src/sensors/SoAlarmSensor.cpp,
	include/Inventor/misc/SoContextHandler.h, src/fields/SoSFUInt32.cpp,
	include/Inventor/C/threads/threadsutilp.h,
	src/shapenodes/SoIndexedNurbsCurve.cpp,
	include/Inventor/nodes/SoNonIndexedShape.h,
	src/nodes/SoVertexProperty.cpp, src/nodekits/SoNodeKitPath.cpp,
	include/Inventor/lock/SoLockMgr.h, src/shapenodes/SoLineSet.cpp,
	include/Inventor/C/base/heapp.h, src/caches/SoGlyphCache.cpp,
	src/nodekits/SoNodeKitListPart.cpp, src/io/all-io-c.c,
	src/fields/SoSFMatrix.cpp, src/nodes/SoLinearProfile.cpp,
	src/threads/sync.c, src/vrml97/ScalarInterpolator.cpp,
	src/draggers/SoSpotLightDragger.cpp,
	src/elements/GL/SoGLViewingMatrixElement.cpp,
	include/Inventor/lists/SoBaseList.h,
	include/Inventor/elements/SoMultiTextureImageElement.h,
	include/Inventor/engines/SoInterpolateVec3f.h,
	include/Inventor/sensors/SoTimerSensor.h,
	src/nodes/SoBumpMapCoordinate.cpp, include/Inventor/nodes/SoText3.h,
	include/Inventor/elements/SoMaterialBindingElement.h,
	src/nodes/SoResetTransform.cpp, include/Inventor/misc/SoGenerate.h,
	include/Inventor/engines/SoTimeCounter.h,
	include/Inventor/actions/SoWriteAction.h, include/Inventor/SbVec2f.h,
	include/Inventor/elements/SoElements.h, src/fields/SoMFEnum.cpp,
	src/manips/SoTransformBoxManip.cpp,
	include/Inventor/nodes/SoPackedColor.h,
	src/misc/SoGLqmeshTemplate.icc, include/Inventor/nodes/SoScale.h,
	src/draggers/SoCenterballDragger.cpp, src/details/SoFaceDetail.cpp,
	src/engines/SoOneShot.cpp, src/base/all-base-cpp.cpp, src/base/all-
	base-c.c, include/Inventor/VRMLnodes/SoVRMLParent.h,
	include/Inventor/draggers/SoScale2Dragger.h, src/vrml97/Fog.cpp,
	src/base/SbColor.cpp, include/Inventor/caches/SoConvexDataCache.h,
	src/misc/SoGLnonindexedFaceSetTemplate.icc,
	src/manips/SoHandleBoxManip.cpp, src/engines/SoComposeVec2f.cpp,
	src/elements/SoCullElement.cpp,
	include/Inventor/annex/HardCopy/SoHPGLVectorOutput.h,
	src/elements/SoViewVolumeElement.cpp,
	src/sensors/SoDelayQueueSensor.cpp,
	include/Inventor/elements/SoTextureUnitElement.h,
	include/Inventor/nodes/SoPointLight.h,
	include/Inventor/nodes/SoVertexProperty.h,
	include/Inventor/elements/SoEnvironmentElement.h, src/caches/all-
	caches-cpp.cpp, include/Inventor/VRMLnodes/SoVRMLInterpolator.h,
	include/Inventor/elements/SoGLViewportRegionElement.h,
	include/Inventor/fields/SoMFVec3d.h, src/sensors/SoOneShotSensor.cpp,
	include/Inventor/engines/SoComputeBoundingBox.h,
	src/nodes/SoTextureUnit.cpp,
	src/elements/SoLightAttenuationElement.cpp,
	include/Inventor/elements/SoOverrideElement.h,
	src/sensors/SoTimerQueueSensor.cpp, src/nodes/SoSoundElementHelper.h,
	src/vrml97/VisibilitySensor.cpp,
	include/Inventor/sensors/SoTimerQueueSensor.h,
	include/Inventor/engines/SoSubNodeEngine.h,
	src/nodes/SoCoordinate4.cpp,
	include/Inventor/caches/SoPrimitiveVertexCache.h,
	src/nodes/SoLevelOfDetail.cpp, src/elements/SoUnitsElement.cpp,
	include/Inventor/fields/SoMFBitMask.h,
	src/misc/SoNormalGenerator.cpp,
	include/Inventor/elements/SoBumpMapElement.h,
	include/Inventor/SbVec4d.h, src/elements/SoClipPlaneElement.cpp,
	include/Inventor/engines/SoDecomposeVec3f.h,
	src/caches/SoGLCacheList.cpp, include/Inventor/nodes/SoVertexShape.h,
	include/Inventor/nodes/SoProfile.h, src/misc/SoLockManager.cpp,
	include/Inventor/lists/SbPList.h, src/base/SbClip.cpp,
	packaging/macosx/makeinstdmg.sh.in, src/fields/SoMFTime.cpp,
	src/shapenodes/SoIndexedTriangleStripSet.cpp,
	include/Inventor/SbOctTree.h,
	include/Inventor/elements/SoWindowElement.h,
	src/hardcopy/VectorizeActionP.h,
	include/Inventor/actions/SoReorganizeAction.h,
	src/vrml97/NavigationInfo.cpp, src/upgraders/SoPackedColorV20.cpp,
	src/fonts/freetype.c, src/fields/SoGlobalField.cpp,
	include/Inventor/VRMLnodes/SoVRMLNormalInterpolator.h,
	include/Inventor/annex/HardCopy/SoPSVectorOutput.h,
	src/fonts/freetype.h, patches/sodebug-class.diff,
	include/Inventor/elements/SoCacheHintElement.h,
	include/Inventor/actions/SoGetBoundingBoxAction.h,
	include/Inventor/elements/SoCoordinateElement.h,
	include/Inventor/draggers/SoTransformBoxDragger.h,
	include/Inventor/C/threads/barrierp.h,
	include/Inventor/draggers/SoScaleUniformDragger.h,
	include/Inventor/engines/SoDecomposeRotation.h,
	include/Inventor/nodes/SoLOD.h,
	include/Inventor/VRMLnodes/SoVRMLLOD.h, src/fields/SoSFShort.cpp,
	src/vrml97/Switch.cpp, include/Inventor/misc/SoNormalGenerator.h,
	include/Inventor/SoPath.h, include/Inventor/lists/SbList.h,
	include/Inventor/annex/HardCopy/SoVectorizePSAction.h, src/nodes/all-
	nodes-cpp.cpp,
	include/Inventor/elements/SoBumpMapCoordinateElement.h,
	include/Inventor/C/threads/barrier.h,
	src/elements/SoReplacedElement.cpp,
	include/Inventor/details/SoSubDetail.h,
	src/nodes/SoLocateHighlight.cpp,
	include/Inventor/VRMLnodes/SoVRMLTimeSensor.h,
	src/elements/SoMultiTextureCoordinateElement.cpp,
	src/misc/SoInteraction.cpp, src/elements/SoDiffuseColorElement.cpp,
	src/actions/SoGlobalSimplifyAction.cpp, src/lists/SbPList.cpp,
	src/glue/freetype.c, src/projectors/SbCylinderProjector.cpp,
	src/misc/SoOffscreenWGLData.h,
	include/Inventor/elements/SoGLNormalizeElement.h,
	src/hardcopy/VectorizeAction.cpp,
	include/Inventor/actions/SoGlobalSimplifyAction.h,
	include/Inventor/elements/SoAccumulatedElement.h,
	include/Inventor/VRMLnodes/SoVRMLCylinderSensor.h,
	src/vrml97/VertexLine.cpp, include/Inventor/bundles/SoNormalBundle.h,
	include/Inventor/nodes/SoPickStyle.h,
	src/elements/GL/SoGLTextureEnabledElement.cpp, src/vrml97/Parent.cpp,
	src/nodes/SoWWWAnchor.cpp, examples/bindings/CoinQtWidget.h,
	include/Inventor/elements/SoTexture3EnabledElement.h,
	include/Inventor/elements/SoPolygonOffsetElement.h,
	include/Inventor/VRMLnodes/SoVRMLAnchor.h, src/fields/SoSFBool.cpp,
	src/vrml97/VertexShape.cpp,
	include/Inventor/elements/SoGLDrawStyleElement.h,
	include/Inventor/sensors/SoSensors.h,
	include/Inventor/VRMLnodes/SoVRMLVisibilitySensor.h,
	src/vrml97/WorldInfo.cpp,
	include/Inventor/nodes/SoDirectionalLight.h,
	src/draggers/SoScale1Dragger.cpp, include/Inventor/C/glue/glp.h,
	include/Inventor/nodes/SoSphere.h,
	include/Inventor/fields/SoMFVec3f.h,
	include/Inventor/nodekits/SoSubKitP.h,
	include/Inventor/C/threads/common.h, src/3ds/3dsLoader.cpp,
	src/nodes/SoSeparator.cpp, src/manips/commoncode.cpp,
	src/collision/SbTri3f.h, include/Inventor/SbDPRotation.h,
	include/Inventor/engines/SoSubEngine.h,
	src/elements/SoCacheHintElement.cpp,
	include/Inventor/elements/SoLightAttenuationElement.h,
	src/threads/common.c, include/Inventor/nodes/SoIndexedNurbsSurface.h,
	include/Inventor/elements/SoAnnoText3FontSizeHintElement.h,
	src/fields/SoSFNode.cpp, src/engines/SoComposeVec3f.cpp,
	include/Inventor/nodekits/SoCameraKit.h,
	include/Inventor/events/SoButtonEvent.h, src/vrml97/PlaneSensor.cpp,
	src/fonts/default3dfont.c, src/misc/SoOffscreenRenderer.cpp,
	src/lists/SbList.cpp, include/Inventor/SbVec4f.h,
	src/fonts/glyph3d.c, include/Inventor/nodes/SoListener.h,
	include/Inventor/elements/SoGLCoordinateElement.h,
	src/details/SoNodeKitDetail.cpp, src/fonts/glyph3d.h,
	src/projectors/SbCylinderSheetProjector.cpp,
	src/nodes/SoRotation.cpp,
	include/Inventor/elements/SoDecimationTypeElement.h,
	src/threads/mutex_pthread.ic,
	include/Inventor/nodes/SoIndexedNurbsCurve.h,
	src/nodes/SoShapeHints.cpp, src/nodes/SoColorIndex.cpp,
	src/nodes/SoLight.cpp, include/Inventor/VRMLnodes/SoVRMLExtrusion.h,
	include/Inventor/manips/SoTrackballManip.h,
	include/Inventor/fields/SoMFULong.h,
	include/Inventor/nodes/SoRotor.h,
	src/elements/GL/SoGLClipPlaneElement.cpp, src/threads/condvar.c,
	include/Inventor/SoType.h, include/Inventor/nodes/SoCylinder.h,
	src/nodes/SoTexture3Transform.cpp, src/fields/SoMFRotation.cpp,
	include/Inventor/elements/SoComplexityElement.h,
	include/Inventor/nodes/SoFile.h, examples/bindings/glutiv.cpp,
	include/Inventor/elements/SoViewVolumeElement.h,
	src/elements/GL/SoGLEmissiveColorElement.cpp,
	include/Inventor/nodes/SoImage.h, src/actions/SoRayPickAction.cpp,
	scripts/coin.el, src/glue/gl_wgl.c,
	include/Inventor/nodes/SoMaterialBinding.h,
	src/nodes/SoPolygonOffset.cpp,
	include/Inventor/engines/SoFieldConverter.h,
	src/nodekits/SoNodekitCatalog.cpp, src/threads/mutex_win32mutex.ic,
	include/Inventor/elements/SoTextureScaleQualityElement.h,
	src/elements/SoCoordinateElement.cpp,
	include/Inventor/nodes/SoTextureUnit.h,
	include/Inventor/C/base/namemap.h,
	include/Inventor/threads/SbCondVar.h,
	include/Inventor/actions/SoShapeSimplifyAction.h,
	include/Inventor/fields/SoMFUShort.h,
	include/Inventor/fields/SoSFColor.h,
	include/Inventor/annex/HardCopy/SoVectorizeGDIAction.h,
	src/nodes/SoTransform.cpp, include/Inventor/SbDPLinear.h,
	include/Inventor/lists/SbVec3fList.h, src/fields/SoMFShort.cpp,
	include/Inventor/VRMLnodes/SoVRMLIndexedFaceSet.h,
	src/projectors/SbSphereProjector.cpp,
	include/Inventor/elements/SoFontSizeElement.h,
	src/shapenodes/SoIndexedNurbsSurface.cpp,
	src/hardcopy/PSVectorOutput.cpp, include/Inventor/caches/SoCache.h,
	src/details/SoLineDetail.cpp, src/nodes/SoScale.cpp,
	include/Inventor/engines/SoEngine.h,
	include/Inventor/nodekits/SoBaseKit.h,
	src/nodekits/SoInteractionKit.cpp,
	include/Inventor/elements/SoMultiTextureCoordinateElement.h,
	include/Inventor/nodes/SoLineSet.h,
	include/Inventor/actions/SoAction.h,
	include/Inventor/actions/SoGetPrimitiveCountAction.h,
	include/Inventor/SbBox2s.h,
	src/elements/SoMultiTextureMatrixElement.cpp,
	src/lists/SoCallbackList.cpp,
	src/shapenodes/soshape_trianglesort.cpp,
	src/elements/SoShininessElement.cpp, include/coindefs.h,
	src/base/hash.c, include/Inventor/C/glue/flwwin32.h,
	docs/doxygen/footer.html,
	include/Inventor/events/SoSpaceballButtonEvent.h,
	src/base/SbViewVolume.cpp, include/Inventor/engines/SoOnOff.h,
	src/fields/SoSFImage3.cpp, include/Inventor/nodes/SoNormal.h,
	include/Inventor/events/SoLocation2Event.h,
	include/Inventor/lists/SoAuditorList.h,
	include/Inventor/lists/SoPickedPointList.h,
	include/Inventor/nodes/SoTextureCombine.h,
	include/Inventor/nodes/SoMarkerSet.h,
	include/Inventor/errors/SoError.h,
	include/Inventor/system/inttypes.h.in, src/misc/AudioTools.cpp,
	src/bundles/all-bundles-cpp.cpp, src/misc/SoGlyph.cpp,
	src/nodes/SoFont.cpp, src/threads/sched.c,
	include/Inventor/VRMLnodes/SoVRMLIndexedShape.h,
	include/Inventor/fields/SoSField.h,
	include/Inventor/VRMLnodes/SoVRMLPixelTexture.h,
	src/engines/SoOutputData.cpp, src/glue/GLUWrapper.c,
	include/Inventor/fields/SoMFNode.h, src/bundles/SoMaterialBundle.cpp,
	src/nodekits/SoAppearanceKit.cpp,
	src/vrml97/CoordinateInterpolator.cpp,
	include/Inventor/nodes/SoResetTransform.h,
	include/Inventor/nodes/SoCube.h,
	include/Inventor/elements/SoBBoxModelMatrixElement.h,
	include/Inventor/nodes/SoLevelOfDetail.h,
	src/elements/SoProfileCoordinateElement.cpp,
	include/Inventor/C/errors/debugerror.h,
	include/Inventor/fields/SoFieldContainer.h,
	include/Inventor/elements/SoGLLinePatternElement.h,
	include/Inventor/SbBox2d.h,
	include/Inventor/annex/HardCopy/SoVectorOutput.h,
	src/elements/GL/SoGLMultiTextureMatrixElement.cpp,
	src/vrml97/Color.cpp, src/engines/SoEngineOutput.cpp,
	src/vrml97/Cone.cpp, include/Inventor/nodes/SoTransformation.h,
	src/misc/SoOffscreenAGLData.cpp, src/misc/SoSceneManager.cpp,
	src/threads/recmutex.c, src/engines/SoComposeVec4f.cpp,
	include/Inventor/SbPlane.h,
	include/Inventor/nodes/SoTransparencyType.h,
	include/Inventor/nodes/SoArray.h, include/Inventor/fields/SoMFTime.h,
	include/Inventor/VRMLnodes/SoVRMLSphere.h,
	include/Inventor/nodes/SoSurroundScale.h, src/vrml97/Anchor.cpp,
	src/fields/SoSField.cpp, src/elements/SoLineWidthElement.cpp,
	include/Inventor/nodes/SoSeparator.h, src/fields/SoSFColor.cpp,
	src/elements/SoAnnoText3FontSizeHintElement.cpp,
	src/caches/SoPrimitiveVertexCache.cpp, src/base/SbTesselator.cpp,
	include/Inventor/So.h, src/vrml97/Coordinate.cpp,
	include/Inventor/C/glue/simage_wrapper.h,
	include/Inventor/VRMLnodes/SoVRMLAudioClip.h,
	include/Inventor/elements/SoProfileElement.h,
	src/shapenodes/SoIndexedLineSet.cpp,
	include/Inventor/VRMLnodes/SoVRMLBackground.h,
	include/Inventor/SbString.h, src/elements/SoTransparencyElement.cpp,
	src/elements/SoBumpMapCoordinateElement.cpp,
	include/Inventor/draggers/SoTransformerDragger.h,
	include/Inventor/projectors/SbCylinderPlaneProjector.h,
	include/Inventor/fields/SoSFLong.h, src/engines/SoNodeEngine.cpp,
	src/vrml97/PositionInterpolator.cpp,
	include/Inventor/nodes/SoProfileCoordinate2.h,
	src/vrml97/AudioClip.cpp, src/draggers/SoTranslate1Dragger.cpp,
	src/nodes/SoMatrixTransform.cpp,
	include/Inventor/draggers/SoCenterballDragger.h,
	src/nodes/SoTextureCoordinateCylinder.cpp,
	src/caches/SoGLRenderCache.cpp, src/actions/SoAction.cpp,
	src/vrml97/Background.cpp, include/Inventor/fields/SoMFName.h,
	include/Inventor/nodes/SoNurbsSurface.h, src/manips/SoJackManip.cpp,
	include/Inventor/fields/SoSFVec2s.h,
	include/Inventor/C/threads/thread.h, src/lists/SoPathList.cpp,
	include/Inventor/VRMLnodes/SoVRMLScalarInterpolator.h,
	include/Inventor/C/threads/worker.h, src/fields/SoField.cpp,
	src/glue/dl.c, include/Inventor/nodes/SoWWWAnchor.h,
	src/shapenodes/SoTriangleStripSet.cpp,
	include/Inventor/elements/SoShininessElement.h,
	src/lists/SoEngineList.cpp, src/threads/thread.c,
	src/threads/worker.c,
	include/Inventor/elements/SoTextureQualityElement.h,
	src/nodes/SoCallback.cpp,
	include/Inventor/elements/SoGLDisplayList.h, src/nodes/SoBumpMap.cpp,
	src/misc/cppmangle.icc, include/Inventor/nodekits/SoNodekitCatalog.h,
	src/hardcopy/GDIVectorOutput.cpp, src/base/SbVec2s.cpp,
	include/Inventor/nodes/SoOrthographicCamera.h,
	include/Inventor/elements/SoModelMatrixElement.h,
	include/Inventor/elements/SoGLClipPlaneElement.h,
	src/elements/SoSwitchElement.cpp,
	include/Inventor/nodes/SoAnnotation.h,
	include/Inventor/misc/SoGLBigImage.h, src/nodes/SoTexture2.cpp,
	include/Inventor/fields/SoMFShort.h,
	src/elements/SoTextureCoordinateElement.cpp,
	src/nodes/SoAnnoText3Property.cpp,
	include/Inventor/nodes/SoFontStyle.h,
	include/Inventor/actions/SoGLRenderAction.h,
	src/sensors/SoSensor.cpp, src/glue/gl_glx.c,
	include/Inventor/SbBox2f.h, include/Inventor/nodes/SoRotation.h,
	include/Inventor/nodes/SoTextureCoordinateCylinder.h,
	include/Inventor/VRMLnodes/SoVRMLTexture.h, src/misc/SoPick.cpp,
	include/Inventor/C/base/hash.h, include/Inventor/misc/SoLightPath.h,
	src/fields/SoMFBool.cpp, include/Inventor/lists/SbStringList.h,
	include/Inventor/fields/SoSFUInt32.h,
	src/hardcopy/VectorizeHPGLAction.cpp,
	include/Inventor/nodes/SoTexture3Transform.h,
	include/Inventor/VRMLnodes/SoVRMLPointLight.h,
	include/Inventor/fields/SoSFInt32.h, src/io/SoOutput_Writer.cpp,
	src/base/SbColor4f.cpp, include/Inventor/misc/SoGLImage.h,
	src/vrml97/Light.cpp, src/hardcopy/all-hardcopy-cpp.cpp,
	src/io/SoInput.cpp, include/Inventor/VRMLnodes/SoVRMLNormal.h,
	src/fields/SoMFColor.cpp, src/misc/SoTempPath.cpp,
	src/fields/SoMFNode.cpp, include/Inventor/SbClip.h,
	src/misc/SoOffscreenGLXData.h, src/vrml97/Interpolator.cpp,
	src/elements/GL/SoGLRenderPassElement.cpp,
	src/draggers/SoScaleUniformDragger.cpp,
	src/draggers/SoRotateSphericalDragger.cpp,
	include/Inventor/elements/SoGLTextureCoordinateElement.h,
	src/base/SbTime.cpp, patches/sbfifo.diff,
	include/Inventor/details/SoDetail.h,
	include/Inventor/nodekits/SoShapeKit.h,
	include/Inventor/nodes/SoTexture2.h,
	src/elements/GL/SoGLLineWidthElement.cpp,
	include/Inventor/events/SoMotion3Event.h,
	include/Inventor/nodes/SoTextureCoordinate2.h,
	include/Inventor/fields/SoSFFloat.h, src/vrml97/IndexedFaceSet.cpp,
	include/Inventor/nodes/SoAsciiText.h, include/Inventor/SbImage.h,
	include/Inventor/elements/SoReplacedElement.h,
	src/draggers/SoPointLightDragger.cpp,
	include/Inventor/nodes/SoMaterial.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolator.h,
	src/threads/mutex_win32cs.ic,
	include/Inventor/lists/SoActionMethodList.h,
	include/Inventor/draggers/SoPointLightDragger.h,
	src/misc/SoNotification.cpp, include/Inventor/nodekits/SoNodeKit.h,
	include/Inventor/VRMLnodes/SoVRMLWorldInfo.h,
	include/Inventor/threads/SbMutex.h,
	include/Inventor/VRMLnodes/SoVRMLSensor.h,
	include/Inventor/VRMLnodes/SoVRMLCylinder.h,
	src/draggers/SoTrackballDragger.cpp, include/Inventor/SbBSPTree.h,
	include/Inventor/SbMatrix.h,
	include/Inventor/VRMLnodes/SoVRMLInline.h, src/vrml97/Appearance.cpp,
	src/engines/SoOnOff.cpp, src/base/SbVec2d.cpp,
	include/Inventor/elements/SoFontNameElement.h, src/base/SbString.cpp,
	src/sensors/SoIdleSensor.cpp, src/lists/SoBaseList.cpp,
	include/Inventor/Sb.h, src/nodes/SoSceneTexture2.cpp,
	include/Inventor/nodes/SoPolygonOffset.h,
	src/events/SoButtonEvent.cpp, src/hardcopy/VectorizePSAction.cpp,
	src/fields/SoMFBitMask.cpp,
	src/nodes/SoTextureCoordinateFunction.cpp,
	src/elements/SoAnnoText3CharOrientElement.cpp,
	include/Inventor/nodes/SoCoordinate4.h,
	src/elements/SoTextureImageElement.cpp, src/base/SbBox2s.cpp,
	packaging/macosx/makecointoolspkg.sh.in, src/nodes/SoTexture3.cpp,
	include/Inventor/annex/HardCopy/SoGDIVectorOutput.h,
	src/glue/simage_wrapper.c, src/hardcopy/VectorizeActionP.cpp,
	src/base/SbMatrix.cpp, src/vrml97/Script.cpp, src/errors/error.c,
	include/Inventor/C/glue/freetype.h,
	include/Inventor/fields/SoSFVec2f.h,
	include/Inventor/elements/SoGLViewingMatrixElement.h, src/errors/all-
	errors-c.c, include/Inventor/VRMLnodes/SoVRMLVertexShape.h,
	include/Inventor/nodes/SoMatrixTransform.h, src/threads/barrier.c,
	include/Inventor/elements/SoEmissiveColorElement.h,
	src/base/SbVec3s.cpp, include/Inventor/nodes/SoPointSet.h,
	include/Inventor/elements/SoLightModelElement.h,
	include/Inventor/VRMLnodes/SoVRMLIndexedLineSet.h,
	include/Inventor/lists/SoNodeList.h, src/misc/SoNotRec.cpp,
	include/Inventor/projectors/SbSphereSectionProjector.h,
	src/vrml97/IndexedLine.cpp,
	include/Inventor/lists/SoEnabledElementsList.h,
	src/shapenodes/SoVertexShape.cpp,
	include/Inventor/caches/SoTextureCoordinateCache.h,
	src/io/SoInput_Reader.cpp, src/caches/SoBoundingBoxCache.cpp,
	src/vrml97/Collision.cpp, src/fonts/win32.c,
	src/threads/wrappers.cpp,
	include/Inventor/elements/SoMultiTextureMatrixElement.h,
	include/Inventor/lists/SoCallbackList.h,
	src/vrml97/OrientationInterpolator.cpp, src/nodes/SoNode.cpp,
	src/fonts/win32.h, src/nodes/SoNormal.cpp,
	src/nodes/SoMaterialBinding.cpp, src/engines/SoConvertAll.cpp,
	include/Inventor/caches/SoNormalCache.h, src/base/SbHeap.cpp,
	include/Inventor/actions/SoSubActionP.h, src/lists/SoFieldList.cpp,
	src/vrml97/PointLight.cpp, src/lists/SoEngineOutputList.cpp,
	include/Inventor/elements/SoGLShadeModelElement.h,
	include/Inventor/VRMLnodes/SoVRMLPositionInterpolator.h,
	include/Inventor/nodes/SoBumpMapCoordinate.h,
	build/msvc7/include/Inventor/system/gl.h,
	src/misc/SoOffscreenAGLData.h,
	include/Inventor/engines/SoComposeVec3f.h,
	src/engines/SoDecomposeMatrix.cpp,
	include/Inventor/errors/SoErrors.h, COPYING,
	include/Inventor/events/SoMouseButtonEvent.h,
	include/Inventor/engines/SoDecomposeMatrix.h,
	include/Inventor/manips/SoTabBoxManip.h,
	src/misc/SoGLqmeshpreciselightingTemplate.icc,
	include/Inventor/SoOutput.h, include/Inventor/threads/SbBarrier.h,
	include/Inventor/SbBasic.h, src/misc/SoOffscreenGLXData.cpp,
	include/Inventor/SbViewportRegion.h, include/Inventor/C/basic.h.in,
	include/Inventor/VRMLnodes/SoVRMLElevationGrid.h,
	src/elements/SoLinePatternElement.cpp, src/misc/SoAudioDevice.cpp,
	src/nodekits/SoNodeKit.cpp, src/base/string.c,
	include/Inventor/errors/SoDebugError.h, src/vrml97/Text.cpp,
	include/Inventor/elements/SoGLCacheContextElement.h,
	include/Inventor/C/tidbits.h,
	include/Inventor/nodes/SoTextureCoordinateDefault.h,
	include/Inventor/VRMLnodes/SoVRMLSubInterpolatorP.h,
	src/vrml97/Extrusion.cpp,
	src/misc/SoGLnonindexedTristripSetTemplate.icc,
	src/fields/SoSFRotation.cpp, src/fields/SoSFInt32.cpp,
	include/Inventor/draggers/SoTrackballDragger.h,
	src/draggers/SoHandleBoxDragger.cpp, src/nodes/SoShuttle.cpp,
	include/Inventor/draggers/SoRotateDiscDragger.h,
	src/manips/SoDirectionalLightManip.cpp, src/lists/SoAuditorList.cpp,
	include/Inventor/nodes/SoLightModel.h, src/fields/SoMField.cpp,
	include/Inventor/elements/SoSpecularColorElement.h,
	src/base/SbDPLine.cpp, src/base/SbBox2d.cpp,
	include/Inventor/VRMLnodes/SoVRMLProximitySensor.h,
	include/Inventor/sensors/SoFieldSensor.h,
	src/nodes/SoTextureCoordinateCube.cpp,
	include/Inventor/VRMLnodes/SoVRMLImageTexture.h, src/base/list.c,
	src/engines/SoTimeCounter.cpp, include/Inventor/nodekits/SoSubKit.h,
	include/Inventor/SoDB.h, src/shapenodes/SoNurbsSurface.cpp,
	include/Inventor/elements/SoPickRayElement.h,
	include/Inventor/nodekits/SoSeparatorKit.h,
	src/vrml97/IndexedShape.cpp, src/nodes/SoFontStyle.cpp,
	include/Inventor/nodes/SoCone.h, src/base/SbVec3d.cpp,
	src/nodekits/SoBaseKit.cpp, include/Inventor/SoLists.h,
	src/caches/SoConvexDataCache.cpp, src/io/SoOutput.cpp,
	src/fonts/fontspec.c,
	include/Inventor/draggers/SoScale2UniformDragger.h,
	src/nodes/SoUnits.cpp, src/projectors/SbSpherePlaneProjector.cpp,
	src/errors/SoDebugError.cpp, src/elements/all-elements-cpp.cpp,
	src/fonts/fontspec.h, include/Inventor/engines/SoGate.h,
	src/actions/SoBoxHighlightRenderAction.cpp, src/misc/SoLightPath.cpp,
	src/nodes/SoNurbsProfile.cpp,
	include/Inventor/elements/SoGLEnvironmentElement.h,
	src/elements/SoComplexityElement.cpp, src/projectors/SbProjector.cpp,
	include/Inventor/SoFullPath.h, src/3ds/SoStream.cpp,
	src/elements/SoPolygonOffsetElement.cpp,
	src/elements/SoTexture3EnabledElement.cpp,
	src/elements/SoTextureUnitElement.cpp, src/hardcopy/VectorizeItems.h,
	include/Inventor/lists/SoPathList.h, src/base/SbBox3s.cpp,
	include/Inventor/SoSceneManager.h,
	include/Inventor/threads/SbRWMutex.h,
	src/elements/GL/SoGLTextureMatrixElement.cpp,
	src/nodes/SoSurroundScale.cpp, src/misc/SoOffscreenInternalData.h,
	include/Inventor/annex/HardCopy/SoCGMVectorOutput.h,
	src/elements/SoTextureEnabledElement.cpp,
	include/Inventor/manips/SoPointLightManip.h,
	include/Inventor/C/threads/sched.h,
	include/Inventor/fields/SoSFImage3.h, src/upgraders/SoUpgrader.h,
	include/Inventor/fields/SoMFColor.h,
	include/Inventor/nodes/SoSceneTexture2.h,
	include/Inventor/SoNodeKitPath.h, include/Inventor/C/glue/gl.h,
	include/Inventor/VRMLnodes/SoVRMLScript.h, src/nodes/SoPattern.cpp,
	include/Inventor/nodes/SoTransform.h,
	include/Inventor/bundles/SoMaterialBundle.h,
	include/Inventor/elements/SoComplexityTypeElement.h,
	src/vrml97/ProximitySensor.cpp, src/base/SbPlane.cpp,
	src/upgraders/SoShapeHintsV10.h, src/fields/SoMFEngine.cpp,
	src/sensors/SoSensorManager.cpp, src/actions/SoGLRenderAction.cpp,
	include/Inventor/VRMLnodes/SoVRMLCone.h,
	include/Inventor/elements/SoGLMultiTextureEnabledElement.h,
	src/elements/SoDecimationTypeElement.cpp,
	include/Inventor/C/glue/gl_agl.h,
	include/Inventor/draggers/SoJackDragger.h,
	include/Inventor/fields/SoSFVec4f.h,
	include/Inventor/SbDPViewVolume.h,
	include/Inventor/misc/SoChildList.h,
	include/Inventor/nodes/SoUnits.h, src/fields/SoSFVec2s.cpp,
	include/Inventor/fields/SoMFUInt32.h,
	include/Inventor/actions/SoLineHighlightRenderAction.h,
	src/manips/SoTransformManip.cpp, src/fields/SoMFInt32.cpp,
	include/Inventor/projectors/SbSphereSheetProjector.h,
	src/threads/mutex.c, src/actions/SoSimplifyAction.cpp,
	src/nodes/SoWWWInline.cpp, src/misc/SoGLImage.cpp,
	include/Inventor/nodes/SoWWWInline.h,
	include/Inventor/details/SoConeDetail.h,
	include/Inventor/C/threads/fifo.h, src/base/SbVec2f.cpp,
	src/lists/SoPickedPointList.cpp,
	include/Inventor/C/threads/storagep.h,
	include/Inventor/actions/SoAudioRenderAction.h,
	src/vrml97/TextureCoordinate.cpp,
	include/Inventor/SoOffscreenRenderer.h,
	src/nodes/SoPerspectiveCamera.cpp, src/misc/SoState.cpp,
	include/Inventor/misc/SoState.h, src/draggers/SoDragPointDragger.cpp,
	src/nodes/SoLOD.cpp, src/engines/SoDecomposeRotation.cpp,
	include/Inventor/elements/SoTextureCombineElement.h,
	src/actions/SoWriteAction.cpp, src/fields/SoSFBitMask.cpp,
	include/Inventor/threads/SbTypedStorage.h,
	src/elements/GL/SoGLMultiTextureCoordinateElement.cpp,
	src/nodes/SoProfileCoordinate2.cpp, src/actions/SoSearchAction.cpp,
	src/fields/SoSFEngine.cpp, include/Inventor/events/SoSubEvent.h,
	src/nodes/SoComplexity.cpp,
	include/Inventor/VRMLnodes/SoVRMLFontStyle.h,
	include/Inventor/engines/SoInterpolateFloat.h,
	include/Inventor/sensors/SoSensor.h, src/base/rbptree.c,
	include/Inventor/VRMLnodes/SoVRMLMaterial.h,
	src/lists/SoNodeList.cpp, src/hardcopy/HardCopy.cpp,
	include/Inventor/nodes/SoIndexedTriangleStripSet.h,
	include/Inventor/engines/SoComposeRotation.h,
	include/Inventor/nodes/SoUnknownNode.h,
	src/nodes/SoTransparencyType.cpp,
	include/Inventor/elements/SoSoundElement.h,
	include/Inventor/elements/SoLocalBBoxMatrixElement.h,
	include/Inventor/annex/HardCopy/SoVectorizeCGMAction.h,
	include/Inventor/VRMLnodes/SoVRMLTextureCoordinate.h,
	src/vrml97/Geometry.cpp, src/upgraders/SoShapeHintsV10.cpp,
	include/Inventor/engines/SoElapsedTime.h,
	include/Inventor/manips/SoJackManip.h,
	include/Inventor/C/threads/sync.h, src/details/SoConeDetail.cpp,
	include/Inventor/actions/SoSimplifyAction.h,
	include/Inventor/engines/SoCompose.h,
	include/Inventor/C/base/hashp.h, src/base/SbVec4d.cpp,
	include/Inventor/C/base/list.h, include/Inventor/SbDPPlane.h,
	include/Inventor/nodes/SoPerspectiveCamera.h,
	src/misc/SoGLBigImage.cpp,
	include/Inventor/details/SoCylinderDetail.h,
	include/Inventor/engines/SoOutputData.h,
	include/Inventor/elements/SoGLUpdateAreaElement.h,
	src/fields/SoSFPath.cpp, src/bundles/SoTextureCoordinateBundle.cpp,
	src/elements/GL/SoGLViewportRegionElement.cpp,
	src/sensors/SoDataSensor.cpp, include/Inventor/fields/SoSFPath.h,
	src/base/SbBSPTree.cpp, src/elements/GL/SoGLDisplayList.cpp,
	src/nodes/SoInfo.cpp, include/Inventor/misc/SoTranSender.h,
	include/Inventor/VRMLnodes/SoVRMLVertexPoint.h,
	include/Inventor/engines/SoNodeEngine.h,
	include/Inventor/engines/SoInterpolateVec2f.h,
	include/Inventor/events/SoKeyboardEvent.h,
	include/Inventor/engines/SoSelectOne.h,
	include/Inventor/elements/SoNormalBindingElement.h,
	src/elements/SoNormalElement.cpp, src/vrml97/ColorInterpolator.cpp,
	src/projectors/SbSphereSectionProjector.cpp,
	include/Inventor/VRMLnodes/SoVRMLPointSet.h, src/base/SbLine.cpp,
	include/Inventor/engines/SoComposeMatrix.h,
	src/nodes/SoPointLight.cpp, src/details/all-details-cpp.cpp,
	src/shapenodes/SoQuadMesh.cpp, include/Inventor/fields/SoSFPlane.h,
	include/Inventor/actions/SoRayPickAction.h,
	include/Inventor/nodes/SoTextureScalePolicy.h,
	include/Inventor/details/SoPointDetail.h,
	include/Inventor/C/threads/threadp.h, src/vrml97/Cylinder.cpp,
	src/projectors/all-projectors-cpp.cpp,
	packaging/macosx/makecoinpkg.sh.in, include/Inventor/SbVec3s.h,
	include/Inventor/MPEG/SoMPEGRenderer.h,
	include/Inventor/events/SoEvents.h, src/base/SbBox2f.cpp,
	src/nodes/SoExtSelection.cpp,
	include/Inventor/elements/SoListenerGainElement.h,
	include/Inventor/nodes/SoTriangleStripSet.h,
	src/draggers/SoTabPlaneDragger.cpp, src/fields/SoSFVec3s.cpp,
	include/Inventor/nodes/SoText2.h, src/nodes/SoSpotLight.cpp,
	src/misc/SoGLLineSetTemplate.icc,
	src/elements/GL/SoGLMultiTextureImageElement.cpp,
	src/fonts/defaultfonts.h, include/Inventor/actions/SoSubAction.h,
	src/nodes/SoCacheHint.cpp,
	include/Inventor/elements/SoTextureCoordinateBindingElement.h,
	src/nodes/SoTextureCoordinate2.cpp, src/manips/all-manips-cpp.cpp,
	src/nodes/SoProfileCoordinate3.cpp, src/base/SbVec3f.cpp,
	include/Inventor/nodekits/SoLightKit.h,
	include/Inventor/nodes/SoTextureCoordinatePlane.h,
	include/Inventor/elements/SoListenerDopplerElement.h,
	include/Inventor/C/glue/bzip2.h, src/nodekits/SoWrapperKit.cpp,
	include/Inventor/projectors/SbProjectors.h, src/fields/SoSFName.cpp,
	include/Inventor/elements/SoTextureMatrixElement.h,
	src/sensors/SoPathSensor.cpp, src/lists/SbStringList.cpp,
	include/Inventor/projectors/SbCylinderProjector.h,
	src/base/SbSphere.cpp, include/Inventor/nodes/SoLight.h,
	include/SoWinEnterScope.h, src/details/SoCubeDetail.cpp,
	src/elements/GL/SoGLUpdateAreaElement.cpp, src/nodes/SoFile.cpp,
	include/Inventor/nodes/SoRotationXYZ.h, src/fonts/default2dfont.c,
	src/shapenodes/SoIndexedShape.cpp, src/hardcopy/VectorOutput.cpp,
	include/Inventor/misc/SoNotRec.h,
	src/elements/SoEnvironmentElement.cpp,
	include/Inventor/elements/SoProjectionMatrixElement.h,
	include/Inventor/SbVec3d.h,
	include/Inventor/manips/SoCenterballManip.h,
	include/Inventor/fields/SoMFInt32.h, src/nodes/SoBlinker.cpp,
	src/engines/SoInterpolateRotation.cpp, src/nodes/SoLightModel.cpp,
	include/Inventor/engines/SoDecomposeVec2f.h,
	src/actions/SoGetMatrixAction.cpp, src/nodes/SoGroup.cpp,
	include/Inventor/VRMLnodes/SoVRMLDirectionalLight.h,
	src/hardcopy/HPGLVectorOutput.cpp,
	src/elements/SoTextureScaleQualityElement.cpp, src/threads/all-
	threads-c.c, include/Inventor/C/threads/workerp.h,
	include/Inventor/fields/SoMField.h, src/vrml97/Inline.cpp,
	include/Inventor/engines/SoCalculator.h,
	src/elements/SoBBoxModelMatrixElement.cpp,
	src/elements/SoFontSizeElement.cpp,
	include/Inventor/draggers/SoRotateSphericalDragger.h,
	include/Inventor/elements/SoShapeHintsElement.h,
	include/Inventor/fields/SoMFFloat.h,
	include/Inventor/elements/SoCreaseAngleElement.h,
	include/Inventor/details/SoLineDetail.h,
	src/nodes/SoBumpMapTransform.cpp, include/Inventor/threads/SbFifo.h,
	src/bundles/SoBundle.cpp, src/collision/SbTri3f.cpp,
	include/Inventor/nodes/SoTransformSeparator.h,
	src/draggers/SoDragger.cpp, include/Inventor/misc/SoBase.h,
	include/Inventor/elements/SoGLPolygonOffsetElement.h,
	include/Inventor/SbTesselator.h, src/elements/SoSoundElement.cpp,
	src/elements/SoTextureScalePolicyElement.cpp, src/fields/shared.h,
	src/caches/SoTextureCoordinateCache.cpp,
	src/manips/SoClipPlaneManip.cpp,
	include/Inventor/nodes/SoColorIndex.h,
	include/Inventor/nodes/SoShapeHints.h, src/vrml97/VertexPoint.cpp,
	src/nodes/SoArray.cpp, src/nodes/SoLabel.cpp,
	include/Inventor/threads/SbThreadAutoLock.h,
	include/Inventor/manips/SoTransformManip.h,
	src/engines/SoDecomposeVec2f.cpp,
	src/actions/SoAudioRenderAction.cpp, src/nodes/SoPendulum.cpp,
	src/caches/SoNormalCache.cpp,
	src/elements/GL/SoGLCoordinateElement.cpp, src/vrml97/PointSet.cpp,
	src/fields/SoSFVec3d.cpp, src/engines/SoTriggerAny.cpp, src/mpeg/all-
	mpeg-cpp.cpp, include/Inventor/sensors/SoIdleSensor.h, src/glue/all-
	glue-c.c, src/vrml97/Viewpoint.cpp, src/elements/SoInt32Element.cpp,
	src/elements/SoAnnoText3RenderPrintElement.cpp,
	src/elements/SoProfileElement.cpp,
	include/Inventor/misc/SoProtoInstance.h,
	include/Inventor/misc/SoTranReceiver.h,
	include/Inventor/nodes/SoDrawStyle.h,
	src/elements/SoShapeHintsElement.cpp, src/fields/SoSFBox3s.cpp,
	include/Inventor/fields/SoMFLong.h, src/errors/SoReadError.cpp,
	src/shapenodes/SoFaceSet.cpp, src/nodes/SoTextureCoordinate3.cpp,
	include/Inventor/fields/SoMFVec2f.h,
	include/Inventor/errors/SoMemoryError.h,
	include/Inventor/VRMLnodes/SoVRMLText.h,
	src/elements/GL/SoGLNormalElement.cpp,
	src/projectors/SbPlaneProjector.cpp, src/fields/SoSFFloat.cpp,
	src/vrml97/DragSensor.cpp, src/nodes/SoEventCallback.cpp,
	include/Inventor/engines/SoInterpolateVec4f.h, src/errors/all-errors-
	cpp.cpp, src/misc/SoContextHandler.cpp, src/base/SbBox3f.cpp,
	src/misc/AudioTools.h,
	include/Inventor/elements/SoGLShapeHintsElement.h,
	include/Inventor/elements/SoGLColorIndexElement.h,
	src/glue/win32api.c, include/Inventor/fields/SoSFImage.h,
	include/Inventor/VRMLnodes/SoVRMLLight.h,
	include/Inventor/misc/SoPick.h,
	src/events/SoSpaceballButtonEvent.cpp,
	data/draggerDefaults/iv2h.sh.in, include/Inventor/events/SoEvent.h,
	include/Inventor/elements/SoTextOutlineEnabledElement.h,
	src/io/SoWriterefCounter.cpp, src/fields/SoSFPlane.cpp,
	include/Inventor/SbVec3f.h,
	src/collision/SoIntersectionDetectionAction.cpp, src/fonts/glyph2d.c,
	src/elements/GL/SoGLLinePatternElement.cpp,
	include/Inventor/details/SoTextDetail.h,
	src/elements/GL/SoGLMultiTextureEnabledElement.cpp,
	include/Inventor/SbLinear.h,
	include/Inventor/elements/SoGLModelMatrixElement.h,
	src/base/SbVec4f.cpp, src/fonts/glyph2d.h, src/shapenodes/SoCube.cpp,
	include/Inventor/VRMLnodes/SoVRMLCoordinateInterpolator.h,
	src/upgraders/all-upgraders-cpp.cpp,
	include/Inventor/lists/SbIntList.h, src/nodes/SoClipPlane.cpp,
	src/base/SbImage.cpp, src/base/SbViewportRegion.cpp,
	src/vrml97/DirectionalLight.cpp, include/Inventor/misc/SoGlyph.h,
	include/Inventor/nodes/SoFont.h,
	src/elements/SoFocalDistanceElement.cpp, src/vrml97/Sound.cpp,
	src/caches/SoCache.cpp, src/elements/SoCacheElement.cpp,
	include/Inventor/SbViewVolume.h,
	include/Inventor/VRMLnodes/SoVRMLTransform.h,
	include/Inventor/nodes/SoPattern.h,
	include/Inventor/elements/SoTextureOverrideElement.h,
	include/Inventor/nodes/SoTexture2Transform.h,
	src/base/SbRotation.cpp,
	include/Inventor/elements/SoProfileCoordinateElement.h,
	src/fields/SoSFVec2f.cpp,
	include/Inventor/elements/SoTransparencyElement.h,
	src/engines/SoComposeRotationFromTo.cpp,
	include/Inventor/nodes/SoAnnoText3Property.h,
	include/Inventor/VRMLnodes/SoVRMLBillboard.h,
	include/Inventor/nodekits/SoWrapperKit.h,
	include/Inventor/draggers/SoDragger.h, src/base/SbDPPlane.cpp,
	src/elements/SoLocalBBoxMatrixElement.cpp,
	include/Inventor/engines/SoEngineOutput.h,
	include/Inventor/misc/SoNotification.h,
	packaging/macosx/makedmg.sh.in,
	include/Inventor/projectors/SbProjector.h,
	src/vrml97/TextureTransform.cpp, src/details/SoTextDetail.cpp,
	src/fields/SoMFVec3d.cpp,
	include/Inventor/sensors/SoDelayQueueSensor.h,
	include/Inventor/C/threads/wpoolp.h,
	include/Inventor/engines/SoDecomposeVec4f.h,
	src/elements/SoSpecularColorElement.cpp, src/engines/all-engines-
	cpp.cpp, include/Inventor/lists/SoEngineList.h,
	src/hardcopy/VectorizeCGMAction.cpp, src/nodes/SoSwitch.cpp,
	src/fields/shared.cpp, include/Inventor/engines/SoCounter.h,
	src/actions/SoGetBoundingBoxAction.cpp,
	include/Inventor/nodes/SoShape.h,
	include/Inventor/fields/SoGlobalField.h, src/draggers/all-draggers-
	cpp.cpp, src/mpeg/SoMPEGFrameRenderer.cpp, src/vrml97/all-
	vrml97-cpp.cpp, src/fonts/fontlib_wrapper.c, src/actions/all-actions-
	cpp.cpp, src/fields/SoMFPath.cpp, src/nodes/SoPathSwitch.cpp,
	src/fonts/fontlib_wrapper.h, src/engines/SoDecomposeVec3f.cpp,
	src/nodes/SoPackedColor.cpp, src/fields/SoMFFloat.cpp,
	src/nodekits/SoLightKit.cpp, src/vrml97/ImageTexture.cpp,
	src/draggers/SoJackDragger.cpp, include/Inventor/SbDPLine.h,
	src/draggers/SoScale2UniformDragger.cpp, src/nodes/SoMaterial.cpp,
	include/Inventor/C/tidbitsp.h,
	include/Inventor/VRMLnodes/SoVRMLBox.h,
	include/Inventor/fields/SoSFEnum.h,
	include/Inventor/nodes/SoComplexity.h,
	src/elements/SoPointSizeElement.cpp, src/manips/SoTrackballManip.cpp,
	include/Inventor/elements/SoGLTexture3EnabledElement.h,
	src/3ds/3dsLoader.h, src/shapenodes/soshape_primdata.h,
	include/Inventor/elements/SoDiffuseColorElement.h, src/glue/bzip2.c,
	include/Inventor/C/threads/mutex.h,
	src/elements/SoViewingMatrixElement.cpp, src/vrml97/Billboard.cpp,
	src/fields/SoMFPlane.cpp, include/Inventor/fields/SoFieldData.h,
	include/Inventor/C/base/dynarray.h,
	src/misc/SoGLindexedLineSetTemplate.icc,
	include/Inventor/elements/SoGLMultiTextureImageElement.h,
	src/elements/SoWindowElement.cpp, include/Inventor/fields/SoSFBool.h,
	include/Inventor/annex/HardCopy/SoVectorizeAction.h,
	src/nodes/SoTextureScalePolicy.cpp, src/io/all-io-cpp.cpp,
	include/Inventor/elements/SoPickStyleElement.h,
	src/elements/SoDrawStyleElement.cpp,
	include/Inventor/engines/SoConvertAll.h,
	src/misc/SoOffscreenWGLData.cpp,
